<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 12/18/2008 *
 * ===================                          Last change: 03/05/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-network.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Generic (sponsor) network connection extension   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Allgemeine Werbenetzwerk-Erweiterung             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * @TODO Ad-Magnet: Layer(klick?). Layerviews.Skybannerklick/-view,     *
 * @TODO Ad-Magnet: Banner-View, Textlink-Klick/-View. Page-Peel        *
 * @TODO ADCocktail: All request parameters, BIDausKAS, WIDausKAS???    *
 * @TODO ADCocktail: Zero array element is return code!                 *
 * @TODO adgain.de: HTML mails are encoded with BASE64                  *
 * @TODO adgain.de: Textlink-View is a JavaScript URL                   *
 * @TODO ADkracher: HTML mails are encoded with BASE64                  *
 * @TODO ADkracher: Textlink-View is a JavaScript URL                   *
 * @TODO Admono.de: highforcedbanner, traffic from abroad               *
 * @TODO Affiliblatt: All except banner, do they really have UTF-8?     *
 * @TODO AllAds4You: Traffic from abroad, High-Forced banner            *
 * @TODO FuCoExSponsor: No High-Forced banner, HTML is BASE64 encoded   *
 * @TODO FuCoExSponsor: Textlink-View is JavaScript!                    *
 * @TODO Fusion-Ads: Has click/banner URL in API response               *
 * @TODO GeldSponsor.de Requires ID card copy/business reg.             *
 * @TODO GolloX: Which charset?                                         *
 * @TODO paid4ad: Which URLs for click and banner?                      *
 * @TODO VIPads: HTML text is send encoded with BASE64                  *
 * @TODO Der Werbepartner.cc: Banner click/view is JavaScript!          *
 * @TODO Der Werbepartner.cc: Forced textlink not correct               *
 * @TODO Der Werbepartner.cc: Layer not correct                         *
 * @TODO Der Werbepartner.cc: Sky banner is JavaScript!                 *
 * @TODO Der Werbepartner.cc: Surfbar click not correct                 *
 * @TODO Der Werbepartner.cc: Textlink not not correct                  *
 * @TODO Yoo!Media: What is LayerAd compared to Layer click?            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0.0');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0'));

// This extension is in development (non-productive)
enableExtensionProductive(false);

switch (getExtensionMode()) {
	case 'register': // Do stuff when installation is running
		// Main table which hold
		addDropTableSql('network_data');
		addCreateTableSql('network_data', "
`network_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_short_name` VARCHAR(50) NOT NULL DEFAULT '',
`network_title` VARCHAR(255) NOT NULL DEFAULT '',
`network_reflink` VARCHAR(255) NOT NULL DEFAULT '',
`network_data_separator` CHAR(4) NOT NULL DEFAULT '|',
`network_row_separator` CHAR(4) NOT NULL DEFAULT '|',
`network_request_type` ENUM('GET','POST') NOT NULL DEFAULT 'GET',
`network_charset` VARCHAR(20) NOT NULL DEFAULT 'UTF-8',
`network_require_id_card` ENUM('Y','N') NOT NULL DEFAULT 'N',
`network_query_amount` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
PRIMARY KEY (`network_id`),
UNIQUE (`network_short_name`)",
			'Network data');

		// Types the network provider is supporting (e.g. Forced-Banner and so on)
		// @TODO network_type_handler is an internal name and needs documentation
		addDropTableSql('network_types');
		addCreateTableSql('network_types', "
`network_type_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_handler` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_api_url` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_click_url` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_banner_url` VARCHAR(255) NULL DEFAULT NULL,
`network_type_reload_time_unit` ENUM('s','m','h','D','W') NOT NULL DEFAULT 'h',
PRIMARY KEY (`network_type_id`),
UNIQUE INDEX `provider_type` (`network_id`,`network_type_handler`)",
			'Types provideable by networks');

		// HTTP parameters (names) for URLs or POST fields
		addDropTableSql('network_request_params');
		addCreateTableSql('network_request_params', "
`network_request_param_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_request_param_key` VARCHAR(20) NOT NULL DEFAULT 'invalid',
`network_request_param_value` VARCHAR(20) NOT NULL DEFAULT 'invalid',
`network_request_param_default` VARCHAR(255) NULL DEFAULT NULL,
PRIMARY KEY (`network_request_param_id`),
UNIQUE INDEX `provider_type_key` (`network_id`,`network_type_id`,`network_request_param_key`),
UNIQUE INDEX `provider_type_value` (`network_id`,`network_type_id`,`network_request_param_value`)",
			'Request parameters for GET/POST request');

		// Payment check ("vcheck") for all advertising networks
		addDropTableSql('network_vcheck_params');
		addCreateTableSql('network_vcheck_params', "
`network_vcheck_param_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_vcheck_param_key` VARCHAR(20) NOT NULL DEFAULT 'invalid',
`network_vcheck_param_value` VARCHAR(20) NOT NULL DEFAULT 'invalid',
`network_vcheck_param_default` VARCHAR(20) NULL DEFAULT NULL,
PRIMARY KEY (`network_vcheck_param_id`),
UNIQUE INDEX `provider_key` (`network_id`, `network_vcheck_param_key`),
UNIQUE INDEX `provider_value` (`network_id`, `network_vcheck_param_value`)",
			'Payment check (vcheck) parameters per network');

		// Network handler error codes
		addDropTableSql('network_error_codes');
		addCreateTableSql('network_error_codes', "
`network_type_code_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_code_value` VARCHAR(50) NOT NULL DEFAULT '',
`network_type_code_type` VARCHAR(100) NOT NULL DEFAULT 'INVALID_TYPE',
PRIMARY KEY (`network_type_code_id`),
UNIQUE INDEX `code_type` (`network_type_code_value`,`network_type_id`),
INDEX (`network_type_id`)",
			'Error codes for all types');

		// V-Check error codes
		addDropTableSql('network_vcheck_errors');
		addCreateTableSql('network_vcheck_errors', "
`network_vcheck_error_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_vcheck_error_value` VARCHAR(50) NOT NULL DEFAULT '',
`network_vcheck_error_type` VARCHAR(100) NOT NULL DEFAULT 'INVALID_TYPE',
PRIMARY KEY (`network_vcheck_error_id`),
UNIQUE INDEX `provider_value` (`network_id`, `network_vcheck_error_value`),
UNIQUE INDEX `provider_type` (`network_id`, `network_vcheck_error_type`)",
			'Error codes for all payment checks');

		// Valid translation keys (we hate hard-coded arrays, you see?)
		addDropTableSql('network_translations');
		addCreateTableSql('network_translations', "
`network_translation_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_translation_name` VARCHAR(100) NOT NULL DEFAULT '',
PRIMARY KEY (`network_translation_id`),
UNIQUE (`network_translation_name`)",
			'Translations for array keys, generic data, DO NOT ALTER!');

		// Array-Element translation tables per type/provider
		addDropTableSql('network_array_translation');
		addCreateTableSql('network_array_translation', "
`network_array_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_array_index` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`sort` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
PRIMARY KEY (`network_array_id`),
UNIQUE INDEX `provider_type_key` (`network_id`,`network_type_id`,`network_array_index`),
INDEX (`sort`)",
			'Translation of API responses, generic data, DO NOT ALTER!');

		// Data from the webmaster (you!)
		addDropTableSql('network_api_config');
		addCreateTableSql('network_api_config', "
`network_api_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_affiliate_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_password` VARCHAR(255) NOT NULL DEFAULT '',
`network_api_site_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
`network_api_referral_link` VARCHAR(255) NULL DEFAULT NULL,
`network_api_referral_button` VARCHAR(255) NULL DEFAULT NULL,
PRIMARY KEY (`network_api_id`),
UNIQUE INDEX (`network_id`),
UNIQUE INDEX `network_affiliate` (`network_id`,`network_api_affiliate_id`),
UNIQUE INDEX `affiliate_site` (`network_api_affiliate_id`,`network_api_site_id`)",
			'API configuration data');

		// Configuration data for e.g. reload-time
		addDropTableSql('network_types_config');
		addCreateTableSql('network_types_config', "
`network_data_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_max_reload_time` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_min_waiting_time` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_min_remain_clicks` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_min_payment` FLOAT(20,5) UNSIGNED NULL DEFAULT NULL,
`network_allow_erotic` VARCHAR(10) NULL DEFAULT NULL,
PRIMARY KEY (`network_data_id`),
UNIQUE INDEX `provider_type` (`network_id`,`network_type_id`)",
			'Configuration data for every type (e.g. reload-time)');

		// Configuration data for vcheck (e.g. key)
		addDropTableSql('network_vcheck_config');
		addCreateTableSql('network_vcheck_config', "
`network_vcheck_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_vcheck_key` VARCHAR(50) NOT NULL DEFAULT 'INVALID',
`network_vcheck_field1` VARCHAR(50) NOT NULL DEFAULT 'userid',
`network_vcheck_field2` VARCHAR(50) NOT NULL DEFAULT 'campaign_id',
PRIMARY KEY (`network_vcheck_id`),
UNIQUE INDEX (`network_id`),
UNIQUE INDEX (`network_vcheck_key`)",
			'Configuration data for vcheck per network');

		/*
		 * Cache for queried APIs. Re-check depends on config
		 * `network_cache_refresh` in seconds or if set to zero, full day
		 * divided by query amount.
		 */
		addDropTableSql('network_cache');
		addCreateTableSql('network_cache', "
`network_cache_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_cache_data` MEDIUMBLOB,
`network_cache_timestamp` TIMESTAMP NULL DEFAULT NULL,
PRIMARY KEY (`network_cache_id`),
UNIQUE INDEX `provider_type` (`network_id`,`network_type_id`)",
			'Cache for all queried APIs');

		// Reload locks for several types
		addDropTableSql('network_reloads');
		addCreateTableSql('network_reloads', "
`network_reload_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_reload_lock` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`network_inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`network_reload_id`),
UNIQUE INDEX `provider_type` (`network_id`,`network_type_id`)",
			'Reload locks');

		// Insert API response array translations, these will be used for calling the right filter function
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_translations` (`network_translation_name`) VALUES
('id'),
('name'),
('alternate_text'),
('reload'),
('remain'),
('reward'),
('banner_id'),
('size'),
('text'),
('minimum_stay'),
('textlink_id'),
('surfbar_id'),
('mail_id'),
('layer_id'),
('popup_id'),
('popdown_id'),
('lead_id'),
('sale_id'),
('banner_url1'),
('banner_url2'),
('banner_url3'),
('textlink1'),
('textlink2'),
('textlink3'),
('description'),
('traffic_id'),
('country_code'),
('banner_url4'),
('banner_url5'),
('banner_url6'),
('banner_url7'),
('banner_url8'),
('banner_url9'),
('banner_url10'),
('textlink4'),
('textlink5'),
('subject'),
('click_url'),
('media_url'),
('allowed_countries')");

		// Sponsor networks
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_data` (`network_short_name`,`network_title`,`network_reflink`,`network_data_separator`,`network_row_separator`,`network_request_type`,`network_charset`,`network_require_id_card`,`network_query_amount`,`network_active`) VALUES
('a3h', 'A3H', 'http://www.a3h.de?ref=1447', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('abiszed', 'AbisZED-Netz', 'http://abiszed-netz.de/index.php?ref=557', '|', '|', 'GET', 'ISO-8859-1', 'Y', 150, 'Y'),
('admagnet', 'AD-Magnet', 'http://www.ad-magnet.de/index.php?ref=495', '|', '|', 'GET', 'ISO-8859-1', 'N', 300, 'Y'),
('adcocktail', 'ADCocktail', 'http://www.adcocktail.com/?rid=2596', '|', '|', 'GET', 'WINDOWS-1252', 'N', 500, 'Y'),
('adpaid', 'AdPaid', 'http://www.adpaid.de?ref=1464', '|', '|', 'GET', 'ISO-8859-1', 'N', 0, 'N'),
('ads4', 'Ads4.de', 'http://www.ads4.de/?werber=Quix0r', '|', '|', 'GET', 'WINDOWS-1252', 'N', 96, 'Y'),
('ads4webbis', 'Ads4Webbis', 'http://www.ads4webbis.de?ref=835', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('ads4world', 'Ads4World', 'http://www.ads4world.de?ref=252', '|', '|', 'GET', 'WINDOWS-1252', 'N', 0, 'N'),
('affiliblatt', 'Affiliblatt', 'http://www.affiliblatt.de/?sid=MTAzNQ==&site=home', '|', '|', 'GET', 'UTF-8', 'N', 0, 'Y'),
('allads4you', 'AllAds4You', 'http://www.allads4you.de?ref=1146', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('alstermarketing', 'Alster-Marketing', 'http://www.alstermarketing.de?ref=1851', '|', '|', 'GET', 'ISO-8859-16', 'N', 350, 'Y'),
('bonus', 'BonusSponsor', 'http://www.bonussponsor.de?ref=1286', '|', '|', 'GET', 'WINDOWS-1252', 'N', 150, 'Y'),
('fusion', 'Fusion-Ads', 'http://www.fusion-ads.de/?ref=84', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('gigapromo', 'GigaPromo', 'http://www.gigapromo.de/index.php?ref=953', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('hpsponsor', 'HPSponsor', 'http://hpsponsor.at?ref=29', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('make-euros', 'Make-Euros.de', 'http://www.make-euros.de?ref=1184', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('megad', 'Mega-Ad', 'http://www.mega-ad.de/?ref=303', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('power-promo', 'Power-Promo', 'http://www.power-promo.de?ref=1231', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('secash', 'SeCash', 'http://www.secash.de?ref=758', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('weltpromotion', 'WeltPromotion', 'http://www.weltpromotion.de?ref=3', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('ultrapromo', 'UltraPROMO', 'http://www.ultrapromo.eu?ref=485', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('werbepartnercc', 'DerWerbepartner.cc', 'http://www.werbepartner.cc/sponsor/?ref=696', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('yoomedia', 'Yoo!Media', 'http://www.yoomedia.de?ref=1715', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('cityads', 'City-Ads', 'http://www.city-ads.de?ref=221', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('goldsponsor', 'Gold-Sponsor', 'http://www.gold-sponsor.de?ref=42', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('doubleads', 'doubleads.de', 'http://www.doubleads.de?ref=1063', '|', '|', 'GET', 'ISO-8859-1','Y', 150, 'Y'),
('vipads', 'VIPads.de', 'http://vipads.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'Y'),
('homeads', 'homeADS', 'http://www.homeads.de/?ref=1540', '|', '|', 'GET', 'WINDOWS-1252', 'N', 0, 'N'),
('fucoexsponsor', 'FuCoExSponsor.net', 'http://fucoexsponsor.net/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'Y'),
('adconvention', 'AdConvention', 'http://www.adconvention.de?ref=233', '|', '|', 'GET', 'WINDOWS-1252', 'N', 300, 'Y'),
('ad-hit', 'Ad-Hit.de', 'http://www.ad-hit.de?ref=41', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('adcity', 'AdCity.eu', 'http://www.adcity.eu?ref=38', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('adgain', 'adgain.de', 'http://www.adgain.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('adkracher', 'ADkracher', 'http://www.adkracher.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 350, 'Y'),
('adminlose', 'Adminlose.de', 'http://www.adminlose.de/index.php?ref=2148', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('admono', 'Admono.de', 'http://www.admono.de/?ref=92', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('ad-promotion-net', 'Ad-Promotion.net', 'http://ad-promotion.net?ref=10194', '|', '|', 'GET', 'WINDOWS-1252', 'N', 150, 'Y'),
('adprovi', 'Adprovi.de', 'http://www.adprovi.de?ref=439', '|', '|', 'GET', 'ISO-8859-1', 'N', 200, 'Y'),
('ads2earn', 'Ads2Earn', 'http://www.ads2earn.de?ref=1294', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('ads2webbi', 'Ads2Webbi', 'http://www.ads2webbi.de?ref=79', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y')");

		// Network type handlers - A3H
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(1, 1, 'banner_click', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h'),
(387, 1, 'banner_view', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h'),
(2, 1, 'textlink_click', 'http://www.a3h.de/interface/out_textlink.php', 'http://www.a3h.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(390, 1, 'textlink_view', 'http://www.a3h.de/interface/out_textlink.php', 'http://www.a3h.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(3, 1, 'surfbar_click', 'http://www.a3h.de/interface/out_sbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h'),
(389, 1, 'surfbar_view', 'http://www.a3h.de/interface/out_sbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h'),
(4, 1, 'forcedbanner', 'http://www.a3h.de/interface/out_fbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h'),
(5, 1, 'textmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL, 'h'),
(6, 1, 'layer_click', 'http://www.a3h.de/interface/out_layer.php', 'http://www.a3h.de/layer.php?id=%CID%', NULL, 'h'),
(388, 1, 'layer_view', 'http://www.a3h.de/interface/out_layer.php', 'http://www.a3h.de/layer.php?id=%CID%', NULL, 'h'),
(7, 1, 'popup', 'http://www.a3h.de/interface/out_popup.php', 'http://www.a3h.de/popup.php?id=%CID%', NULL, 'h'),
(8, 1, 'popdown', 'http://www.a3h.de/interface/out_popdown.php', 'http://www.a3h.de/popdown.php?id=%CID%', NULL, 'h'),
(9, 1, 'lead', 'http://www.a3h.de/interface/out_lead.php', 'http://www.a3h.de/lead.php?id=%CID%', NULL, 'h'),
(10, 1, 'sale', 'http://www.a3h.de/interface/out_sale.php', 'http://www.a3h.de/sale.php?id=%CID%', NULL, 'h'),
(11, 1, 'htmlmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL, 'h')");

		// Network type handlers - AbisZED-Netz
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(187, 2, 'banner_click', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h'),
(188, 2, 'banner_view', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h'),
(189, 2, 'textlink_click', 'http://www.abiszed-netz.de/interface/out_textlink.php', 'http://www.abiszed-netz.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(190, 2, 'textlink_view', 'http://www.abiszed-netz.de/interface/out_textlink.php', 'http://www.abiszed-netz.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(191, 2, 'surfbar_click', 'http://www.abiszed-netz.de/interface/out_sbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h'),
(192, 2, 'surfbar_view', 'http://www.abiszed-netz.de/interface/out_sbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h'),
(193, 2, 'forcedbanner', 'http://www.abiszed-netz.de/interface/out_fbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h'),
(194, 2, 'textmail', 'http://www.abiszed-netz.de/interface/out_paidmail.php', 'http://www.abiszed-netz.de/emailf.php?id=%CID%', NULL, 'h'),
(195, 2, 'htmlmail', 'http://www.abiszed-netz.de/interface/out_paidmail.php', 'http://www.abiszed-netz.de/emailf.php?id=%CID%', NULL, 'h'),
(196, 2, 'layer_click', 'http://www.abiszed-netz.de/interface/out_layer.php', 'http://www.abiszed-netz.de/layer.php?id=%CID%', NULL, 'h'),
(197, 2, 'layer_view', 'http://www.abiszed-netz.de/interface/out_layer.php', 'http://www.abiszed-netz.de/layer.php?id=%CID%', NULL, 'h'),
(198, 2, 'popup', 'http://www.abiszed-netz.de/interface/out_popup.php', 'http://www.abiszed-netz.de/popup.php?id=%CID%', NULL, 'h'),
(199, 2, 'popdown', 'http://www.abiszed-netz.de/interface/out_popdown.php', 'http://www.abiszed-netz.de/popdown.php?id=%CID%', NULL, 'h'),
(200, 2, 'lead', 'http://www.abiszed-netz.de/interface/out_lead.php', 'http://www.abiszed-netz.de/lead.php?id=%CID%', NULL, 'h'),
(201, 2, 'sale', 'http://www.abiszed-netz.de/interface/out_sale.php', 'http://www.abiszed-netz.de/sale.php?id=%CID%', NULL, 'h')");

		// Network type handlers - Ad-Hit.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(302, 31, 'forcedbanner', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ad-hit.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(303, 31, 'forcedtextlink', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(304, 31, 'banner_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ad-hit.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(305, 31, 'banner_click', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ad-hit.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(306, 31, 'skybanner_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ad-hit.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(307, 31, 'button_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ad-hit.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(308, 31, 'textlink_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(309, 31, 'traffic', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(310, 31, 'popup', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(311, 31, 'textmail', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - Ad-Magnet

		// Network type handlers - Ad-Promotion.net
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(367, 37, 'forcedbanner', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://ad-promotion.net/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(368, 37, 'forcedtextlink', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(369, 37, 'banner_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://ad-promotion.net/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(370, 37, 'banner_click', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://ad-promotion.net/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(371, 37, 'skybanner_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://ad-promotion.net/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(372, 37, 'button_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://ad-promotion.net/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(373, 37, 'textlink_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(374, 37, 'traffic', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(375, 37, 'popup', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(376, 37, 'textmail', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - AdCity.eu
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(312, 32, 'forcedbanner', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(313, 32, 'forcedtextlink', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(314, 32, 'banner_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(315, 32, 'banner_click', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(316, 32, 'skybanner_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(317, 32, 'button_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(318, 32, 'textlink_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(319, 32, 'traffic', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(320, 32, 'popup', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(321, 32, 'textmail', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - AdCocktail
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(13, 4, 'forcedbanner', 'http://www.adcocktail.com/sc/kas/kas_fk.php', 'http://fk.adcocktail.com/fk_k.php?uid=%UID%&wid=%CID%&wsid=%SID%', 'http://fk.adcocktail.com/fk_v.php?uid=%UID%&wid=%CID%&wsid=%SID%', 'h'),
(12, 4, 'textmail', 'http://www.adcocktail.com/sc/kas/kas_pm.php', 'http://pm.adcocktail.com/pm.php?uid=%UID%&wid=%CID%&wsid=%SID%', NULL, 'h')");

		// Network type handlers - AdConvention
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(295, 30, 'banner_click', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adconvention.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(294, 30, 'banner_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%CID%', 'http://www.adconvention.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(297, 30, 'button_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adconvention.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(292, 30, 'forcedbanner', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adconvention.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(293, 30, 'forcedtextlink', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SI%', NULL, 'h'),
(300, 30, 'popup', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(296, 30, 'skybanner_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adconvention.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(298, 30, 'textlink_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(301, 30, 'textmail', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(299, 30, 'traffic', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - adgain.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(322, 33, 'banner_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(323, 33, 'banner_view', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(324, 33, 'forcedbanner', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(325, 33, 'forcedtextlink', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(326, 33, 'htmlmail', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(327, 33, 'layer', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(328, 33, 'textmail', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(329, 33, 'popup', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(330, 33, 'skybanner_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(331, 33, 'skybanner_view', 'http://www.adgain.de/int/get.phap', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(332, 33, 'surfbar_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(333, 33, 'surfbar_view', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(334, 33, 'textlink_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(335, 33, 'textlink_view', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h')");

		// Network type handlers - ADkracher
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(336, 34, 'banner_click', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(337, 34, 'banner_view', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(338, 34, 'forcedbanner', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(339, 34, 'forcedtextlink', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(340, 34, 'htmlmail', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(341, 34, 'layer', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(342, 34, 'textmail', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(343, 34, 'popup', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(344, 34, 'skybanner_click', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(345, 34, 'skybanner_view', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h'),
(346, 34, 'textlink_click', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(347, 34, 'textlink_view', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h'),
(348, 34, 'traffic', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%', NULL, 'h')");

		// Network type handlers - Adminlose.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(349, 35, 'banner_view', 'http://www.adminlose.de/interface/output_bannerviews.php', 'http://www.adminlose.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adminlose.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(350, 35, 'textlink_view', 'http://www.adminlose.de/interface/output_textlinkviews.php', 'http://www.adminlose.de/lose/viewtextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(351, 35, 'forcedbanner', 'http://www.adminlose.de/interface/output_forcedbanner.php', 'http://www.adminlose.de/lose/forcedclickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adminlose.de/lose/forcedviewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(352, 35, 'forcedtextlink', 'http://www.adminlose.de/interface/output_forcedtextlink.php', 'http://www.adminlose.de/lose/forcedclicktextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(353, 35, 'textmail', 'http://www.adminlose.de/interface/output_paidmails.php', 'http://www.adminlose.de/lose/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(354, 35, 'traffic', 'http://www.adminlose.de/interface/output_traffic.php', 'http://www.adminlose.de/lose/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(355, 35, 'popup', 'http://www.adminlose.de/interface/output_popup.php', 'http://www.adminlose.de/lose/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(356, 35, 'popdown', 'http://www.adminlose.de/interface/output_popup.php', 'http://www.adminlose.de/lose/popdown.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - Admono.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`) VALUES
(357, 36, 'forcedbanner', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.admono.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(358, 36, 'forcedtextlink', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(359, 36, 'banner_view', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.admono.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(360, 36, 'banner_click', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.admono.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(361, 36, 'skybanner_view', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.admono.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(362, 36, 'button_view', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.admono.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(363, 36, 'textlink_view', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(364, 36, 'traffic', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(365, 36, 'popup', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(366, 36, 'textmail', 'http://www.admono.de/interface/', 'http://www.admono.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - AdPaid
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(177, 5, 'banner_click', 'http://www.adpaid.de/interface/out_banner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h'),
(391, 5, 'banner_view', 'http://www.adpaid.de/interface/out_banner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h'),
(178, 5, 'textlink_click', 'http://www.adpaid.de/interface/out_textlink.php', 'http://www.adpaid.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(394, 5, 'textlink_view', 'http://www.adpaid.de/interface/out_textlink.php', 'http://www.adpaid.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(393, 5, 'surfbar_view', 'http://www.adpaid.de/interface/out_sbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h'),
(179, 5, 'surfbar_click', 'http://www.adpaid.de/interface/out_sbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h'),
(180, 5, 'forcedbanner', 'http://www.adpaid.de/interface/out_fbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h'),
(181, 5, 'textmail', 'http://www.adpaid.de/interface/out_paidmail.php', 'http://www.adpaid.de/emailf.php?id=%CID%', NULL, 'h'),
(182, 5, 'layer_click', 'http://www.adpaid.de/interface/out_layer.php', 'http://www.adpaid.de/layer.php?id=%CID%', NULL, 'h'),
(392, 5, 'layer_view', 'http://www.adpaid.de/interface/out_layer.php', 'http://www.adpaid.de/layer.php?id=%CID%', NULL, 'h'),
(183, 5, 'popup', 'http://www.adpaid.de/interface/out_popup.php', 'http://www.adpaid.de/popup.php?id=%CID%', NULL, 'h'),
(184, 5, 'popdown', 'http://www.adpaid.de/interface/out_popdown.php', 'http://www.adpaid.de/popdown.php?id=%CID%', NULL, 'h'),
(185, 5, 'lead', 'http://www.adpaid.de/interface/out_lead.php', 'http://www.adpaid.de/lead.php?id=%CID%', NULL, 'h'),
(186, 5, 'sale', 'http://www.adpaid.de/interface/out_sale.php', 'http://www.adpaid.de/sale.php?id=%CID%', NULL, 'h')");

		// Network type handlers - AdProvi
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(377, 38, 'forcedbanner', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.adprovi.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(378, 38, 'forcedtextlink', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(379, 38, 'banner_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.adprovi.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(380, 38, 'banner_click', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.adprovi.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(381, 38, 'skybanner_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.adprovi.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(382, 38, 'button_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.adprovi.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(383, 38, 'textlink_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(384, 38, 'traffic', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(385, 38, 'popup', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(386, 38, 'textmail', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - Ads2Earn
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(395, 39, 'banner_click', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%','h'),
(396, 39, 'banner_view', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%','h'),
(397, 39, 'textlink_click', 'http://www.ads2earn.de/interface/out_textlink.php', 'http://www.ads2earn.de/textlinkklick.php?id=%CID%', NULL,'h'),
(398, 39, 'textlink_view', 'http://www.ads2earn.de/interface/out_textlink.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', NULL,'h'),
(399, 39, 'forcedbanner', 'http://www.ads2earn.de/interface/out_fbanner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%','h'),
(400, 39, 'htmlmail', 'http://www.ads2earn.de/interface/out_paidmail.php', 'http://www.ads2earn.de/emailf.php?id=%CID%', NULL,'h'),
(401, 39, 'textmail', 'http://www.ads2earn.de/interface/out_paidmail.php', 'http://www.ads2earn.de/emailf.php?id=%CID%', NULL,'h'),
(402, 39, 'button_click', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%','h'),
(403, 39, 'button_view', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%','h'),
(404, 39, 'skybanner_click', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%','h'),
(405, 39, 'skybanner_view', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%','h')");

		// Network type handlers - Ads2Webbi
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(406, 40, 'forcedbanner', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%','h'),
(407, 40, 'forcedtextlink', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL,'h'),
(408, 40, 'banner_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%','h'),
(409, 40, 'banner_click', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%','h'),
(410, 40, 'skybanner_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%','h'),
(411, 40, 'button_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%','h'),
(412, 40, 'textlink_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL,'h'),
(413, 40, 'traffic', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL,'h'),
(414, 40, 'popup', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL,'h'),
(415, 40, 'textmail', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL,'h')");

		// Network type handlers - Ads4
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(14, 6, 'forcedbanner', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/forced_click.php?fb_id=%CID%&sid=%SID%', 'http://www.ads4.de/forced_view.php?fb_id=%CID%&sid=%SID%', 'h'),
(16, 6, 'htmlmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&sid=%SID%', NULL, 'h'),
(15, 6, 'textmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&sid=%SID%', NULL, 'h'),
(119, 6, 'traffic', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/traffic_click.php?tr_id=%CID%&sid=%SID%', NULL, 'h')");

		// Network type handlers - Ads4Webbis
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(20, 7, 'banner_click', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ads4webbis.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(19, 7, 'banner_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(22, 7, 'button_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ads4webbis.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(17, 7, 'forcedbanner', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ads4webbis.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(18, 7, 'forcedtextlink', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(24, 7, 'popup', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(21, 7, 'skybanner_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.ads4webbis.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(23, 7, 'textlink_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(25, 7, 'textmail', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(120, 7, 'traffic', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - Ads4World
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(29, 8, 'banner_click', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(28, 8, 'banner_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(31, 8, 'button_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(26, 8, 'forcedbanner', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(27, 8, 'forcedtextlink', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(33, 8, 'popup', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(30, 8, 'skybanner_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(32, 8, 'textlink_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(34, 8, 'textmail', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(121, 8, 'traffic', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - Affiliblatt

		// Network type handlers - AllAds4You
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(167, 10, 'forcedbanner', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(168, 10, 'forcedtextlink', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(169, 10, 'banner_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(170, 10, 'banner_click', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(171, 10, 'skybanner_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(172, 10, 'button_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.allads4you.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(173, 10, 'textlink_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(174, 10, 'traffic', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(175, 10, 'popup', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(176, 10, 'textmail', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - Alster-Marketing
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(35, 11, 'banner_click', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h'),
(45, 11, 'banner_view', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h'),
(38, 11, 'forcedbanner', 'http://if.alstermarketing.de/interface/out_fbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h'),
(48, 11, 'htmlmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL, 'h'),
(40, 11, 'layer_click', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL, 'h'),
(49, 11, 'layer_view', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL, 'h'),
(43, 11, 'lead', 'http://if.alstermarketing.de/interface/out_lead.php', 'http://www.alstermarketing.de/lead.php?id=%CID%', NULL, 'h'),
(42, 11, 'popdown', 'http://if.alstermarketing.de/interface/out_popdown.php', 'http://www.alstermarketing.de/popdown.php?id=%CID%', NULL, 'h'),
(41, 11, 'popup', 'http://if.alstermarketing.de/interface/out_popup.php', 'http://www.alstermarketing.de/popup.php?id=%CID%', NULL, 'h'),
(44, 11, 'sale', 'http://if.alstermarketing.de/interface/out_sale.php', 'http://www.alstermarketing.de/sale.php?id=%CID%', NULL, 'h'),
(37, 11, 'surfbar_click', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h'),
(47, 11, 'surfbar_view', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h'),
(36, 11, 'textlink_click', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(46, 11, 'textlink_view', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(39, 11, 'textmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL, 'h')");

		// Network type handlers - BonusSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(50, 12, 'banner_click', 'http://www.bonussponsor.de/interface/out_banner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%', 'h'),
(51, 12, 'banner_view', 'http://www.bonussponsor.de/interface/out_banner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%', 'h'),
(54, 12, 'forcedbanner', 'http://www.bonussponsor.de/interface/out_fbanner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%', 'h'),
(56, 12, 'htmlmail', 'http://www.bonussponsor.de/interface/out_paidmail.php', 'http://www.bonussponsor.de/emailf.php?id=%CID%', NULL, 'h'),
(57, 12, 'layer_click', 'http://www.bonussponsor.de/interface/out_layer.php', 'http://www.bonussponsor.de/layer.php?id=%CID%', NULL, 'h'),
(58, 12, 'layer_view', 'http://www.bonussponsor.de/interface/out_layer.php', 'http://www.bonussponsor.de/layer.php?id=%CID%', NULL, 'h'),
(61, 12, 'lead', 'http://www.bonussponsor.de/interface/out_lead.php', 'http://www.bonussponsor.de/lead.php?id=%CID%', NULL, 'h'),
(60, 12, 'popdown', 'http://www.bonussponsor.de/interface/out_popdown.php', 'http://www.bonussponsor.de/popdown.php?id=%CID%', NULL, 'h'),
(59, 12, 'popup', 'http://www.bonussponsor.de/interface/out_popup.php', 'http://www.bonussponsor.de/popup.php?id=%CID%', NULL, 'h'),
(62, 12, 'sale', 'http://www.bonussponsor.de/interface/out_sale.php', 'http://www.bonussponsor.de/sale.php?id=%CID%', NULL, 'h'),
(52, 12, 'textlink_click', 'http://www.bonussponsor.de/interface/out_textlink.php', 'http://www.bonussponsor.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(53, 12, 'textlink_view', 'http://www.bonussponsor.de/interface/out_textlink.php', 'http://www.bonussponsor.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(55, 12, 'textmail', 'http://www.bonussponsor.de/interface/out_paidmail.php', 'http://www.bonussponsor.de/emailf.php?id=%CID%', NULL, 'h')");

		// Network type handlers - City-Ads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(215, 24, 'banner_click', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.city-ads.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(214, 24, 'banner_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.city-ads.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(217, 24, 'button_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.city-ads.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(212, 24, 'forcedbanner', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.city-ads.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(213, 24, 'forcedtextlink', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(220, 24, 'popup', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(216, 24, 'skybanner_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.city-ads.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(218, 24, 'textlink_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(221, 24, 'textmail', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(219, 24, 'traffic', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - doubleads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(232, 26, 'banner_click', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h'),
(233, 26, 'banner_view', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h'),
(234, 26, 'textlink_click', 'http://www.doubleads.de/interface/out_textlink.php', 'http://www.doubleads.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(235, 26, 'textlink_view', 'http://www.doubleads.de/interface/out_textlink.php', 'http://www.doubleads.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(236, 26, 'surfbar_click', 'http://www.doubleads.de/interface/out_sbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h'),
(237, 26, 'surfbar_view', 'http://www.doubleads.de/interface/out_sbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h'),
(238, 26, 'forcedbanner', 'http://www.doubleads.de/interface/out_fbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h'),
(239, 26, 'textmail', 'http://www.doubleads.de/interface/out_paidmail.php', 'http://www.doubleads.de/emailf.php?id=%CID%', NULL, 'h'),
(240, 26, 'htmlmail', 'http://www.doubleads.de/interface/out_paidmail.php', 'http://www.doubleads.de/emailf.php?id=%CID%', NULL, 'h'),
(241, 26, 'layer_click', 'http://www.doubleads.de/interface/out_layer.php', 'http://www.doubleads.de/layer.php?id=%CID%', NULL, 'h'),
(242, 26, 'layer_view', 'http://www.doubleads.de/interface/out_layer.php', 'http://www.doubleads.de/layer.php?id=%CID%', NULL, 'h'),
(243, 26, 'popup', 'http://www.doubleads.de/interface/out_popup.php', 'http://www.doubleads.de/popup.php?id=%CID%', NULL, 'h'),
(244, 26, 'popdown', 'http://www.doubleads.de/interface/out_popdown.php', 'http://www.doubleads.de/popdown.php?id=%CID%', NULL, 'h'),
(245, 26, 'lead', 'http://www.doubleads.de/interface/out_lead.php', 'http://www.doubleads.de/lead.php?id=%CID%', NULL, 'h'),
(246, 26, 'sale', 'http://www.doubleads.de/interface/out_sale.php', 'http://www.doubleads.de/sale.php?id=%CID%', NULL, 'h')");

		// Network type handlers - FuCoExSponsor.net
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(273, 29, 'banner_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(274, 29, 'banner_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(275, 29, 'button_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(276, 29, 'button_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(277, 29, 'forcedbanner', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(278, 29, 'forcedtextlink', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h'),
(279, 29, 'htmlmail', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h'),
(280, 29, 'layer', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h'),
(281, 29, 'textmail', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h'),
(282, 29, 'popup', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h'),
(283, 29, 'skybanner_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(284, 29, 'skybanner_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(285, 29, 'surfbar_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(286, 29, 'surfbar_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', 'h'),
(287, 29, 'textlink_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h'),
(288, 29, 'textlink_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h'),
(289, 29, 'traffic', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%', NULL, 'h')");

		// Network type handlers - Fusion-Ads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(290, 13, 'forcedbanner', 'http://www.fusion-ads.de/data/get.php', 'http://www.fusion-ads.de/data/werbung.php?uid=%UID%&kid=%CID%&sid=%SID%&art=32&step=1', 'http://www.fusion-ads.de/data/werbung.php?uid=%UID%&kid=%CID%&sid=%SID%&art=32', 'h'),
(291, 13, 'textmail', 'http://www.fusion-ads.de/data/get.php', 'ttp://www.fusion-ads.de/data/werbung.php?uid=%UID%&kid=%CID%&sid=%SID%&art=33', NULL, 'h')");

		// Network type handlers - GigaPromo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(102, 14, 'banner_view', 'http://www.gigapromo.de/interface/output_viewbanner.php', 'http://www.gigapromo.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gigapromo.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(104, 14, 'forcedbanner', 'http://www.gigapromo.de/interface/output_forcedbanner.php', 'http://www.gigapromo.de/view/forcedclickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gigapromo.de/view/forcedviewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(105, 14, 'forcedtextlink', 'http://www.gigapromo.de/interface/output_forcedtextlink.php', 'http://www.gigapromo.de/view/forcedclicktextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(103, 14, 'layer_view', 'http://www.gigapromo.de/interface/output_layerviews.php', 'http://www.gigapromo.de/view/layer.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(108, 14, 'popdown', 'http://www.gigapromo.de/interface/output_popdown.php', 'http://www.gigapromo.de/view/popdown.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(107, 14, 'popup', 'http://www.gigapromo.de/interface/output_popup.php', 'http://www.gigapromo.de/view/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(106, 14, 'textmail', 'http://www.gigapromo.de/interface/output_paidmails.php', 'http://www.gigapromo.de/view/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(122, 14, 'traffic', 'http://www.gigapromo.de/interface/output_traffic.php', 'http://www.gigapromo.de/view/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - Gold-Sponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(225, 25, 'banner_click', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(224, 25, 'banner_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(227, 25, 'button_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(222, 25, 'forcedbanner', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(223, 25, 'forcedtextlink', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(230, 25, 'popup', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(226, 25, 'skybanner_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(228, 25, 'textlink_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(231, 25, 'textmail', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(229, 25, 'traffic', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - homeADS
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(260, 28, 'banner_click', 'http://www.homeads.de/interface/out_banner.php', 'http://www.homeads.de/bannerklf.php?id=%CID%', 'http://www.homeads.de/banner.php?id=%CID%', 'h'),
(261, 28, 'banner_view', 'http://www.homeads.de/interface/out_banner.php', 'http://www.homeads.de/bannerklf.php?id=%CID%', 'http://www.homeads.de/banner.php?id=%CID%', 'h'),
(264, 28, 'forcedbanner', 'http://www.homeads.de/interface/out_fbanner.php', 'http://www.homeads.de/bannerklf.php?id=%CID%', 'http://www.homeads.de/banner.php?id=%CID%', 'h'),
(266, 28, 'htmlmail', 'http://www.homeads.de/interface/out_paidmail.php', 'http://www.homeads.de/emailf.php?id=%CID%', NULL, 'h'),
(267, 28, 'layer_click', 'http://www.homeads.de/interface/out_layer.php', 'http://www.homeads.de/layer.php?id=%CID%', NULL, 'h'),
(268, 28, 'layer_view', 'http://www.homeads.de/interface/out_layer.php', 'http://www.homeads.de/layer.php?id=%CID%', NULL, 'h'),
(271, 28, 'lead', 'http://www.homeads.de/interface/out_lead.php', 'http://www.homeads.de/lead.php?id=%CID%', NULL, 'h'),
(270, 28, 'popdown', 'http://www.homeads.de/interface/out_popdown.php', 'http://www.homeads.de/popdown.php?id=%CID%', NULL, 'h'),
(269, 28, 'popup', 'http://www.homeads.de/interface/out_popup.php', 'http://www.homeads.de/popup.php?id=%CID%', NULL, 'h'),
(272, 28, 'sale', 'http://www.homeads.de/interface/out_sale.php', 'http://www.homeads.de/sale.php?id=%CID%', NULL, 'h'),
(262, 28, 'textlink_click', 'http://www.homeads.de/interface/out_textlink.php', 'http://www.homeads.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(263, 28, 'textlink_view', 'http://www.homeads.de/interface/out_textlink.php', 'http://www.homeads.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(265, 28, 'textmail', 'http://www.homeads.de/interface/out_paidmail.php', 'http://www.homeads.de/emailf.php?id=%CID%', NULL, 'h')");

		// Network type handlers - HPSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(135, 15, 'banner_click', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://hpsponsor.at/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(136, 15, 'banner_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://hpsponsor.at/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(137, 15, 'button_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://hpsponsor.at/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(138, 15, 'forcedbanner', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://hpsponsor.at/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(139, 15, 'forcedtextlink', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(140, 15, 'popup', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(141, 15, 'skybanner_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://hpsponsor.at/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(142, 15, 'textlink_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(143, 15, 'textmail', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(144, 15, 'traffic', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/traffic.php?id=%UID%&bid=%CID%&aid=%CID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - Make-Euros
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(63, 16, 'banner_click', 'http://www.make-euros.de/interface/out_banner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%', 'h'),
(64, 16, 'banner_view', 'http://www.make-euros.de/interface/out_banner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%', 'h'),
(68, 16, 'forcedbanner', 'http://www.make-euros.de/interface/out_fbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%', 'h'),
(71, 16, 'htmlmail', 'http://www.make-euros.de/interface/out_paidmail.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL, 'h'),
(72, 16, 'layer_click', 'http://www.make-euros.de/interface/out_layer.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL, 'h'),
(73, 16, 'layer_view', 'http://www.make-euros.de/interface/out_layer.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL, 'h'),
(76, 16, 'lead', 'http://www.make-euros.de/interface/out_lead.php', 'http://www.make-euros.de/lead.php?id=%CID%', NULL, 'h'),
(75, 16, 'popdown', 'http://www.make-euros.de/interface/out_popdown.php', 'http://www.make-euros.de/popdown.php?id=%CID%', NULL, 'h'),
(74, 16, 'popup', 'http://www.make-euros.de/interface/out_popup.php', 'http://www.make-euros.de/popup.php?id=%CID%', NULL, 'h'),
(77, 16, 'sale', 'http://www.make-euros.de/interface/out_sale.php', 'http://www.make-euros.de/sale.php?id=%CID%', NULL, 'h'),
(67, 16, 'surfbar_click', 'http://www.make-euros.de/interface/out_sbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%', 'h'),
(69, 16, 'surfbar_view', 'http://www.make-euros.de/interface/out_sbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%', 'h'),
(65, 16, 'textlink_click', 'http://www.make-euros.de/interface/out_textlink.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(66, 16, 'textlink_view', 'http://www.make-euros.de/interface/out_textlink.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(70, 16, 'textmail', 'http://www.make-euros.de/interface/out_paidmail.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL, 'h')");

		// Network type handlers - Mega-Ad
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(112, 17, 'banner_click', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/view.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(111, 17, 'banner_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(114, 17, 'button_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(109, 17, 'forcedbanner', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(110, 17, 'forcedtextlink', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(116, 17, 'popup', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(113, 17, 'skybanner_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(115, 17, 'textlink_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(117, 17, 'textmail', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(123, 17, 'traffic', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - Power-Promo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(78, 18, 'banner_click', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h'),
(79, 18, 'banner_view', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h'),
(84, 18, 'forcedbanner', 'http://www.power-promo.de/interface/out_fbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h'),
(86, 18, 'htmlmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL, 'h'),
(87, 18, 'layer_click', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL, 'h'),
(88, 18, 'layer_view', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL, 'h'),
(91, 18, 'lead', 'http://www.power-promo.de/interface/out_lead.php', 'http://www.power-promo.de/lead.php?id=%CID%', NULL, 'h'),
(90, 18, 'popdown', 'http://www.power-promo.de/interface/out_popdown.php', 'http://www.power-promo.de/popdown.php?id=%CID%', NULL, 'h'),
(89, 18, 'popup', 'http://www.power-promo.de/interface/out_popup.php', 'http://www.power-promo.de/popup.php?id=%CID%', NULL, 'h'),
(92, 18, 'sale', 'http://www.power-promo.de/interface/out_sale.php', 'http://www.power-promo.de/sale.php?id=%CID%', NULL, 'h'),
(82, 18, 'surfbar_click', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h'),
(83, 18, 'surfbar_view', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h'),
(80, 18, 'textlink_click', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(81, 18, 'textlink_view', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL, 'h'),
(85, 18, 'textmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL, 'h')");

		// Network type handlers - SeCash
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(93, 19, 'forcedbanner', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.secash.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(94, 19, 'forcedtextlink', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(95, 19, 'banner_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(96, 19, 'banner_click', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.secash.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(97, 19, 'skybanner_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.secash.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(98, 19, 'button_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.secash.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(99, 19, 'textlink_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(100, 19, 'popup', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(101, 19, 'textmail', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(124, 19, 'traffic', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - WeltPromotion
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(205, 20, 'banner_click', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.weltpromotion.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(204, 20, 'banner_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.weltpromotion.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(207, 20, 'button_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.weltpromotion.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(202, 20, 'forcedbanner', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.weltpromotion.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(203, 20, 'forcedtextlink', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(210, 20, 'popup', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(206, 20, 'skybanner_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', 'http://www.weltpromotion.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(208, 20, 'textlink_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(211, 20, 'textmail', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h'),
(209, 20, 'traffic', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%', NULL, 'h')");

		// Network type handlers - UltraPROMO
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(125, 21, 'banner_click', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(126, 21, 'banner_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(127, 21, 'button_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(128, 21, 'forcedbanner', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(129, 21, 'forcedtextlink', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(130, 21, 'popup', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(131, 21, 'skybanner_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ultrapromo.eu/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h'),
(132, 21, 'textlink_view', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(133, 21, 'textmail', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h'),
(134, 21, 'traffic', 'http://www.ultrapromo.eu/interface/', 'http://www.ultrapromo.eu/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h')");

		// Network type handlers - VIPads.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(247, 27, 'banner_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h'),
(248, 27, 'banner_view', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h'),
(249, 27, 'button_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h'),
(250, 27, 'button_view', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h'),
(251, 27, 'forcedbanner', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h'),
(252, 27, 'htmlmail', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h'),
(253, 27, 'layer', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h'),
(255, 27, 'popup', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h'),
(256, 27, 'skybanner_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h'),
(257, 27, 'skybanner_view', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h'),
(258, 27, 'textlink_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h'),
(254, 27, 'textmail', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h'),
(259, 27, 'traffic', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h')");

		// Network type handlers - Der Werbepartner.cc
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(145, 22, 'textlink_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', NULL, 'h'),
(146, 22, 'forcedbanner', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', 'h'),
(147, 22, 'textmail', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', NULL, 'h'),
(148, 22, 'layer', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h'),
(149, 22, 'skybanner_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'h'),
(150, 22, 'surfbar_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h'),
(151, 22, 'banner_view', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'h'),
(152, 22, 'popup', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h'),
(153, 22, 'banner_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'h'),
(154, 22, 'forcedtextlink', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h'),
(155, 22, 'traffic', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h')");

		// Network type handlers - Yoo!Media
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`,`network_id`,`network_type_handler`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`,`network_type_reload_time_unit`) VALUES
(156, 23, 'banner_click', 'http://www.yoomedia.de/interface_2.0/out_banner.php', 'http://www.yoomedia.de/code/z-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h'),
(157, 23, 'textlink_click', 'http://www.yoomedia.de/interface_2.0/out_textlink.php', 'http://www.yoomedia.de/code/t-textlink.php?id=%CID%&sid=%SID%', NULL, 'h'),
(158, 23, 'surfbar_click', 'http://www.yoomedia.de/interface_2.0/out_sbanner.php', 'http://www.yoomedia.de/code/s-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/s-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h'),
(159, 23, 'forcedbanner', 'http://www.yoomedia.de/interface_2.0/out_fbanner.php', 'http://www.yoomedia.de/code/f-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/f-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h'),
(160, 23, 'pagepeel', 'http://www.yoomedia.de/interface_2.0/out_pagepeel.php', 'http://www.yoomedia.de/code/p-peel.php?id=%CID%&sid=%SID%', NULL, 'h'),
(161, 23, 'textmail', 'http://www.yoomedia.de/interface_2.0/out_textmail.php', 'http://www.yoomedia.de/code/t-mail.php?id=%CID%&sid=%SID%', NULL, 'h'),
(162, 23, 'htmlmail', 'http://www.yoomedia.de/interface_2.0/out_htmlmail.php', 'http://www.yoomedia.de/code/h-mail.php?id=%CID%&sid=%SID%', NULL, 'h'),
(163, 23, 'layer_click', 'http://www.yoomedia.de/interface_2.0/out_layer.php', 'http://www.yoomedia.de/code/l-layer.php?id=%CID%&sid=%SID%', NULL, 'h'),
(164, 23, 'popup', 'http://www.yoomedia.de/interface_2.0/out_popup.php', 'http://www.yoomedia.de/code/p-popup.php?id=%CID%&sid=%SID%', NULL, 'h'),
(165, 23, 'popdown', 'http://www.yoomedia.de/interface_2.0/out_popdown.php', 'http://www.yoomedia.de/code/p-popdown.php?id=%CID%&sid=%SID%', NULL, 'h'),
(166, 23, 'lead', 'http://www.yoomedia.de/interface_2.0/out_lead.php', 'http://www.yoomedia.de/code/lead.php?id=%CID%&sid=%SID%', NULL, 'h')");

		// Request parameters per type handler - A3H
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(1, 1, 'id', 'id', NULL),
(1, 1, 'minimum_stay', 'ma', NULL),
(1, 1, 'password', 'pw', NULL),
(1, 1, 'reload', 'reload', NULL),
(1, 1, 'remain', 'uebrig', NULL),
(1, 1, 'reward', 'verguetung', NULL),
(1, 1, 'sid', 'sid', NULL),
(1, 1, 'size', 'size', NULL),
(1, 1, 'type', 'typ', 'klick'),
(1, 2, 'id', 'id', NULL),
(1, 2, 'password', 'pw', NULL),
(1, 2, 'reload', 'reload', NULL),
(1, 2, 'remain', 'uebrig', NULL),
(1, 2, 'reward', 'verguetung', NULL),
(1, 2, 'sid', 'sid', NULL),
(1, 2, 'type', 'typ', 'klick'),
(1, 3, 'id', 'id', NULL),
(1, 3, 'password', 'pw', NULL),
(1, 3, 'reload', 'reload', NULL),
(1, 3, 'remain', 'uebrig', NULL),
(1, 3, 'reward', 'verguetung', NULL),
(1, 3, 'sid', 'sid', NULL),
(1, 3, 'size', 'size', NULL),
(1, 3, 'type', 'typ', 'klick'),
(1, 4, 'id', 'id', NULL),
(1, 4, 'minimum_stay', 'ma', NULL),
(1, 4, 'password', 'pw', NULL),
(1, 4, 'reload', 'reload', NULL),
(1, 4, 'remain', 'uebrig', NULL),
(1, 4, 'reward', 'verguetung', NULL),
(1, 4, 'sid', 'sid', NULL),
(1, 4, 'size', 'size', NULL),
(1, 5, 'id', 'id', NULL),
(1, 5, 'minimum_stay', 'ma', NULL),
(1, 5, 'password', 'pw', NULL),
(1, 5, 'reload', 'reload', NULL),
(1, 5, 'remain', 'uebrig', NULL),
(1, 5, 'reward', 'verguetung', NULL),
(1, 5, 'sid', 'sid', NULL),
(1, 5, 'type', 'typ', 'text'),
(1, 6, 'id', 'id', NULL),
(1, 6, 'password', 'pw', NULL),
(1, 6, 'reload', 'reload', NULL),
(1, 6, 'remain', 'uebrig', NULL),
(1, 6, 'reward', 'verguetung', NULL),
(1, 6, 'sid', 'sid', NULL),
(1, 6, 'type', 'typ', 'klick'),
(1, 7, 'id', 'id', NULL),
(1, 7, 'minimum_stay', 'ma', NULL),
(1, 7, 'password', 'pw', NULL),
(1, 7, 'reload', 'reload', NULL),
(1, 7, 'remain', 'uebrig', NULL),
(1, 7, 'reward', 'verguetung', NULL),
(1, 7, 'sid', 'sid', NULL),
(1, 8, 'id', 'id', NULL),
(1, 8, 'minimum_stay', 'ma', NULL),
(1, 8, 'password', 'pw', NULL),
(1, 8, 'reload', 'reload', NULL),
(1, 8, 'remain', 'uebrig', NULL),
(1, 8, 'reward', 'verguetung', NULL),
(1, 8, 'sid', 'sid', NULL),
(1, 9, 'id', 'id', NULL),
(1, 9, 'password', 'pw', NULL),
(1, 9, 'remain', 'uebrig', NULL),
(1, 9, 'reward', 'verguetung', NULL),
(1, 9, 'sid', 'sid', NULL),
(1, 10, 'id', 'id', NULL),
(1, 10, 'password', 'pw', NULL),
(1, 10, 'remain', 'uebrig', NULL),
(1, 10, 'reward', 'verguetung', NULL),
(1, 10, 'sid', 'sid', NULL),
(1, 11, 'id', 'id', NULL),
(1, 11, 'minimum_stay', 'ma', NULL),
(1, 11, 'password', 'pw', NULL),
(1, 11, 'reload', 'reload', NULL),
(1, 11, 'remain', 'uebrig', NULL),
(1, 11, 'reward', 'verguetung', NULL),
(1, 11, 'sid', 'sid', NULL),
(1, 11, 'type', 'typ', 'html'),
(1, 387, 'id', 'id', NULL),
(1, 387, 'minimum_stay', 'ma', NULL),
(1, 387, 'password', 'pw', NULL),
(1, 387, 'reload', 'reload', NULL),
(1, 387, 'remain', 'uebrig', NULL),
(1, 387, 'reward', 'verguetung', NULL),
(1, 387, 'sid', 'sid', NULL),
(1, 387, 'size', 'size', NULL),
(1, 387, 'type', 'typ', 'view'),
(1, 388, 'id', 'id', NULL),
(1, 388, 'password', 'pw', NULL),
(1, 388, 'reload', 'reload', NULL),
(1, 388, 'remain', 'uebrig', NULL),
(1, 388, 'reward', 'verguetung', NULL),
(1, 388, 'sid', 'sid', NULL),
(1, 388, 'type', 'typ', 'view'),
(1, 389, 'id', 'id', NULL),
(1, 389, 'password', 'pw', NULL),
(1, 389, 'reload', 'reload', NULL),
(1, 389, 'remain', 'uebrig', NULL),
(1, 389, 'reward', 'verguetung', NULL),
(1, 389, 'sid', 'sid', NULL),
(1, 389, 'size', 'size', NULL),
(1, 389, 'type', 'typ', 'view'),
(1, 390, 'id', 'id', NULL),
(1, 390, 'password', 'pw', NULL),
(1, 390, 'reload', 'reload', NULL),
(1, 390, 'remain', 'uebrig', NULL),
(1, 390, 'reward', 'verguetung', NULL),
(1, 390, 'sid', 'sid', NULL),
(1, 390, 'type', 'typ', 'view')");

		// Request parameters per type handler - AbisZED-Netz
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(2, 187, 'id', 'id', NULL),
(2, 187, 'password', 'pw', NULL),
(2, 187, 'reload', 'reload', NULL),
(2, 187, 'remain', 'uebrig', NULL),
(2, 187, 'reward', 'verguetung', NULL),
(2, 187, 'sid', 'sid', NULL),
(2, 187, 'size', 'size', NULL),
(2, 187, 'type', 'typ', 'klick'),
(2, 188, 'id', 'id', NULL),
(2, 188, 'password', 'pw', NULL),
(2, 188, 'reload', 'reload', NULL),
(2, 188, 'remain', 'uebrig', NULL),
(2, 188, 'reward', 'verguetung', NULL),
(2, 188, 'sid', 'sid', NULL),
(2, 188, 'size', 'size', NULL),
(2, 188, 'type', 'typ', 'view'),
(2, 189, 'id', 'id', NULL),
(2, 189, 'password', 'pw', NULL),
(2, 189, 'reload', 'reload', NULL),
(2, 189, 'remain', 'uebrig', NULL),
(2, 189, 'reward', 'verguetung', NULL),
(2, 189, 'sid', 'sid', NULL),
(2, 189, 'type', 'typ', 'klick'),
(2, 190, 'id', 'id', NULL),
(2, 190, 'password', 'pw', NULL),
(2, 190, 'reload', 'reload', NULL),
(2, 190, 'remain', 'uebrig', NULL),
(2, 190, 'reward', 'verguetung', NULL),
(2, 190, 'sid', 'sid', NULL),
(2, 190, 'type', 'typ', 'view'),
(2, 191, 'id', 'id', NULL),
(2, 191, 'password', 'pw', NULL),
(2, 191, 'reload', 'reload', NULL),
(2, 191, 'remain', 'uebrig', NULL),
(2, 191, 'reward', 'verguetung', NULL),
(2, 191, 'sid', 'sid', NULL),
(2, 191, 'size', 'size', NULL),
(2, 191, 'type', 'typ', 'klick'),
(2, 192, 'id', 'id', NULL),
(2, 192, 'password', 'pw', NULL),
(2, 192, 'reload', 'reload', NULL),
(2, 192, 'remain', 'uebrig', NULL),
(2, 192, 'reward', 'verguetung', NULL),
(2, 192, 'sid', 'sid', NULL),
(2, 192, 'size', 'size', NULL),
(2, 192, 'type', 'typ', 'view'),
(2, 193, 'id', 'id', NULL),
(2, 193, 'minimum_stay', 'ma', NULL),
(2, 193, 'password', 'pw', NULL),
(2, 193, 'reload', 'reload', NULL),
(2, 193, 'remain', 'uebrig', NULL),
(2, 193, 'reward', 'verguetung', NULL),
(2, 193, 'sid', 'sid', NULL),
(2, 193, 'size', 'size', NULL),
(2, 194, 'id', 'id', NULL),
(2, 194, 'minimum_stay', 'ma', NULL),
(2, 194, 'password', 'pw', NULL),
(2, 194, 'reload', 'reload', NULL),
(2, 194, 'remain', 'uebrig', NULL),
(2, 194, 'reward', 'verguetung', NULL),
(2, 194, 'sid', 'sid', NULL),
(2, 194, 'type', 'typ', 'text'),
(2, 195, 'id', 'id', NULL),
(2, 195, 'minimum_stay', 'ma', NULL),
(2, 195, 'password', 'pw', NULL),
(2, 195, 'reload', 'reload', NULL),
(2, 195, 'remain', 'uebrig', NULL),
(2, 195, 'reward', 'verguetung', NULL),
(2, 195, 'sid', 'sid', NULL),
(2, 195, 'type', 'typ', 'html'),
(2, 196, 'id', 'id', NULL),
(2, 196, 'password', 'pw', NULL),
(2, 196, 'reload', 'reload', NULL),
(2, 196, 'remain', 'uebrig', NULL),
(2, 196, 'reward', 'verguetung', NULL),
(2, 196, 'sid', 'sid', NULL),
(2, 196, 'type', 'typ', 'klick'),
(2, 197, 'id', 'id', NULL),
(2, 197, 'password', 'pw', NULL),
(2, 197, 'reload', 'reload', NULL),
(2, 197, 'remain', 'uebrig', NULL),
(2, 197, 'reward', 'verguetung', NULL),
(2, 197, 'sid', 'sid', NULL),
(2, 197, 'type', 'typ', 'view'),
(2, 198, 'id', 'id', NULL),
(2, 198, 'minimum_stay', 'ma', NULL),
(2, 198, 'password', 'pw', NULL),
(2, 198, 'reload', 'reload', NULL),
(2, 198, 'remain', 'uebrig', NULL),
(2, 198, 'reward', 'verguetung', NULL),
(2, 198, 'sid', 'sid', NULL),
(2, 199, 'id', 'id', NULL),
(2, 199, 'maximum_stay', 'ma', NULL),
(2, 199, 'password', 'pw', NULL),
(2, 199, 'reload', 'reload', NULL),
(2, 199, 'remain', 'uebrig', NULL),
(2, 199, 'reward', 'verguetung', NULL),
(2, 199, 'sid', 'sid', NULL),
(2, 200, 'id', 'id', NULL),
(2, 200, 'password', 'pw', NULL),
(2, 200, 'remain', 'uebrig', NULL),
(2, 200, 'reward', 'verguetung', NULL),
(2, 200, 'sid', 'sid', NULL),
(2, 201, 'id', 'id', NULL),
(2, 201, 'password', 'pw', NULL),
(2, 201, 'remain', 'uebrig', NULL),
(2, 201, 'reward', 'verguetung', NULL),
(2, 201, 'sid', 'sid', NULL)");

		// Request parameters per type handler - Ad-Hit
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(31, 302, 'extra', 'typ', 'forcedbanner'),
(31, 302, 'id', 'id', NULL),
(31, 302, 'password', 'pw', NULL),
(31, 302, 'remain', 'uebrig', NULL),
(31, 302, 'reload', 'reload', NULL),
(31, 302, 'reward', 'verguetung', NULL),
(31, 302, 'sid', 'siteid', NULL),
(31, 302, 'minimum_stay', 'ma', NULL),
(31, 303, 'extra', 'typ', 'forcedtextlink'),
(31, 303, 'id', 'id', NULL),
(31, 303, 'password', 'pw', NULL),
(31, 303, 'remain', 'uebrig', NULL),
(31, 303, 'reload', 'reload', NULL),
(31, 303, 'reward', 'verguetung', NULL),
(31, 303, 'sid', 'siteid', NULL),
(31, 303, 'minimum_stay', 'ma', NULL),
(31, 304, 'extra', 'typ', 'bannerview'),
(31, 304, 'id', 'id', NULL),
(31, 304, 'password', 'pw', NULL),
(31, 304, 'remain', 'uebrig', NULL),
(31, 304, 'reload', 'reload', NULL),
(31, 304, 'reward', 'verguetung', NULL),
(31, 304, 'sid', 'siteid', NULL),
(31, 304, 'minimum_stay', 'ma', NULL),
(31, 305, 'extra', 'typ', 'bannerklick'),
(31, 305, 'id', 'id', NULL),
(31, 305, 'password', 'pw', NULL),
(31, 305, 'remain', 'uebrig', NULL),
(31, 305, 'reload', 'reload', NULL),
(31, 305, 'reward', 'verguetung', NULL),
(31, 305, 'sid', 'siteid', NULL),
(31, 305, 'minimum_stay', 'ma', NULL),
(31, 306, 'extra', 'typ', 'skybannerview'),
(31, 306, 'id', 'id', NULL),
(31, 306, 'password', 'pw', NULL),
(31, 306, 'remain', 'uebrig', NULL),
(31, 306, 'reload', 'reload', NULL),
(31, 306, 'reward', 'verguetung', NULL),
(31, 306, 'sid', 'siteid', NULL),
(31, 306, 'minimum_stay', 'ma', NULL),
(31, 307, 'extra', 'typ', 'buttonview'),
(31, 307, 'id', 'id', NULL),
(31, 307, 'password', 'pw', NULL),
(31, 307, 'remain', 'uebrig', NULL),
(31, 307, 'reload', 'reload', NULL),
(31, 307, 'reward', 'verguetung', NULL),
(31, 307, 'sid', 'siteid', NULL),
(31, 307, 'minimum_stay', 'ma', NULL),
(31, 308, 'extra', 'typ', 'textview'),
(31, 308, 'id', 'id', NULL),
(31, 308, 'password', 'pw', NULL),
(31, 308, 'remain', 'uebrig', NULL),
(31, 308, 'reload', 'reload', NULL),
(31, 308, 'reward', 'verguetung', NULL),
(31, 308, 'sid', 'siteid', NULL),
(31, 308, 'minimum_stay', 'ma', NULL),
(31, 309, 'extra', 'typ', 'traffic'),
(31, 309, 'id', 'id', NULL),
(31, 309, 'password', 'pw', NULL),
(31, 309, 'remain', 'uebrig', NULL),
(31, 309, 'reload', 'reload', NULL),
(31, 309, 'reward', 'verguetung', NULL),
(31, 309, 'sid', 'siteid', NULL),
(31, 309, 'minimum_stay', 'ma', NULL),
(31, 310, 'extra', 'typ', 'popup'),
(31, 310, 'id', 'id', NULL),
(31, 310, 'password', 'pw', NULL),
(31, 310, 'remain', 'uebrig', NULL),
(31, 310, 'reload', 'reload', NULL),
(31, 310, 'reward', 'verguetung', NULL),
(31, 310, 'sid', 'siteid', NULL),
(31, 310, 'minimum_stay', 'ma', NULL),
(31, 311, 'extra', 'typ', 'paidmail'),
(31, 311, 'id', 'id', NULL),
(31, 311, 'password', 'pw', NULL),
(31, 311, 'remain', 'uebrig', NULL),
(31, 311, 'reload', 'reload', NULL),
(31, 311, 'reward', 'verguetung', NULL),
(31, 311, 'sid', 'siteid', NULL),
(31, 311, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - Ad-Magnet

		// Request parameters per type handler - Ad-Promotion.net
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(37, 367, 'extra', 'typ', 'forcedbanner'),
(37, 367, 'id', 'id', NULL),
(37, 367, 'password', 'pw', NULL),
(37, 367, 'remain', 'uebrig', NULL),
(37, 367, 'reload', 'reload', NULL),
(37, 367, 'reward', 'verguetung', NULL),
(37, 367, 'sid', 'siteid', NULL),
(37, 368, 'extra', 'typ', 'forcedtextlink'),
(37, 368, 'id', 'id', NULL),
(37, 368, 'password', 'pw', NULL),
(37, 368, 'remain', 'uebrig', NULL),
(37, 368, 'reload', 'reload', NULL),
(37, 368, 'reward', 'verguetung', NULL),
(37, 368, 'sid', 'siteid', NULL),
(37, 369, 'extra', 'typ', 'bannerview'),
(37, 369, 'id', 'id', NULL),
(37, 369, 'password', 'pw', NULL),
(37, 369, 'remain', 'uebrig', NULL),
(37, 369, 'reload', 'reload', NULL),
(37, 369, 'reward', 'verguetung', NULL),
(37, 369, 'sid', 'siteid', NULL),
(37, 370, 'extra', 'typ', 'bannerklick'),
(37, 370, 'id', 'id', NULL),
(37, 370, 'password', 'pw', NULL),
(37, 370, 'remain', 'uebrig', NULL),
(37, 370, 'reload', 'reload', NULL),
(37, 370, 'reward', 'verguetung', NULL),
(37, 370, 'sid', 'siteid', NULL),
(37, 371, 'extra', 'typ', 'skybannerview'),
(37, 371, 'id', 'id', NULL),
(37, 371, 'password', 'pw', NULL),
(37, 371, 'remain', 'uebrig', NULL),
(37, 371, 'reload', 'reload', NULL),
(37, 371, 'reward', 'verguetung', NULL),
(37, 371, 'sid', 'siteid', NULL),
(37, 372, 'extra', 'typ', 'buttonview'),
(37, 372, 'id', 'id', NULL),
(37, 372, 'password', 'pw', NULL),
(37, 372, 'remain', 'uebrig', NULL),
(37, 372, 'reload', 'reload', NULL),
(37, 372, 'reward', 'verguetung', NULL),
(37, 372, 'sid', 'siteid', NULL),
(37, 373, 'extra', 'typ', 'textview'),
(37, 373, 'id', 'id', NULL),
(37, 373, 'password', 'pw', NULL),
(37, 373, 'remain', 'uebrig', NULL),
(37, 373, 'reload', 'reload', NULL),
(37, 373, 'reward', 'verguetung', NULL),
(37, 373, 'sid', 'siteid', NULL),
(37, 374, 'extra', 'typ', 'traffic'),
(37, 374, 'id', 'id', NULL),
(37, 374, 'password', 'pw', NULL),
(37, 374, 'remain', 'uebrig', NULL),
(37, 374, 'reload', 'reload', NULL),
(37, 374, 'reward', 'verguetung', NULL),
(37, 374, 'sid', 'siteid', NULL),
(37, 375, 'extra', 'typ', 'popup'),
(37, 375, 'id', 'id', NULL),
(37, 375, 'password', 'pw', NULL),
(37, 375, 'remain', 'uebrig', NULL),
(37, 375, 'reload', 'reload', NULL),
(37, 375, 'reward', 'verguetung', NULL),
(37, 375, 'sid', 'siteid', NULL),
(37, 376, 'extra', 'typ', 'paidmail'),
(37, 376, 'id', 'id', NULL),
(37, 376, 'password', 'pw', NULL),
(37, 376, 'remain', 'uebrig', NULL),
(37, 376, 'reload', 'reload', NULL),
(37, 376, 'reward', 'verguetung', NULL),
(37, 376, 'sid', 'siteid', NULL)");

		// Request parameters per type handler - AdCity.eu
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(32, 312, 'extra', 'typ', 'forcedbanner'),
(32, 312, 'id', 'id', NULL),
(32, 312, 'password', 'pw', NULL),
(32, 312, 'remain', 'uebrig', NULL),
(32, 312, 'reload', 'reload', NULL),
(32, 312, 'reward', 'verguetung', NULL),
(32, 312, 'minimum_stay', 'ma', NULL),
(32, 313, 'extra', 'typ', 'forcedtextlink'),
(32, 313, 'id', 'id', NULL),
(32, 313, 'password', 'pw', NULL),
(32, 313, 'remain', 'uebrig', NULL),
(32, 313, 'reload', 'reload', NULL),
(32, 313, 'reward', 'verguetung', NULL),
(32, 313, 'minimum_stay', 'ma', NULL),
(32, 314, 'extra', 'typ', 'bannerview'),
(32, 314, 'id', 'id', NULL),
(32, 314, 'password', 'pw', NULL),
(32, 314, 'remain', 'uebrig', NULL),
(32, 314, 'reload', 'reload', NULL),
(32, 314, 'reward', 'verguetung', NULL),
(32, 314, 'minimum_stay', 'ma', NULL),
(32, 315, 'extra', 'typ', 'bannerklick'),
(32, 315, 'id', 'id', NULL),
(32, 315, 'password', 'pw', NULL),
(32, 315, 'remain', 'uebrig', NULL),
(32, 315, 'reload', 'reload', NULL),
(32, 315, 'reward', 'verguetung', NULL),
(32, 315, 'minimum_stay', 'ma', NULL),
(32, 316, 'extra', 'typ', 'skyview'),
(32, 316, 'id', 'id', NULL),
(32, 316, 'password', 'pw', NULL),
(32, 316, 'remain', 'uebrig', NULL),
(32, 316, 'reload', 'reload', NULL),
(32, 316, 'reward', 'verguetung', NULL),
(32, 316, 'minimum_stay', 'ma', NULL),
(32, 317, 'extra', 'typ', 'buttonview'),
(32, 317, 'id', 'id', NULL),
(32, 317, 'password', 'pw', NULL),
(32, 317, 'remain', 'uebrig', NULL),
(32, 317, 'reload', 'reload', NULL),
(32, 317, 'reward', 'verguetung', NULL),
(32, 317, 'minimum_stay', 'ma', NULL),
(32, 318, 'extra', 'typ', 'textview'),
(32, 318, 'id', 'id', NULL),
(32, 318, 'password', 'pw', NULL),
(32, 318, 'remain', 'uebrig', NULL),
(32, 318, 'reload', 'reload', NULL),
(32, 318, 'reward', 'verguetung', NULL),
(32, 318, 'minimum_stay', 'ma', NULL),
(32, 319, 'extra', 'typ', 'taffic'),
(32, 319, 'id', 'id', NULL),
(32, 319, 'password', 'pw', NULL),
(32, 319, 'remain', 'uebrig', NULL),
(32, 319, 'reload', 'reload', NULL),
(32, 319, 'reward', 'verguetung', NULL),
(32, 319, 'minimum_stay', 'ma', NULL),
(32, 320, 'extra', 'typ', 'popup'),
(32, 320, 'id', 'id', NULL),
(32, 320, 'password', 'pw', NULL),
(32, 320, 'remain', 'uebrig', NULL),
(32, 320, 'reload', 'reload', NULL),
(32, 320, 'reward', 'verguetung', NULL),
(32, 320, 'minimum_stay', 'ma', NULL),
(32, 321, 'extra', 'typ', 'paidmail'),
(32, 321, 'id', 'id', NULL),
(32, 321, 'password', 'pw', NULL),
(32, 321, 'remain', 'uebrig', NULL),
(32, 321, 'reload', 'reload', NULL),
(32, 321, 'reward', 'verguetung', NULL),
(32, 321, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - AdCocktail

		// Request parameters per type handler - AdConvention
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(30, 292, 'extra', 'typ', 'forcedbanner'),
(30, 292, 'id', 'id', NULL),
(30, 292, 'minimum_stay', 'ma', NULL),
(30, 292, 'password', 'pw', NULL),
(30, 292, 'reload', 'reload', NULL),
(30, 292, 'remain', 'uebrig', NULL),
(30, 292, 'reward', 'verguetung', NULL),
(30, 293, 'extra', 'typ', 'forcedtextlink'),
(30, 293, 'id', 'id', NULL),
(30, 293, 'minimum_stay', 'ma', NULL),
(30, 293, 'password', 'pw', NULL),
(30, 293, 'reload', 'reload', NULL),
(30, 293, 'remain', 'uebrig', NULL),
(30, 293, 'reward', 'verguetung', NULL),
(30, 294, 'extra', 'typ', 'bannerview'),
(30, 294, 'id', 'id', NULL),
(30, 294, 'minimum_stay', 'ma', NULL),
(30, 294, 'password', 'pw', NULL),
(30, 294, 'reload', 'reload', NULL),
(30, 294, 'remain', 'uebrig', NULL),
(30, 294, 'reward', 'verguetung', NULL),
(30, 295, 'extra', 'typ', 'bannerklick'),
(30, 295, 'id', 'id', NULL),
(30, 295, 'minimum_stay', 'ma', NULL),
(30, 295, 'password', 'pw', NULL),
(30, 295, 'reload', 'reload', NULL),
(30, 295, 'remain', 'uebrig', NULL),
(30, 295, 'reward', 'verguetung', NULL),
(30, 296, 'extra', 'typ', 'skybannerview'),
(30, 296, 'id', 'id', NULL),
(30, 296, 'minimum_stay', 'ma', NULL),
(30, 296, 'password', 'pw', NULL),
(30, 296, 'reload', 'reload', NULL),
(30, 296, 'remain', 'uebrig', NULL),
(30, 296, 'reward', 'verguetung', NULL),
(30, 297, 'extra', 'typ', 'buttonview'),
(30, 297, 'id', 'id', NULL),
(30, 297, 'minimum_stay', 'ma', NULL),
(30, 297, 'password', 'pw', NULL),
(30, 297, 'reload', 'reload', NULL),
(30, 297, 'remain', 'uebrig', NULL),
(30, 297, 'reward', 'verguetung', NULL),
(30, 298, 'extra', 'typ', 'textview'),
(30, 298, 'id', 'id', NULL),
(30, 298, 'minimum_stay', 'ma', NULL),
(30, 298, 'password', 'pw', NULL),
(30, 298, 'reload', 'reload', NULL),
(30, 298, 'remain', 'uebrig', NULL),
(30, 298, 'reward', 'verguetung', NULL),
(30, 299, 'extra', 'typ', 'traffic'),
(30, 299, 'id', 'id', NULL),
(30, 299, 'minimum_stay', 'ma', NULL),
(30, 299, 'password', 'pw', NULL),
(30, 299, 'reload', 'reload', NULL),
(30, 299, 'remain', 'uebrig', NULL),
(30, 299, 'reward', 'verguetung', NULL),
(30, 300, 'extra', 'typ', 'popup'),
(30, 300, 'id', 'id', NULL),
(30, 300, 'minimum_stay', 'ma', NULL),
(30, 300, 'password', 'pw', NULL),
(30, 300, 'reload', 'reload', NULL),
(30, 300, 'remain', 'uebrig', NULL),
(30, 300, 'reward', 'verguetung', NULL),
(30, 301, 'extra', 'typ', 'paidmail'),
(30, 301, 'id', 'id', NULL),
(30, 301, 'minimum_stay', 'ma', NULL),
(30, 301, 'password', 'pw', NULL),
(30, 301, 'reload', 'reload', NULL),
(30, 301, 'remain', 'uebrig', NULL),
(30, 301, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - adgain.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(33, 322, 'extra', 'art', 'bannerklick'),
(33, 322, 'id', 'uid', NULL),
(33, 322, 'password', 'pw', NULL),
(33, 322, 'sid', 'sid', NULL),
(33, 322, 'reward', 'verguetung', NULL),
(33, 322, 'reload', 'reload', NULL),
(33, 322, 'remain', 'uebrig', NULL),
(33, 323, 'extra', 'art', 'bannerview'),
(33, 323, 'id', 'uid', NULL),
(33, 323, 'password', 'pw', NULL),
(33, 323, 'sid', 'sid', NULL),
(33, 323, 'reward', 'verguetung', NULL),
(33, 323, 'reload', 'reload', NULL),
(33, 323, 'remain', 'uebrig', NULL),
(33, 324, 'extra', 'art', 'forcedbanner'),
(33, 324, 'id', 'uid', NULL),
(33, 324, 'password', 'pw', NULL),
(33, 324, 'sid', 'sid', NULL),
(33, 324, 'reward', 'verguetung', NULL),
(33, 324, 'reload', 'reload', NULL),
(33, 324, 'remain', 'uebrig', NULL),
(33, 324, 'minimum_stay', 'ma', NULL),
(33, 325, 'extra', 'art', 'forcedtextlink'),
(33, 325, 'id', 'uid', NULL),
(33, 325, 'password', 'pw', NULL),
(33, 325, 'sid', 'sid', NULL),
(33, 325, 'reward', 'verguetung', NULL),
(33, 325, 'reload', 'reload', NULL),
(33, 325, 'remain', 'uebrig', NULL),
(33, 325, 'minimum_stay', 'ma', NULL),
(33, 326, 'extra', 'art', 'htmlmail'),
(33, 326, 'id', 'uid', NULL),
(33, 326, 'password', 'pw', NULL),
(33, 326, 'sid', 'sid', NULL),
(33, 326, 'reward', 'verguetung', NULL),
(33, 326, 'reload', 'reload', NULL),
(33, 326, 'remain', 'uebrig', NULL),
(33, 326, 'minimum_stay', 'ma', NULL),
(33, 327, 'extra', 'art', 'layer'),
(33, 327, 'id', 'uid', NULL),
(33, 327, 'password', 'pw', NULL),
(33, 327, 'sid', 'sid', NULL),
(33, 327, 'reward', 'verguetung', NULL),
(33, 327, 'reload', 'reload', NULL),
(33, 327, 'remain', 'uebrig', NULL),
(33, 328, 'extra', 'art', 'paidmail'),
(33, 328, 'id', 'uid', NULL),
(33, 328, 'password', 'pw', NULL),
(33, 328, 'sid', 'sid', NULL),
(33, 328, 'reward', 'verguetung', NULL),
(33, 328, 'reload', 'reload', NULL),
(33, 328, 'type', 'uebrig', NULL),
(33, 328, 'minimum_stay', 'ma', NULL),
(33, 329, 'extra', 'art', 'popup'),
(33, 329, 'id', 'uid', NULL),
(33, 329, 'password', 'pw', NULL),
(33, 329, 'sid', 'sid', NULL),
(33, 329, 'reward', 'verguetung', NULL),
(33, 329, 'reload', 'reload', NULL),
(33, 329, 'remain', 'uebrig', NULL),
(33, 329, 'minimum_stay', 'ma', NULL),
(33, 330, 'extra', 'art', 'skybannerklick'),
(33, 330, 'id', 'uid', NULL),
(33, 330, 'password', 'pw', NULL),
(33, 330, 'sid', 'sid', NULL),
(33, 330, 'reward', 'verguetung', NULL),
(33, 330, 'reload', 'reload', NULL),
(33, 330, 'remain', 'uebrig', NULL),
(33, 331, 'extra', 'art', 'skybannerview'),
(33, 331, 'id', 'uid', NULL),
(33, 331, 'password', 'pw', NULL),
(33, 331, 'sid', 'sid', NULL),
(33, 331, 'reward', 'verguetung', NULL),
(33, 331, 'reload', 'reload', NULL),
(33, 331, 'remain', 'uebrig', NULL),
(33, 332, 'extra', 'art', 'surfbarklick'),
(33, 332, 'id', 'uid', NULL),
(33, 332, 'password', 'pw', NULL),
(33, 332, 'sid', 'sid', NULL),
(33, 332, 'reward', 'verguetung', NULL),
(33, 332, 'reload', 'reload', NULL),
(33, 332, 'remain', 'uebrig', NULL),
(33, 333, 'extra', 'art', 'surfbarview'),
(33, 333, 'id', 'uid', NULL),
(33, 333, 'password', 'pw', NULL),
(33, 333, 'sid', 'sid', NULL),
(33, 333, 'reward', 'verguetung', NULL),
(33, 333, 'reload', 'reload', NULL),
(33, 333, 'remain', 'uebrig', NULL),
(33, 334, 'extra', 'art', 'textlinkklick'),
(33, 334, 'id', 'uid', NULL),
(33, 334, 'password', 'pw', NULL),
(33, 334, 'sid', 'sid', NULL),
(33, 334, 'reward', 'verguetung', NULL),
(33, 334, 'reload', 'reload', NULL),
(33, 334, 'remain', 'uebrig', NULL),
(33, 335, 'extra', 'art', 'textlinkview'),
(33, 335, 'id', 'uid', NULL),
(33, 335, 'password', 'pw', NULL),
(33, 335, 'sid', 'sid', NULL),
(33, 335, 'reward', 'verguetung', NULL),
(33, 335, 'reload', 'reload', NULL),
(33, 335, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - ADkracher
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(34, 336, 'extra', 'art', 'bannerklick'),
(34, 336, 'id', 'uid', NULL),
(34, 336, 'password', 'pw', NULL),
(34, 336, 'reload', 'reload', NULL),
(34, 336, 'remain', 'uebrig', NULL),
(34, 336, 'reward', 'verguetung', NULL),
(34, 336, 'sid', 'sid', NULL),
(34, 337, 'extra', 'art', 'bannerview'),
(34, 337, 'id', 'uid', NULL),
(34, 337, 'password', 'pw', NULL),
(34, 337, 'reload', 'reload', NULL),
(34, 337, 'remain', 'uebrig', NULL),
(34, 337, 'reward', 'verguetung', NULL),
(34, 337, 'sid', 'sid', NULL),
(34, 338, 'extra', 'art', 'forcedbanner'),
(34, 338, 'id', 'uid', NULL),
(34, 338, 'minimum_stay', 'ma', NULL),
(34, 338, 'password', 'pw', NULL),
(34, 338, 'reload', 'reload', NULL),
(34, 338, 'remain', 'uebrig', NULL),
(34, 338, 'reward', 'verguetung', NULL),
(34, 338, 'sid', 'sid', NULL),
(34, 339, 'extra', 'art', 'forcedtextlink'),
(34, 339, 'id', 'uid', NULL),
(34, 339, 'minimum_stay', 'ma', NULL),
(34, 339, 'password', 'pw', NULL),
(34, 339, 'reload', 'reload', NULL),
(34, 339, 'remain', 'uebrig', NULL),
(34, 339, 'reward', 'verguetung', NULL),
(34, 339, 'sid', 'sid', NULL),
(34, 340, 'extra', 'art', 'htmlmail'),
(34, 340, 'id', 'uid', NULL),
(34, 340, 'minimum_stay', 'ma', NULL),
(34, 340, 'password', 'pw', NULL),
(34, 340, 'reload', 'reload', NULL),
(34, 340, 'remain', 'uebrig', NULL),
(34, 340, 'reward', 'verguetung', NULL),
(34, 340, 'sid', 'sid', NULL),
(34, 341, 'extra', 'art', 'layer'),
(34, 341, 'id', 'uid', NULL),
(34, 341, 'password', 'pw', NULL),
(34, 341, 'reload', 'reload', NULL),
(34, 341, 'remain', 'uebrig', NULL),
(34, 341, 'reward', 'verguetung', NULL),
(34, 341, 'sid', 'sid', NULL),
(34, 342, 'extra', 'art', 'paidmail'),
(34, 342, 'id', 'uid', NULL),
(34, 342, 'maximum_stay', 'ma', NULL),
(34, 342, 'password', 'pw', NULL),
(34, 342, 'reload', 'reload', NULL),
(34, 342, 'remain', 'uebrig', NULL),
(34, 342, 'reward', 'verguetung', NULL),
(34, 342, 'sid', 'sid', NULL),
(34, 343, 'extra', 'art', 'popup'),
(34, 343, 'id', 'uid', NULL),
(34, 343, 'maximum_stay', 'ma', NULL),
(34, 343, 'password', 'pw', NULL),
(34, 343, 'reload', 'reload', NULL),
(34, 343, 'remain', 'uebrig', NULL),
(34, 343, 'reward', 'verguetung', NULL),
(34, 343, 'sid', 'sid', NULL),
(34, 344, 'extra', 'art', 'skybannerklick'),
(34, 344, 'id', 'uid', NULL),
(34, 344, 'password', 'pw', NULL),
(34, 344, 'reload', 'reload', NULL),
(34, 344, 'remain', 'uebrig', NULL),
(34, 344, 'reward', 'verguetung', NULL),
(34, 344, 'sid', 'sid', NULL),
(34, 345, 'extra', 'art', 'skybannerview'),
(34, 345, 'id', 'uid', NULL),
(34, 345, 'password', 'pw', NULL),
(34, 345, 'reload', 'reload', NULL),
(34, 345, 'remain', 'uebrig', NULL),
(34, 345, 'reward', 'verguetung', NULL),
(34, 345, 'sid', 'sid', NULL),
(34, 346, 'extra', 'art', 'textlinkklick'),
(34, 346, 'id', 'uid', NULL),
(34, 346, 'password', 'pw', NULL),
(34, 346, 'reload', 'reload', NULL),
(34, 346, 'remain', 'uebrig', NULL),
(34, 346, 'reward', 'verguetung', NULL),
(34, 346, 'sid', 'sid', NULL),
(34, 347, 'extra', 'art', 'textlinkview'),
(34, 347, 'id', 'uid', NULL),
(34, 347, 'password', 'pw', NULL),
(34, 347, 'reload', 'reload', NULL),
(34, 347, 'reward', 'verguetung', NULL),
(34, 347, 'sid', 'sid', NULL),
(34, 348, 'extra', 'art', 'traffic'),
(34, 348, 'id', 'uid', NULL),
(34, 348, 'minimum_stay', 'ma', NULL),
(34, 348, 'password', 'pw', NULL),
(34, 348, 'reload', 'reload', NULL),
(34, 348, 'remain', 'uebrig', NULL),
(34, 348, 'reward', 'verguetung', NULL),
(34, 348, 'sid', 'sid', NULL)");

		// Request parameters per type handler - Adminlose.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(35, 349, 'id', 'id', NULL),
(35, 349, 'password', 'pw', NULL),
(35, 349, 'reload', 'reload', NULL),
(35, 349, 'reward', 'verguetung', NULL),
(35, 349, 'remain', 'uebrig', NULL),
(35, 349, 'type', 'typ', 'view'),
(35, 350, 'id', 'id', NULL),
(35, 350, 'password', 'pw', NULL),
(35, 350, 'reload', 'reload', NULL),
(35, 350, 'reward', 'verguetung', NULL),
(35, 350, 'remain', 'uebrig', NULL),
(35, 350, 'type', 'typ', 'view'),
(35, 351, 'id', 'id', NULL),
(35, 351, 'password', 'pw', NULL),
(35, 351, 'reload', 'reload', NULL),
(35, 351, 'reward', 'verguetung', NULL),
(35, 351, 'remain', 'uebrig', NULL),
(35, 352, 'id', 'id', NULL),
(35, 352, 'password', 'pw', NULL),
(35, 352, 'reload', 'reload', NULL),
(35, 352, 'reward', 'verguetung', NULL),
(35, 352, 'type', 'uebrig', NULL),
(35, 353, 'id', 'id', NULL),
(35, 353, 'password', 'pw', NULL),
(35, 353, 'reward', 'verguetung', NULL),
(35, 353, 'remain', 'uebrig', NULL),
(35, 353, 'minimum_stay', 'ma', NULL),
(35, 354, 'id', 'id', NULL),
(35, 354, 'password', 'pw', NULL),
(35, 354, 'reload', 'reload', NULL),
(35, 354, 'reward', 'verguetung', NULL),
(35, 354, 'remain', 'uebrig', NULL),
(35, 355, 'id', 'id', NULL),
(35, 355, 'password', 'pw', NULL),
(35, 355, 'reload', 'reload', NULL),
(35, 355, 'reward', 'verguetung', NULL),
(35, 355, 'remain', 'uebrig', NULL),
(35, 355, 'minimum_stay', 'ma', NULL),
(35, 355, 'type', 'typ', 'popup'),
(35, 356, 'id', 'id', NULL),
(35, 356, 'password', 'pw', NULL),
(35, 356, 'reload', 'reload', NULL),
(35, 356, 'reward', 'verguetung', NULL),
(35, 356, 'remain', 'uebrig', NULL),
(35, 356, 'minimum_stay', 'ma', NULL),
(35, 356, 'type', 'typ', 'popdown')");

		// Request parameters per type handler - Admono.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(36, 357, 'extra', 'typ', 'forcedbanner'),
(36, 357, 'id', 'id', NULL),
(36, 357, 'sid', 'sid', NULL),
(36, 357, 'password', 'pw', NULL),
(36, 357, 'remain', 'uebrig', NULL),
(36, 357, 'reload', 'reload', NULL),
(36, 357, 'reward', 'verguetung', NULL),
(36, 358, 'extra', 'typ', 'forcedtextlink'),
(36, 358, 'id', 'id', NULL),
(36, 358, 'sid', 'sid', NULL),
(36, 358, 'password', 'pw', NULL),
(36, 358, 'remain', 'uebrig', NULL),
(36, 358, 'reload', 'reload', NULL),
(36, 358, 'reward', 'verguetung', NULL),
(36, 359, 'extra', 'typ', 'bannerview'),
(36, 359, 'id', 'id', NULL),
(36, 359, 'sid', 'sid', NULL),
(36, 359, 'password', 'pw', NULL),
(36, 359, 'remain', 'uebrig', NULL),
(36, 359, 'reload', 'reload', NULL),
(36, 359, 'reward', 'verguetung', NULL),
(36, 360, 'extra', 'typ', 'bannerklick'),
(36, 360, 'id', 'id', NULL),
(36, 360, 'sid', 'sid', NULL),
(36, 360, 'password', 'pw', NULL),
(36, 360, 'remain', 'uebrig', NULL),
(36, 360, 'reload', 'reload', NULL),
(36, 360, 'reward', 'verguetung', NULL),
(36, 361, 'extra', 'typ', 'skybannerview'),
(36, 361, 'id', 'id', NULL),
(36, 361, 'sid', 'sid', NULL),
(36, 361, 'password', 'pw', NULL),
(36, 361, 'remain', 'uebrig', NULL),
(36, 361, 'reload', 'reload', NULL),
(36, 361, 'reward', 'verguetung', NULL),
(36, 362, 'extra', 'typ', 'buttonview'),
(36, 362, 'id', 'id', NULL),
(36, 362, 'sid', 'sid', NULL),
(36, 362, 'password', 'pw', NULL),
(36, 362, 'remain', 'uebrig', NULL),
(36, 362, 'reload', 'reload', NULL),
(36, 362, 'reward', 'verguetung', NULL),
(36, 363, 'extra', 'typ', 'textview'),
(36, 363, 'id', 'id', NULL),
(36, 363, 'sid', 'sid', NULL),
(36, 363, 'password', 'pw', NULL),
(36, 363, 'remain', 'uebrig', NULL),
(36, 363, 'reload', 'reload', NULL),
(36, 363, 'reward', 'verguetung', NULL),
(36, 364, 'extra', 'typ', 'traffic'),
(36, 364, 'id', 'id', NULL),
(36, 364, 'sid', 'sid', NULL),
(36, 364, 'password', 'pw', NULL),
(36, 364, 'remain', 'uebrig', NULL),
(36, 364, 'reload', 'reload', NULL),
(36, 364, 'reward', 'verguetung', NULL),
(36, 365, 'extra', 'typ', 'popup'),
(36, 365, 'id', 'id', NULL),
(36, 365, 'sid', 'sid', NULL),
(36, 365, 'password', 'pw', NULL),
(36, 365, 'remain', 'uebrig', NULL),
(36, 365, 'reload', 'reload', NULL),
(36, 365, 'reward', 'verguetung', NULL),
(36, 366, 'extra', 'typ', 'paidmail'),
(36, 366, 'id', 'id', NULL),
(36, 366, 'sid', 'sid', NULL),
(36, 366, 'password', 'pw', NULL),
(36, 366, 'remain', 'uebrig', NULL),
(36, 366, 'reload', 'reload', NULL),
(36, 366, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - AdPaid
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(5, 177, 'id', 'id', NULL),
(5, 177, 'password', 'pw', NULL),
(5, 177, 'reload', 'reload', NULL),
(5, 177, 'remain', 'uebrig', NULL),
(5, 177, 'reward', 'verguetung', NULL),
(5, 177, 'sid', 'sid', NULL),
(5, 177, 'size', 'size', '468x60'),
(5, 177, 'type', 'typ', 'klick'),
(5, 178, 'id', 'id', NULL),
(5, 178, 'password', 'pw', NULL),
(5, 178, 'reload', 'reload', NULL),
(5, 178, 'remain', 'uebrig', NULL),
(5, 178, 'reward', 'verguetung', NULL),
(5, 178, 'sid', 'sid', NULL),
(5, 178, 'type', 'typ', 'klick'),
(5, 179, 'id', 'id', NULL),
(5, 179, 'password', 'pw', NULL),
(5, 179, 'reload', 'reload', NULL),
(5, 179, 'remain', 'uebrig', NULL),
(5, 179, 'reward', 'verguetung', NULL),
(5, 179, 'sid', 'sid', NULL),
(5, 179, 'size', 'size', NULL),
(5, 179, 'type', 'typ', 'klick'),
(5, 180, 'id', 'id', NULL),
(5, 180, 'minimum_stay', 'ma', NULL),
(5, 180, 'password', 'pw', NULL),
(5, 180, 'reload', 'reload', NULL),
(5, 180, 'remain', 'uebrig', NULL),
(5, 180, 'reward', 'verguetung', NULL),
(5, 180, 'sid', 'sid', NULL),
(5, 180, 'size', 'size', '468x60'),
(5, 181, 'id', 'id', NULL),
(5, 181, 'minimum_stay', 'ma', NULL),
(5, 181, 'password', 'pw', NULL),
(5, 181, 'reload', 'reload', NULL),
(5, 181, 'remain', 'uebrig', NULL),
(5, 181, 'reward', 'verguetung', NULL),
(5, 181, 'sid', 'sid', NULL),
(5, 181, 'type', 'typ', 'text'),
(5, 182, 'id', 'id', NULL),
(5, 182, 'password', 'pw', NULL),
(5, 182, 'reload', 'reload', NULL),
(5, 182, 'remain', 'uebrig', NULL),
(5, 182, 'reward', 'verguetung', NULL),
(5, 182, 'sid', 'sid', NULL),
(5, 182, 'type', 'typ', 'klick'),
(5, 183, 'id', 'id', NULL),
(5, 183, 'minimum_stay', 'ma', NULL),
(5, 183, 'password', 'pw', NULL),
(5, 183, 'reload', 'reload', NULL),
(5, 183, 'remain', 'uebrig', NULL),
(5, 183, 'reward', 'verguetung', NULL),
(5, 183, 'sid', 'sid', NULL),
(5, 184, 'id', 'id', NULL),
(5, 184, 'minimum_stay', 'ma', NULL),
(5, 184, 'password', 'pw', NULL),
(5, 184, 'reload', 'reload', NULL),
(5, 184, 'remain', 'uebrig', NULL),
(5, 184, 'reward', 'verguetung', NULL),
(5, 184, 'sid', 'sid', NULL),
(5, 185, 'id', 'id', NULL),
(5, 185, 'password', 'pw', NULL),
(5, 185, 'remain', 'uebrig', NULL),
(5, 185, 'reward', 'verguetung', NULL),
(5, 185, 'sid', 'sid', NULL),
(5, 186, 'id', 'id', NULL),
(5, 186, 'password', 'pw', NULL),
(5, 186, 'remain', 'uebrig', NULL),
(5, 186, 'reward', 'verguetung', NULL),
(5, 186, 'sid', 'sid', NULL),
(5, 391, 'id', 'id', NULL),
(5, 391, 'password', 'pw', NULL),
(5, 391, 'reload', 'reload', NULL),
(5, 391, 'remain', 'uebrig', NULL),
(5, 391, 'reward', 'verguetung', NULL),
(5, 391, 'sid', 'sid', NULL),
(5, 391, 'size', 'size', '468x60'),
(5, 391, 'type', 'typ', 'view'),
(5, 392, 'id', 'id', NULL),
(5, 392, 'password', 'pw', NULL),
(5, 392, 'reload', 'reload', NULL),
(5, 392, 'remain', 'uebrig', NULL),
(5, 392, 'reward', 'verguetung', NULL),
(5, 392, 'sid', 'sid', NULL),
(5, 392, 'type', 'typ', 'view'),
(5, 393, 'id', 'id', NULL),
(5, 393, 'password', 'pw', NULL),
(5, 393, 'reload', 'reload', NULL),
(5, 393, 'remain', 'uebrig', NULL),
(5, 393, 'reward', 'verguetung', NULL),
(5, 393, 'sid', 'sid', NULL),
(5, 393, 'size', 'size', NULL),
(5, 393, 'type', 'typ', 'view'),
(5, 394, 'id', 'id', NULL),
(5, 394, 'password', 'pw', NULL),
(5, 394, 'reload', 'reload', NULL),
(5, 394, 'remain', 'uebrig', NULL),
(5, 394, 'reward', 'verguetung', NULL),
(5, 394, 'sid', 'sid', NULL),
(5, 394, 'type', 'typ', 'view')");

		// Request parameters per type handler - AdProvi
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(38, 377, 'extra', 'typ', 'forcedbanner'),
(38, 377, 'id', 'id', NULL),
(38, 377, 'password', 'pw', NULL),
(38, 377, 'remain', 'uebrig', NULL),
(38, 377, 'reload', 'reload', NULL),
(38, 377, 'reward', 'verguetung', NULL),
(38, 377, 'sid', 'siteid', NULL),
(38, 378, 'extra', 'typ', 'forcedtextlink'),
(38, 378, 'id', 'id', NULL),
(38, 378, 'password', 'pw', NULL),
(38, 378, 'remain', 'uebrig', NULL),
(38, 378, 'reload', 'reload', NULL),
(38, 378, 'reward', 'verguetung', NULL),
(38, 378, 'sid', 'siteid', NULL),
(38, 379, 'extra', 'typ', 'bannerview'),
(38, 379, 'id', 'id', NULL),
(38, 379, 'password', 'pw', NULL),
(38, 379, 'remain', 'uebrig', NULL),
(38, 379, 'reload', 'reload', NULL),
(38, 379, 'reward', 'verguetung', NULL),
(38, 379, 'sid', 'siteid', NULL),
(38, 380, 'extra', 'typ', 'bannerklick'),
(38, 380, 'id', 'id', NULL),
(38, 380, 'password', 'pw', NULL),
(38, 380, 'remain', 'uebrig', NULL),
(38, 380, 'reload', 'reload', NULL),
(38, 380, 'reward', 'verguetung', NULL),
(38, 380, 'sid', 'siteid', NULL),
(38, 381, 'extra', 'typ', 'skybannerview'),
(38, 381, 'id', 'id', NULL),
(38, 381, 'password', 'pw', NULL),
(38, 381, 'remain', 'uebrig', NULL),
(38, 381, 'reload', 'reload', NULL),
(38, 381, 'reward', 'verguetung', NULL),
(38, 381, 'sid', 'siteid', NULL),
(38, 382, 'extra', 'typ', 'buttonview'),
(38, 382, 'id', 'id', NULL),
(38, 382, 'password', 'pw', NULL),
(38, 382, 'remain', 'uebrig', NULL),
(38, 382, 'reload', 'reload', NULL),
(38, 382, 'reward', 'verguetung', NULL),
(38, 382, 'sid', 'siteid', NULL),
(38, 383, 'extra', 'typ', 'textview'),
(38, 383, 'id', 'id', NULL),
(38, 383, 'password', 'pw', NULL),
(38, 383, 'remain', 'uebrig', NULL),
(38, 383, 'reload', 'reload', NULL),
(38, 383, 'reward', 'verguetung', NULL),
(38, 383, 'sid', 'siteid', NULL),
(38, 384, 'extra', 'typ', 'traffic'),
(38, 384, 'id', 'id', NULL),
(38, 384, 'password', 'pw', NULL),
(38, 384, 'remain', 'uebrig', NULL),
(38, 384, 'reload', 'reload', NULL),
(38, 384, 'reward', 'verguetung', NULL),
(38, 384, 'sid', 'siteid', NULL),
(38, 385, 'extra', 'typ', 'popup'),
(38, 385, 'id', 'id', NULL),
(38, 385, 'password', 'pw', NULL),
(38, 385, 'remain', 'uebrig', NULL),
(38, 385, 'reload', 'reload', NULL),
(38, 385, 'reward', 'verguetung', NULL),
(38, 385, 'sid', 'siteid', NULL),
(38, 386, 'extra', 'typ', 'paidmail'),
(38, 386, 'id', 'id', NULL),
(38, 386, 'password', 'pw', NULL),
(38, 386, 'remain', 'uebrig', NULL),
(38, 386, 'reload', 'reload', NULL),
(38, 386, 'reward', 'verguetung', NULL),
(38, 386, 'sid', 'siteid', NULL)");

		// Request parameters per type handler - Ads2Earn
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(39, 395, 'id', 'id', NULL),
(39, 395, 'sid', 'sid', NULL),
(39, 395, 'password', 'pw', NULL),
(39, 395, 'reward', 'verguetung', NULL),
(39, 395, 'reload', 'reload', NULL),
(39, 395, 'remain', 'uebrig', NULL),
(39, 395, 'type', 'typ', 'klick'),
(39, 395, 'size', 'size', '468x60'),
(39, 395, 'minimum_stay', 'ma', NULL),
(39, 396, 'id', 'id', NULL),
(39, 396, 'sid', 'sid', NULL),
(39, 396, 'password', 'pw', NULL),
(39, 396, 'reward', 'verguetung', NULL),
(39, 396, 'reload', 'reload', NULL),
(39, 396, 'remain', 'uebrig', NULL),
(39, 396, 'type', 'typ', 'view'),
(39, 396, 'size', 'size', '468x60'),
(39, 396, 'minimum_stay', 'ma', NULL),
(39, 397, 'id', 'id', NULL),
(39, 397, 'sid', 'sid', NULL),
(39, 397, 'password', 'pw', NULL),
(39, 397, 'reward', 'verguetung', NULL),
(39, 397, 'reload', 'reload', NULL),
(39, 397, 'remain', 'remain', NULL),
(39, 397, 'type', 'typ', 'klick'),
(39, 398, 'id', 'id', NULL),
(39, 398, 'sid', 'sid', NULL),
(39, 398, 'password', 'pw', NULL),
(39, 398, 'reward', 'verguetung', NULL),
(39, 398, 'reload', 'reload', NULL),
(39, 398, 'remain', 'uebrig', NULL),
(39, 398, 'type', 'typ', 'view'),
(39, 399, 'id', 'id', NULL),
(39, 399, 'sid', 'sid', NULL),
(39, 399, 'password', 'pw', NULL),
(39, 399, 'reward', 'verguetung', NULL),
(39, 399, 'reload', 'reload', NULL),
(39, 399, 'remain', 'uebrig', NULL),
(39, 399, 'size', 'size', '468x60'),
(39, 399, 'minimum_stay', 'ma', NULL),
(39, 400, 'id', 'id', NULL),
(39, 400, 'sid', 'sid', NULL),
(39, 400, 'password', 'pw', NULL),
(39, 400, 'reload', 'reload', NULL),
(39, 400, 'reward', 'verguetung', NULL),
(39, 400, 'remain', 'uebrig', NULL),
(39, 400, 'minimum_stay', 'ma', NULL),
(39, 400, 'type', 'typ', 'html'),
(39, 401, 'id', 'id', NULL),
(39, 401, 'sid', 'sid', NULL),
(39, 401, 'password', 'pw', NULL),
(39, 401, 'reload', 'reload', NULL),
(39, 401, 'reward', 'verguetung', NULL),
(39, 401, 'remain', 'uebrig', NULL),
(39, 401, 'minimum_stay', 'ma', NULL),
(39, 401, 'type', 'typ', 'text'),
(39, 402, 'id', 'id', NULL),
(39, 402, 'sid', 'sid', NULL),
(39, 402, 'password', 'pw', NULL),
(39, 402, 'reward', 'verguetung', NULL),
(39, 402, 'reload', 'reload', NULL),
(39, 402, 'remain', 'uebrig', NULL),
(39, 402, 'type', 'typ', 'klick'),
(39, 402, 'size', 'size', '88x31'),
(39, 402, 'minimum_stay', 'ma', NULL),
(39, 403, 'id', 'id', NULL),
(39, 403, 'sid', 'sid', NULL),
(39, 403, 'password', 'pw', NULL),
(39, 403, 'reward', 'verguetung', NULL),
(39, 403, 'reload', 'reload', NULL),
(39, 403, 'remain', 'uebrig', NULL),
(39, 403, 'type', 'typ', 'view'),
(39, 403, 'size', 'size', '88x31'),
(39, 403, 'minimum_stay', 'ma', NULL),
(39, 404, 'id', 'id', NULL),
(39, 404, 'sid', 'sid', NULL),
(39, 404, 'password', 'pw', NULL),
(39, 404, 'reward', 'verguetung', NULL),
(39, 404, 'reload', 'reload', NULL),
(39, 404, 'remain', 'uebrig', NULL),
(39, 404, 'type', 'typ', 'klick'),
(39, 404, 'size', 'size', '120x600'),
(39, 404, 'minimum_stay', 'ma', NULL),
(39, 405, 'id', 'id', NULL),
(39, 405, 'sid', 'sid', NULL),
(39, 405, 'password', 'pw', NULL),
(39, 405, 'reward', 'verguetung', NULL),
(39, 405, 'reload', 'reload', NULL),
(39, 405, 'remain', 'uebrig', NULL),
(39, 405, 'type', 'typ', 'view'),
(39, 405, 'size', 'size', '120x600'),
(39, 405, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - Ads2Webbi
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(40, 406, 'extra', 'typ', 'forcedbanner'),
(40, 406, 'id', 'id', NULL),
(40, 406, 'password', 'pw', NULL),
(40, 406, 'remain', 'uebrig', NULL),
(40, 406, 'reload', 'reload', NULL),
(40, 406, 'reward', 'verguetung', NULL),
(40, 406, 'minimum_stay', 'ma', NULL),
(40, 407, 'extra', 'typ', 'forcedtextlink'),
(40, 407, 'id', 'id', NULL),
(40, 407, 'password', 'pw', NULL),
(40, 407, 'remain', 'uebrig', NULL),
(40, 407, 'reload', 'reload', NULL),
(40, 407, 'reward', 'verguetung', NULL),
(40, 407, 'minimum_stay', 'ma', NULL),
(40, 408, 'extra', 'typ', 'bannerview'),
(40, 408, 'id', 'id', NULL),
(40, 408, 'password', 'pw', NULL),
(40, 408, 'remain', 'uebrig', NULL),
(40, 408, 'reload', 'reload', NULL),
(40, 408, 'reward', 'verguetung', NULL),
(40, 408, 'minimum_stay', 'ma', NULL),
(40, 409, 'extra', 'typ', 'bannerklick'),
(40, 409, 'id', 'id', NULL),
(40, 409, 'password', 'pw', NULL),
(40, 409, 'remain', 'uebrig', NULL),
(40, 409, 'reload', 'reload', NULL),
(40, 409, 'reward', 'verguetung', NULL),
(40, 409, 'minimum_stay', 'ma', NULL),
(40, 410, 'extra', 'typ', 'skybannerview'),
(40, 410, 'id', 'id', NULL),
(40, 410, 'password', 'pw', NULL),
(40, 410, 'remain', 'uebrig', NULL),
(40, 410, 'reload', 'reload', NULL),
(40, 410, 'reward', 'verguetung', NULL),
(40, 410, 'minimum_stay', 'ma', NULL),
(40, 411, 'extra', 'typ', 'buttonview'),
(40, 411, 'id', 'id', NULL),
(40, 411, 'password', 'pw', NULL),
(40, 411, 'remain', 'uebrig', NULL),
(40, 411, 'reload', 'reload', NULL),
(40, 411, 'reward', 'verguetung', NULL),
(40, 411, 'minimum_stay', 'ma', NULL),
(40, 412, 'extra', 'typ', 'textview'),
(40, 412, 'id', 'id', NULL),
(40, 412, 'password', 'pw', NULL),
(40, 412, 'remain', 'uebrig', NULL),
(40, 412, 'reload', 'reload', NULL),
(40, 412, 'reward', 'verguetung', NULL),
(40, 412, 'minimum_stay', 'ma', NULL),
(40, 413, 'extra', 'typ', 'traffic'),
(40, 413, 'id', 'id', NULL),
(40, 413, 'password', 'pw', NULL),
(40, 413, 'remain', 'uebrig', NULL),
(40, 413, 'reload', 'reload', NULL),
(40, 413, 'reward', 'verguetung', NULL),
(40, 413, 'minimum_stay', 'ma', NULL),
(40, 414, 'extra', 'typ', 'popup'),
(40, 414, 'id', 'id', NULL),
(40, 414, 'password', 'pw', NULL),
(40, 414, 'remain', 'uebrig', NULL),
(40, 414, 'reload', 'reload', NULL),
(40, 414, 'reward', 'verguetung', NULL),
(40, 414, 'minimum_stay', 'ma', NULL),
(40, 415, 'extra', 'typ', 'paidmail'),
(40, 415, 'id', 'id', NULL),
(40, 415, 'password', 'pw', NULL),
(40, 415, 'remain', 'uebrig', NULL),
(40, 415, 'reload', 'reload', NULL),
(40, 415, 'reward', 'verguetung', NULL),
(40, 415, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - Ads4
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(6, 14, 'currency', 'waehrung', NULL),
(6, 14, 'extra', 'mediatype', 'forced_banner'),
(6, 14, 'id', 'id', NULL),
(6, 14, 'minimum_stay', 'ma', NULL),
(6, 14, 'password', 'pwd', NULL),
(6, 14, 'reload', 'reload', NULL),
(6, 14, 'remain', 'uebrig', NULL),
(6, 14, 'reward', 'verg', NULL),
(6, 15, 'currency', 'waehrung', NULL),
(6, 15, 'extra', 'mediatype', 'textmails'),
(6, 15, 'id', 'id', NULL),
(6, 15, 'minimum_stay', 'ma', NULL),
(6, 15, 'password', 'pwd', NULL),
(6, 15, 'reload', 'reload', NULL),
(6, 15, 'remain', 'uebrig', NULL),
(6, 15, 'reward', 'verg', NULL),
(6, 16, 'currency', 'waehrung', NULL),
(6, 16, 'extra', 'mediatype', 'htmlmails'),
(6, 16, 'id', 'id', NULL),
(6, 16, 'minimum_stay', 'ma', NULL),
(6, 16, 'password', 'pw', NULL),
(6, 16, 'reload', 'reload', NULL),
(6, 16, 'remain', 'uebrig', NULL),
(6, 16, 'reward', 'verg', NULL),
(6, 119, 'currency', 'waehrung', NULL),
(6, 119, 'extra', 'mediatype', 'traffic'),
(6, 119, 'id', 'id', NULL),
(6, 119, 'minimum_stay', 'ma', NULL),
(6, 119, 'password', 'pwd', NULL),
(6, 119, 'reload', 'reload', NULL),
(6, 119, 'remain', 'uebrig', NULL),
(6, 119, 'reward', 'verg', NULL)");

		// Request parameters per type handler - Ads4Webbis
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(7, 17, 'extra', 'typ', 'forcedbanner'),
(7, 17, 'id', 'id', NULL),
(7, 17, 'password', 'pw', NULL),
(7, 17, 'reload', 'reload', NULL),
(7, 17, 'remain', 'uebrig', NULL),
(7, 17, 'reward', 'verguetung', NULL),
(7, 18, 'extra', 'typ', 'forcedtextlink'),
(7, 18, 'id', 'id', NULL),
(7, 18, 'password', 'pw', NULL),
(7, 18, 'reload', 'reload', NULL),
(7, 18, 'remain', 'uebrig', NULL),
(7, 18, 'reward', 'verguetung', NULL),
(7, 19, 'extra', 'typ', 'bannerview'),
(7, 19, 'id', 'id', NULL),
(7, 19, 'password', 'pw', NULL),
(7, 19, 'reload', 'reload', NULL),
(7, 19, 'remain', 'uebrig', NULL),
(7, 19, 'reward', 'verguetung', NULL),
(7, 20, 'extra', 'typ', 'bannerklick'),
(7, 20, 'id', 'id', NULL),
(7, 20, 'password', 'pw', NULL),
(7, 20, 'reload', 'reload', NULL),
(7, 20, 'remain', 'uebrig', NULL),
(7, 20, 'reward', 'verguetung', NULL),
(7, 21, 'extra', 'typ', 'skybannerview'),
(7, 21, 'id', 'id', NULL),
(7, 21, 'password', 'pw', NULL),
(7, 21, 'reload', 'reload', NULL),
(7, 21, 'remain', 'uebrig', NULL),
(7, 21, 'reward', 'verguetung', NULL),
(7, 22, 'extra', 'typ', 'buttonview'),
(7, 22, 'id', 'id', NULL),
(7, 22, 'password', 'pw', NULL),
(7, 22, 'reload', 'reload', NULL),
(7, 22, 'remain', 'uebrig', NULL),
(7, 22, 'reward', 'verguetung', NULL),
(7, 23, 'extra', 'typ', 'textview'),
(7, 23, 'id', 'id', NULL),
(7, 23, 'password', 'pw', NULL),
(7, 23, 'reload', 'reload', NULL),
(7, 23, 'remain', 'uebrig', NULL),
(7, 23, 'reward', 'verguetung', NULL),
(7, 24, 'extra', 'typ', 'popup'),
(7, 24, 'id', 'id', NULL),
(7, 24, 'minimum_stay', 'ma', NULL),
(7, 24, 'password', 'pw', NULL),
(7, 24, 'reload', 'reload', NULL),
(7, 24, 'remain', 'uebrig', NULL),
(7, 24, 'reward', 'verguetung', NULL),
(7, 25, 'extra', 'typ', 'paidmail'),
(7, 25, 'id', 'id', NULL),
(7, 25, 'minimum_stay', 'ma', NULL),
(7, 25, 'password', 'pw', NULL),
(7, 25, 'reload', 'reload', NULL),
(7, 25, 'remain', 'uebrig', NULL),
(7, 25, 'reward', 'verguetung', NULL),
(7, 120, 'extra', 'typ', 'traffic'),
(7, 120, 'id', 'id', NULL),
(7, 120, 'password', 'pw', NULL),
(7, 120, 'reload', 'reload', NULL),
(7, 120, 'remain', 'uebrig', NULL),
(7, 120, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Ads4World
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(8, 26, 'extra', 'typ', 'forcedbanner'),
(8, 26, 'id', 'id', NULL),
(8, 26, 'password', 'pw', NULL),
(8, 26, 'reload', 'reload', NULL),
(8, 26, 'remain', 'uebrig', NULL),
(8, 26, 'reward', 'verguetung', NULL),
(8, 27, 'extra', 'typ', 'forcedtextlink'),
(8, 27, 'id', 'id', NULL),
(8, 27, 'password', 'pw', NULL),
(8, 27, 'reload', 'reload', NULL),
(8, 27, 'remain', 'uebrig', NULL),
(8, 27, 'reward', 'verguetung', NULL),
(8, 28, 'extra', 'typ', 'bannerview'),
(8, 28, 'id', 'id', NULL),
(8, 28, 'password', 'pw', NULL),
(8, 28, 'reload', 'reload', NULL),
(8, 28, 'remain', 'uebrig', NULL),
(8, 28, 'reward', 'verguetung', NULL),
(8, 29, 'extra', 'typ', 'bannerklick'),
(8, 29, 'id', 'id', NULL),
(8, 29, 'password', 'pw', NULL),
(8, 29, 'reload', 'reload', NULL),
(8, 29, 'remain', 'uebrig', NULL),
(8, 29, 'reward', 'verguetung', NULL),
(8, 30, 'extra', 'typ', 'skybannerview'),
(8, 30, 'id', 'id', NULL),
(8, 30, 'password', 'pw', NULL),
(8, 30, 'reload', 'reload', NULL),
(8, 30, 'remain', 'uebrig', NULL),
(8, 30, 'reward', 'verguetung', NULL),
(8, 31, 'extra', 'typ', 'buttonview'),
(8, 31, 'id', 'id', NULL),
(8, 31, 'password', 'pw', NULL),
(8, 31, 'reload', 'reload', NULL),
(8, 31, 'remain', 'uebrig', NULL),
(8, 31, 'reward', 'verguetung', NULL),
(8, 32, 'extra', 'typ', 'textview'),
(8, 32, 'id', 'id', NULL),
(8, 32, 'password', 'pw', NULL),
(8, 32, 'reload', 'reload', NULL),
(8, 32, 'remain', 'uebrig', NULL),
(8, 32, 'reward', 'verguetung', NULL),
(8, 33, 'extra', 'typ', 'popup'),
(8, 33, 'id', 'id', NULL),
(8, 33, 'minimum_stay', 'ma', NULL),
(8, 33, 'password', 'pw', NULL),
(8, 33, 'reload', 'reload', NULL),
(8, 33, 'remain', 'uebrig', NULL),
(8, 33, 'reward', 'verguetung', NULL),
(8, 34, 'extra', 'typ', 'textmails'),
(8, 34, 'id', 'id', NULL),
(8, 34, 'minimum_stay', 'ma', NULL),
(8, 34, 'password', 'pw', NULL),
(8, 34, 'reload', 'reload', NULL),
(8, 34, 'remain', 'uebrig', NULL),
(8, 34, 'reward', 'verguetung', NULL),
(8, 121, 'extra', 'typ', 'traffic'),
(8, 121, 'id', 'id', NULL),
(8, 121, 'password', 'pw', NULL),
(8, 121, 'reload', 'reload', NULL),
(8, 121, 'remain', 'uebrig', NULL),
(8, 121, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Affiliblatt

		// Request parameters per type handler - AllAds4You
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(10, 167, 'extra', 'typ', 'forcedbanner'),
(10, 167, 'id', 'id', NULL),
(10, 167, 'password', 'pw', NULL),
(10, 167, 'reload', 'reload', NULL),
(10, 167, 'remain', 'uebrig', NULL),
(10, 167, 'reward', 'verguetung', NULL),
(10, 167, 'sid', 'sid', NULL),
(10, 168, 'extra', 'typ', 'forcedtextlink'),
(10, 168, 'id', 'id', NULL),
(10, 168, 'password', 'pw', NULL),
(10, 168, 'reload', 'reload', NULL),
(10, 168, 'remain', 'uebrig', NULL),
(10, 168, 'reward', 'verguetung', NULL),
(10, 168, 'sid', 'sid', NULL),
(10, 169, 'extra', 'typ', 'bannerview'),
(10, 169, 'id', 'id', NULL),
(10, 169, 'password', 'pw', NULL),
(10, 169, 'reload', 'reload', NULL),
(10, 169, 'remain', 'uebrig', NULL),
(10, 169, 'reward', 'verguetung', NULL),
(10, 169, 'sid', 'sid', NULL),
(10, 170, 'extra', 'typ', 'bannerklick'),
(10, 170, 'id', 'id', NULL),
(10, 170, 'password', 'pw', NULL),
(10, 170, 'reload', 'reload', NULL),
(10, 170, 'remain', 'uebrig', NULL),
(10, 170, 'reward', 'verguetung', NULL),
(10, 170, 'sid', 'sid', NULL),
(10, 171, 'extra', 'typ', 'skybannerview'),
(10, 171, 'id', 'id', NULL),
(10, 171, 'password', 'pw', NULL),
(10, 171, 'reload', 'reload', NULL),
(10, 171, 'remain', 'uebrig', NULL),
(10, 171, 'reward', 'verguetung', NULL),
(10, 171, 'sid', 'sid', NULL),
(10, 172, 'extra', 'typ', 'buttonview'),
(10, 172, 'id', 'id', NULL),
(10, 172, 'password', 'pw', NULL),
(10, 172, 'reload', 'reload', NULL),
(10, 172, 'remain', 'uebrig', NULL),
(10, 172, 'reward', 'verguetung', NULL),
(10, 172, 'sid', 'sid', NULL),
(10, 173, 'extra', 'typ', 'textview'),
(10, 173, 'id', 'id', NULL),
(10, 173, 'password', 'pw', NULL),
(10, 173, 'reload', 'reload', NULL),
(10, 173, 'remain', 'uebrig', NULL),
(10, 173, 'reward', 'verguetung', NULL),
(10, 173, 'sid', 'sid', NULL),
(10, 174, 'extra', 'typ', 'traffic'),
(10, 174, 'id', 'id', NULL),
(10, 174, 'password', 'pw', NULL),
(10, 174, 'reload', 'reload', NULL),
(10, 174, 'remain', 'uebrig', NULL),
(10, 174, 'reward', 'verguetung', NULL),
(10, 174, 'sid', 'sid', NULL),
(10, 175, 'extra', 'typ', 'popup'),
(10, 175, 'id', 'id', NULL),
(10, 175, 'password', 'pw', NULL),
(10, 175, 'reload', 'reload', NULL),
(10, 175, 'remain', 'uebrig', NULL),
(10, 175, 'reward', 'verguetung', NULL),
(10, 175, 'sid', 'sid', NULL),
(10, 176, 'extra', 'typ', 'paidmail'),
(10, 176, 'id', 'id', NULL),
(10, 176, 'password', 'pw', NULL),
(10, 176, 'reload', 'reload', NULL),
(10, 176, 'remain', 'uebrig', NULL),
(10, 176, 'reward', 'verguetung', NULL),
(10, 176, 'sid', 'sid', NULL)");

		// Request parameters per type handler - Alster-Marketing
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(11, 35, 'id', 'id', NULL),
(11, 35, 'password', 'pw', NULL),
(11, 35, 'reload', 'reload', NULL),
(11, 35, 'remain', 'uebrig', NULL),
(11, 35, 'reward', 'verguetung', NULL),
(11, 35, 'sid', 'sid', NULL),
(11, 35, 'size', 'size', NULL),
(11, 35, 'type', 'typ', 'klick'),
(11, 36, 'id', 'id', NULL),
(11, 36, 'password', 'pw', NULL),
(11, 36, 'reload', 'reload', NULL),
(11, 36, 'remain', 'uebrig', NULL),
(11, 36, 'reward', 'verguetung', NULL),
(11, 36, 'sid', 'sid', NULL),
(11, 36, 'type', 'typ', 'klick'),
(11, 37, 'id', 'id', NULL),
(11, 37, 'password', 'pw', NULL),
(11, 37, 'reload', 'reload', NULL),
(11, 37, 'remain', 'uebrig', NULL),
(11, 37, 'reward', 'verguetung', NULL),
(11, 37, 'sid', 'sid', NULL),
(11, 37, 'size', 'size', NULL),
(11, 37, 'type', 'typ', 'klick'),
(11, 38, 'id', 'id', NULL),
(11, 38, 'minimum_stay', 'ma', NULL),
(11, 38, 'password', 'pw', NULL),
(11, 38, 'reload', 'reload', NULL),
(11, 38, 'remain', 'uebrig', NULL),
(11, 38, 'reward', 'verguetung', NULL),
(11, 38, 'sid', 'sid', NULL),
(11, 38, 'size', 'size', NULL),
(11, 39, 'id', 'id', NULL),
(11, 39, 'minimum_stay', 'ma', NULL),
(11, 39, 'password', 'pw', NULL),
(11, 39, 'reload', 'reload', NULL),
(11, 39, 'remain', 'uebrig', NULL),
(11, 39, 'reward', 'verguetung', NULL),
(11, 39, 'sid', 'sid', NULL),
(11, 39, 'type', 'typ', 'text'),
(11, 40, 'id', 'id', NULL),
(11, 40, 'password', 'pw', NULL),
(11, 40, 'reload', 'reload', NULL),
(11, 40, 'remain', 'uebrig', NULL),
(11, 40, 'reward', 'verguetung', NULL),
(11, 40, 'sid', 'sid', NULL),
(11, 40, 'type', 'typ', 'klick'),
(11, 41, 'id', 'id', NULL),
(11, 41, 'minimum_stay', 'ma', NULL),
(11, 41, 'password', 'pw', NULL),
(11, 41, 'reload', 'reload', NULL),
(11, 41, 'remain', 'uebrig', NULL),
(11, 41, 'reward', 'verguetung', NULL),
(11, 41, 'sid', 'sid', NULL),
(11, 42, 'id', 'id', NULL),
(11, 42, 'minimum_stay', 'ma', NULL),
(11, 42, 'password', 'pw', NULL),
(11, 42, 'reload', 'reload', NULL),
(11, 42, 'remain', 'uebrig', NULL),
(11, 42, 'reward', 'verguetung', NULL),
(11, 42, 'sid', 'sid', NULL),
(11, 43, 'id', 'id', NULL),
(11, 43, 'password', 'pw', NULL),
(11, 43, 'remain', 'uebrig', NULL),
(11, 43, 'reward', 'verguetung', NULL),
(11, 43, 'sid', 'sid', NULL),
(11, 44, 'id', 'id', NULL),
(11, 44, 'password', 'pw', NULL),
(11, 44, 'remain', 'uebrig', NULL),
(11, 44, 'reward', 'verguetung', NULL),
(11, 44, 'sid', 'sid', NULL),
(11, 45, 'id', 'id', NULL),
(11, 45, 'password', 'pw', NULL),
(11, 45, 'reload', 'reload', NULL),
(11, 45, 'remain', 'uebrig', NULL),
(11, 45, 'reward', 'verguetung', NULL),
(11, 45, 'sid', 'sid', NULL),
(11, 45, 'size', 'size', NULL),
(11, 45, 'type', 'typ', 'view'),
(11, 46, 'id', 'id', NULL),
(11, 46, 'password', 'pw', NULL),
(11, 46, 'reload', 'reload', NULL),
(11, 46, 'remain', 'uebrig', NULL),
(11, 46, 'reward', 'verguetung', NULL),
(11, 46, 'sid', 'sid', NULL),
(11, 46, 'type', 'typ', 'view'),
(11, 47, 'id', 'id', NULL),
(11, 47, 'password', 'pw', NULL),
(11, 47, 'reload', 'reload', NULL),
(11, 47, 'remain', 'uebrig', NULL),
(11, 47, 'reward', 'verguetung', NULL),
(11, 47, 'sid', 'sid', NULL),
(11, 47, 'size', 'size', NULL),
(11, 47, 'type', 'typ', 'view'),
(11, 48, 'id', 'id', NULL),
(11, 48, 'minimum_stay', 'ma', NULL),
(11, 48, 'password', 'pw', NULL),
(11, 48, 'reload', 'reload', NULL),
(11, 48, 'remain', 'uebrig', NULL),
(11, 48, 'reward', 'verguetung', NULL),
(11, 48, 'sid', 'sid', NULL),
(11, 48, 'type', 'typ', 'html'),
(11, 49, 'id', 'id', NULL),
(11, 49, 'password', 'pw', NULL),
(11, 49, 'reload', 'reload', NULL),
(11, 49, 'remain', 'uebrig', NULL),
(11, 49, 'reward', 'verguetung', NULL),
(11, 49, 'sid', 'sid', NULL),
(11, 49, 'type', 'typ', 'view')");

		// Request parameters per type handler - BonusSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(12, 50, 'id', 'id', NULL),
(12, 50, 'password', 'pw', NULL),
(12, 50, 'reload', 'reload', NULL),
(12, 50, 'remain', 'uebrig', NULL),
(12, 50, 'reward', 'verguetung', NULL),
(12, 50, 'sid', 'sid', NULL),
(12, 50, 'size', 'size', NULL),
(12, 50, 'type', 'typ', 'klick'),
(12, 51, 'id', 'id', NULL),
(12, 51, 'password', 'pw', NULL),
(12, 51, 'reload', 'reload', NULL),
(12, 51, 'remain', 'uebrig', NULL),
(12, 51, 'reward', 'verguetung', NULL),
(12, 51, 'sid', 'sid', NULL),
(12, 51, 'size', 'size', NULL),
(12, 51, 'type', 'typ', 'view'),
(12, 52, 'id', 'id', NULL),
(12, 52, 'password', 'pw', NULL),
(12, 52, 'reload', 'reload', NULL),
(12, 52, 'remain', 'uebrig', NULL),
(12, 52, 'reward', 'verguetung', NULL),
(12, 52, 'sid', 'sid', NULL),
(12, 52, 'type', 'typ', 'klick'),
(12, 53, 'id', 'id', NULL),
(12, 53, 'password', 'pw', NULL),
(12, 53, 'reload', 'reload', NULL),
(12, 53, 'remain', 'uebrig', NULL),
(12, 53, 'reward', 'verguetung', NULL),
(12, 53, 'sid', 'sid', NULL),
(12, 53, 'type', 'typ', 'view'),
(12, 54, 'id', 'id', NULL),
(12, 54, 'minimum_stay', 'ma', NULL),
(12, 54, 'password', 'pw', NULL),
(12, 54, 'reload', 'reload', NULL),
(12, 54, 'remain', 'uebrig', NULL),
(12, 54, 'reward', 'verguetung', NULL),
(12, 54, 'sid', 'sid', NULL),
(12, 54, 'size', 'size', NULL),
(12, 55, 'id', 'id', NULL),
(12, 55, 'minimum_stay', 'ma', NULL),
(12, 55, 'password', 'pw', NULL),
(12, 55, 'reload', 'reload', NULL),
(12, 55, 'remain', 'uebrig', NULL),
(12, 55, 'reward', 'verguetung', NULL),
(12, 55, 'sid', 'sid', NULL),
(12, 55, 'type', 'typ', 'text'),
(12, 56, 'id', 'id', NULL),
(12, 56, 'minimum_stay', 'ma', NULL),
(12, 56, 'password', 'pw', NULL),
(12, 56, 'reload', 'reload', NULL),
(12, 56, 'remain', 'uebrig', NULL),
(12, 56, 'reward', 'verguetung', NULL),
(12, 56, 'sid', 'sid', NULL),
(12, 56, 'type', 'typ', 'html'),
(12, 57, 'id', 'id', NULL),
(12, 57, 'password', 'pw', NULL),
(12, 57, 'reload', 'reload', NULL),
(12, 57, 'remain', 'uebrig', NULL),
(12, 57, 'reward', 'verguetung', NULL),
(12, 57, 'sid', 'sid', NULL),
(12, 57, 'type', 'typ', 'klick'),
(12, 58, 'id', 'id', NULL),
(12, 58, 'password', 'pw', NULL),
(12, 58, 'reload', 'reload', NULL),
(12, 58, 'remain', 'uebrig', NULL),
(12, 58, 'reward', 'verguetung', NULL),
(12, 58, 'sid', 'sid', NULL),
(12, 58, 'type', 'typ', 'view'),
(12, 59, 'id', 'id', NULL),
(12, 59, 'minimum_stay', 'ma', NULL),
(12, 59, 'password', 'pw', NULL),
(12, 59, 'reload', 'reload', NULL),
(12, 59, 'remain', 'uebrig', NULL),
(12, 59, 'reward', 'verguetung', NULL),
(12, 59, 'sid', 'sid', NULL),
(12, 60, 'id', 'id', NULL),
(12, 60, 'minimum_stay', 'ma', NULL),
(12, 60, 'password', 'pw', NULL),
(12, 60, 'reload', 'reload', NULL),
(12, 60, 'remain', 'uebrig', NULL),
(12, 60, 'reward', 'verguetung', NULL),
(12, 60, 'sid', 'sid', NULL),
(12, 61, 'id', 'id', NULL),
(12, 61, 'password', 'pw', NULL),
(12, 61, 'remain', 'uebrig', NULL),
(12, 61, 'reward', 'verguetung', NULL),
(12, 61, 'sid', 'sid', NULL),
(12, 62, 'id', 'id', NULL),
(12, 62, 'password', 'pw', NULL),
(12, 62, 'remain', 'uebrig', NULL),
(12, 62, 'reward', 'verguetung', NULL),
(12, 62, 'sid', 'sid', NULL)");

		// Request parameters per type handler - City-Ads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(24, 212, 'extra', 'typ', 'forcedbanner'),
(24, 212, 'id', 'id', NULL),
(24, 212, 'password', 'pw', NULL),
(24, 212, 'reload', 'reload', NULL),
(24, 212, 'remain', 'uebrig', NULL),
(24, 212, 'reward', 'verguetung', NULL),
(24, 212, 'minimum_stay', 'ma', NULL),
(24, 213, 'extra', 'typ', 'forcedtextlink'),
(24, 213, 'id', 'id', NULL),
(24, 213, 'password', 'pw', NULL),
(24, 213, 'reload', 'reload', NULL),
(24, 213, 'remain', 'uebrig', NULL),
(24, 213, 'reward', 'verguetung', NULL),
(24, 213, 'minimum_stay', 'ma', NULL),
(24, 214, 'extra', 'typ', 'bannerview'),
(24, 214, 'id', 'id', NULL),
(24, 214, 'password', 'pw', NULL),
(24, 214, 'reload', 'reload', NULL),
(24, 214, 'remain', 'uebrig', NULL),
(24, 214, 'reward', 'verguetung', NULL),
(24, 214, 'minimum_stay', 'ma', NULL),
(24, 215, 'extra', 'typ', 'skybannerview'),
(24, 215, 'id', 'id', NULL),
(24, 215, 'password', 'pw', NULL),
(24, 215, 'reload', 'reload', NULL),
(24, 215, 'remain', 'uebrig', NULL),
(24, 215, 'reward', 'verguetung', NULL),
(24, 215, 'minimum_stay', 'ma', NULL),
(24, 216, 'extra', 'typ', 'buttonview'),
(24, 216, 'id', 'id', NULL),
(24, 216, 'password', 'pw', NULL),
(24, 216, 'reload', 'reload', NULL),
(24, 216, 'remain', 'uebrig', NULL),
(24, 216, 'reward', 'verguetung', NULL),
(24, 216, 'minimum_stay', 'ma', NULL),
(24, 217, 'extra', 'typ', 'bannerklick'),
(24, 217, 'id', 'id', NULL),
(24, 217, 'password', 'pw', NULL),
(24, 217, 'reload', 'reload', NULL),
(24, 217, 'remain', 'uebrig', NULL),
(24, 217, 'reward', 'verguetung', NULL),
(24, 217, 'minimum_stay', 'ma', NULL),
(24, 218, 'extra', 'typ', 'textview'),
(24, 218, 'id', 'id', NULL),
(24, 218, 'password', 'pw', NULL),
(24, 218, 'reload', 'reload', NULL),
(24, 218, 'remain', 'uebrig', NULL),
(24, 218, 'reward', 'verguetung', NULL),
(24, 218, 'minimum_stay', 'ma', NULL),
(24, 219, 'extra', 'typ', 'popup'),
(24, 219, 'id', 'id', NULL),
(24, 219, 'password', 'pw', NULL),
(24, 219, 'reload', 'reload', NULL),
(24, 219, 'remain', 'uebrig', NULL),
(24, 219, 'reward', 'verguetung', NULL),
(24, 219, 'minimum_stay', 'ma', NULL),
(24, 220, 'extra', 'typ', 'traffic'),
(24, 220, 'id', 'id', NULL),
(24, 220, 'password', 'pw', NULL),
(24, 220, 'reload', 'reload', NULL),
(24, 220, 'remain', 'uebrig', NULL),
(24, 220, 'reward', 'verguetung', NULL),
(24, 220, 'minimum_stay', 'ma', NULL),
(24, 221, 'extra', 'typ', 'paidmail'),
(24, 221, 'id', 'id', NULL),
(24, 221, 'password', 'pw', NULL),
(24, 221, 'reload', 'reload', NULL),
(24, 221, 'remain', 'uebrig', NULL),
(24, 221, 'reward', 'verguetung', NULL),
(24, 221, 'minimum_stay', 'ma', NULL)");

		// Request parameters per type handler - doubleads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(26, 232, 'id', 'id', NULL),
(26, 232, 'password', 'pw', NULL),
(26, 232, 'reload', 'reload', NULL),
(26, 232, 'remain', 'uebrig', NULL),
(26, 232, 'reward', 'verguetung', NULL),
(26, 232, 'sid', 'sid', NULL),
(26, 232, 'size', 'size', NULL),
(26, 232, 'type', 'typ', 'klick'),
(26, 233, 'id', 'id', NULL),
(26, 233, 'password', 'pw', NULL),
(26, 233, 'reload', 'reload', NULL),
(26, 233, 'remain', 'uebrig', NULL),
(26, 233, 'reward', 'verguetung', NULL),
(26, 233, 'sid', 'sid', NULL),
(26, 233, 'size', 'size', NULL),
(26, 233, 'type', 'typ', 'view'),
(26, 234, 'id', 'id', NULL),
(26, 234, 'password', 'pw', NULL),
(26, 234, 'reload', 'reload', NULL),
(26, 234, 'remain', 'uebrig', NULL),
(26, 234, 'reward', 'verguetung', NULL),
(26, 234, 'sid', 'sid', NULL),
(26, 234, 'type', 'typ', 'klick'),
(26, 235, 'id', 'id', NULL),
(26, 235, 'password', 'pw', NULL),
(26, 235, 'reload', 'reload', NULL),
(26, 235, 'remain', 'uebrig', NULL),
(26, 235, 'reward', 'verguetung', NULL),
(26, 235, 'sid', 'sid', NULL),
(26, 235, 'type', 'typ', 'view'),
(26, 236, 'id', 'id', NULL),
(26, 236, 'password', 'pw', NULL),
(26, 236, 'reload', 'reload', NULL),
(26, 236, 'remain', 'uebrig', NULL),
(26, 236, 'reward', 'verguetung', NULL),
(26, 236, 'sid', 'sid', NULL),
(26, 236, 'size', 'size', NULL),
(26, 236, 'type', 'typ', 'klick'),
(26, 237, 'id', 'id', NULL),
(26, 237, 'password', 'pw', NULL),
(26, 237, 'reload', 'reload', NULL),
(26, 237, 'remain', 'uebrig', NULL),
(26, 237, 'reward', 'verguetung', NULL),
(26, 237, 'sid', 'sid', NULL),
(26, 237, 'size', 'size', NULL),
(26, 237, 'type', 'typ', 'view'),
(26, 238, 'id', 'id', NULL),
(26, 238, 'minimum_stay', 'ma', NULL),
(26, 238, 'password', 'pw', NULL),
(26, 238, 'reload', 'reload', NULL),
(26, 238, 'remain', 'uebrig', NULL),
(26, 238, 'reward', 'verguetung', NULL),
(26, 238, 'sid', 'sid', NULL),
(26, 238, 'size', 'size', NULL),
(26, 239, 'id', 'id', NULL),
(26, 239, 'minimum_stay', 'ma', NULL),
(26, 239, 'password', 'pw', NULL),
(26, 239, 'reload', 'reload', NULL),
(26, 239, 'remain', 'uebrig', NULL),
(26, 239, 'reward', 'verguetung', NULL),
(26, 239, 'sid', 'sid', NULL),
(26, 239, 'type', 'typ', 'text'),
(26, 240, 'id', 'id', NULL),
(26, 240, 'minimum_stay', 'ma', NULL),
(26, 240, 'password', 'pw', NULL),
(26, 240, 'reload', 'reload', NULL),
(26, 240, 'remain', 'uebrig', NULL),
(26, 240, 'reward', 'verguetung', NULL),
(26, 240, 'sid', 'sid', NULL),
(26, 240, 'type', 'typ', 'html'),
(26, 241, 'id', 'id', NULL),
(26, 241, 'password', 'pw', NULL),
(26, 241, 'reload', 'reload', NULL),
(26, 241, 'remain', 'uebrig', NULL),
(26, 241, 'reward', 'verguetung', NULL),
(26, 241, 'sid', 'sid', NULL),
(26, 241, 'type', 'typ', 'klick'),
(26, 242, 'id', 'id', NULL),
(26, 242, 'password', 'pw', NULL),
(26, 242, 'reload', 'reload', NULL),
(26, 242, 'remain', 'uebrig', NULL),
(26, 242, 'reward', 'verguetung', NULL),
(26, 242, 'sid', 'sid', NULL),
(26, 242, 'type', 'typ', 'view'),
(26, 243, 'id', 'id', NULL),
(26, 243, 'minimum_stay', 'ma', NULL),
(26, 243, 'password', 'pw', NULL),
(26, 243, 'reload', 'reload', NULL),
(26, 243, 'remain', 'uebrig', NULL),
(26, 243, 'reward', 'verguetung', NULL),
(26, 243, 'sid', 'sid', NULL),
(26, 244, 'id', 'id', NULL),
(26, 244, 'minimum_stay', 'ma', NULL),
(26, 244, 'password', 'pw', NULL),
(26, 244, 'reload', 'reload', NULL),
(26, 244, 'remain', 'uebrig', NULL),
(26, 244, 'reward', 'verguetung', NULL),
(26, 244, 'sid', 'sid', NULL),
(26, 245, 'id', 'id', NULL),
(26, 245, 'password', 'pw', NULL),
(26, 245, 'remain', 'uebrig', NULL),
(26, 245, 'reward', 'verguetung', NULL),
(26, 245, 'sid', 'sid', NULL),
(26, 246, 'id', 'id', NULL),
(26, 246, 'password', 'pw', NULL),
(26, 246, 'remain', 'uebrig', NULL),
(26, 246, 'reward', 'verguetung', NULL),
(26, 246, 'sid', 'sid', NULL)");

		// Request parameters per type handler - FuCoExSponsor.net
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(29, 273, 'extra', 'art', 'bannerklick'),
(29, 273, 'id', 'uid', NULL),
(29, 273, 'password', 'pw', NULL),
(29, 273, 'reload', 'reload', NULL),
(29, 273, 'remain', 'uebrig', NULL),
(29, 273, 'reward', 'verguetung', NULL),
(29, 273, 'sid', 'sid', NULL),
(29, 274, 'extra', 'art', 'bannerview'),
(29, 274, 'id', 'uid', NULL),
(29, 274, 'password', 'pw', NULL),
(29, 274, 'reload', 'reload', NULL),
(29, 274, 'remain', 'uebrig', NULL),
(29, 274, 'reward', 'verguetung', NULL),
(29, 274, 'sid', 'sid', NULL),
(29, 275, 'extra', 'art', 'buttonklick'),
(29, 275, 'id', 'uid', NULL),
(29, 275, 'password', 'pw', NULL),
(29, 275, 'reload', 'reload', NULL),
(29, 275, 'remain', 'uebrig', NULL),
(29, 275, 'reward', 'verguetung', NULL),
(29, 275, 'sid', 'sid', NULL),
(29, 276, 'extra', 'art', 'buttonview'),
(29, 276, 'id', 'uid', NULL),
(29, 276, 'password', 'pw', NULL),
(29, 276, 'reload', 'reload', NULL),
(29, 276, 'remain', 'uebrig', NULL),
(29, 276, 'reward', 'verguetung', NULL),
(29, 276, 'sid', 'sid', NULL),
(29, 277, 'extra', 'art', 'forcedbanner'),
(29, 277, 'id', 'uid', NULL),
(29, 277, 'minimum_stay', 'ma', NULL),
(29, 277, 'password', 'pw', NULL),
(29, 277, 'reload', 'reload', NULL),
(29, 277, 'remain', 'uebrig', NULL),
(29, 277, 'reward', 'verguetung', NULL),
(29, 277, 'sid', 'sid', NULL),
(29, 278, 'extra', 'art', 'forcedtextlink'),
(29, 278, 'id', 'uid', NULL),
(29, 278, 'minimum_stay', 'ma', NULL),
(29, 278, 'password', 'pw', NULL),
(29, 278, 'reload', 'reload', NULL),
(29, 278, 'remain', 'uebrig', NULL),
(29, 278, 'reward', 'verguetung', NULL),
(29, 278, 'sid', 'sid', NULL),
(29, 279, 'extra', 'art', 'htmlmail'),
(29, 279, 'id', 'uid', NULL),
(29, 279, 'minimum_stay', 'ma', NULL),
(29, 279, 'password', 'pw', NULL),
(29, 279, 'reload', 'reload', NULL),
(29, 279, 'remain', 'uebrig', NULL),
(29, 279, 'reward', 'verguetung', NULL),
(29, 279, 'sid', 'sid', NULL),
(29, 280, 'extra', 'art', 'layer'),
(29, 280, 'id', 'uid', NULL),
(29, 280, 'password', 'pw', NULL),
(29, 280, 'reload', 'reload', NULL),
(29, 280, 'remain', 'uebrig', NULL),
(29, 280, 'reward', 'verguetung', NULL),
(29, 280, 'sid', 'sid', NULL),
(29, 281, 'extra', 'art', 'paidmail'),
(29, 281, 'id', 'uid', NULL),
(29, 281, 'minimum_stay', 'ma', NULL),
(29, 281, 'password', 'pw', NULL),
(29, 281, 'reload', 'reload', NULL),
(29, 281, 'remain', 'uebrig', NULL),
(29, 281, 'reward', 'verguetung', NULL),
(29, 281, 'sid', 'sid', NULL),
(29, 282, 'extra', 'art', 'popup'),
(29, 282, 'id', 'uid', NULL),
(29, 282, 'minimum_stay', 'ma', NULL),
(29, 282, 'password', 'pw', NULL),
(29, 282, 'reload', 'reload', NULL),
(29, 282, 'remain', 'uebrig', NULL),
(29, 282, 'reward', 'verguetung', NULL),
(29, 282, 'sid', 'sid', NULL),
(29, 283, 'extra', 'art', 'skybannerklick'),
(29, 283, 'id', 'uid', NULL),
(29, 283, 'password', 'pw', NULL),
(29, 283, 'reload', 'reload', NULL),
(29, 283, 'remain', 'uebrig', NULL),
(29, 283, 'reward', 'verguetung', NULL),
(29, 283, 'sid', 'sid', NULL),
(29, 284, 'extra', 'art', 'skybannerview'),
(29, 284, 'id', 'uid', NULL),
(29, 284, 'password', 'pw', NULL),
(29, 284, 'reload', 'reload', NULL),
(29, 284, 'remain', 'uebrig', NULL),
(29, 284, 'reward', 'verguetung', NULL),
(29, 284, 'sid', 'sid', NULL),
(29, 285, 'extra', 'art', 'surfbarklick'),
(29, 285, 'password', 'pw', NULL),
(29, 285, 'id', 'uid', NULL),
(29, 285, 'reload', 'reload', NULL),
(29, 285, 'remain', 'uebrig', NULL),
(29, 285, 'reward', 'verguetung', NULL),
(29, 285, 'sid', 'sid', NULL),
(29, 286, 'extra', 'art', 'surfbarview'),
(29, 286, 'id', 'uid', NULL),
(29, 286, 'password', 'pw', NULL),
(29, 286, 'reload', 'reload', NULL),
(29, 286, 'remain', 'uebrig', NULL),
(29, 286, 'reward', 'verguetung', NULL),
(29, 286, 'sid', 'sid', NULL),
(29, 287, 'extra', 'art', 'textlinkklick'),
(29, 287, 'id', 'uid', NULL),
(29, 287, 'password', 'pw', NULL),
(29, 287, 'reload', 'reload', NULL),
(29, 287, 'remain', 'uebrig', NULL),
(29, 287, 'reward', 'verguetung', NULL),
(29, 287, 'sid', 'sid', NULL),
(29, 288, 'extra', 'art', 'textlinkview'),
(29, 288, 'id', 'uid', NULL),
(29, 288, 'password', 'pw', NULL),
(29, 288, 'reload', 'reload', NULL),
(29, 288, 'remain', 'uebrig', NULL),
(29, 288, 'reward', 'verguetung', NULL),
(29, 288, 'sid', 'sid', NULL),
(29, 289, 'extra', 'art', 'traffic'),
(29, 289, 'id', 'uid', NULL),
(29, 289, 'minimum_stay', 'ma', NULL),
(29, 289, 'password', 'pw', NULL),
(29, 289, 'reload', 'reload', NULL),
(29, 289, 'remain', 'uebrig', NULL),
(29, 289, 'reward', 'verguetung', NULL),
(29, 289, 'sid', 'sid', NULL)");

		// Request parameters per type handler - Fusion-Ads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(13, 290, 'extra', 'art', 'Forcedbanner'),
(13, 290, 'id', 'uid', NULL),
(13, 290, 'password', 'pw', NULL),
(13, 290, 'reload', 'reload', NULL),
(13, 290, 'remain', 'offen', NULL),
(13, 290, 'reward', 'verguetung', NULL),
(13, 290, 'sid', 'sid', NULL),
(13, 291, 'extra', 'art', 'Paidmail'),
(13, 291, 'id', 'uid', NULL),
(13, 291, 'password', 'pw', NULL),
(13, 291, 'reload', 'reload', NULL),
(13, 291, 'remain', 'offen', NULL),
(13, 291, 'reward', 'verguetung', NULL),
(13, 291, 'sid', 'sid', NULL)");

		// Request parameters per type handler - GigaPromo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(14, 102, 'id', 'id', NULL),
(14, 102, 'password', 'pw', NULL),
(14, 102, 'reload', 'reload', NULL),
(14, 102, 'remain', 'uebrig', NULL),
(14, 102, 'reward', 'verguetung', NULL),
(14, 102, 'sid', 'aid', NULL),
(14, 102, 'size', 'typ', NULL),
(14, 103, 'id', 'id', NULL),
(14, 103, 'password', 'pw', NULL),
(14, 103, 'reload', 'reload', NULL),
(14, 103, 'remain', 'uebrig', NULL),
(14, 103, 'reward', 'verguetung', NULL),
(14, 103, 'sid', 'aid', NULL),
(14, 104, 'id', 'id', NULL),
(14, 104, 'maximum_stay', 'ma', NULL),
(14, 104, 'password', 'pw', NULL),
(14, 104, 'reload', 'reload', NULL),
(14, 104, 'remain', 'uebrig', NULL),
(14, 104, 'reward', 'verguetung', NULL),
(14, 104, 'sid', 'aid', NULL),
(14, 105, 'id', 'id', NULL),
(14, 105, 'maximum_stay', 'ma', NULL),
(14, 105, 'password', 'pw', NULL),
(14, 105, 'reload', 'reload', NULL),
(14, 105, 'remain', 'uebrig', NULL),
(14, 105, 'reward', 'verguetung', NULL),
(14, 105, 'sid', 'aid', NULL),
(14, 106, 'id', 'id', NULL),
(14, 106, 'maximum_stay', 'ma', NULL),
(14, 106, 'password', 'pw', NULL),
(14, 106, 'reload', 'reload', NULL),
(14, 106, 'remain', 'uebrig', NULL),
(14, 106, 'reward', 'verguetung', NULL),
(14, 106, 'sid', 'aid', NULL),
(14, 107, 'id', 'id', NULL),
(14, 107, 'maximum_stay', 'ma', NULL),
(14, 107, 'password', 'pw', NULL),
(14, 107, 'reload', 'reload', NULL),
(14, 107, 'remain', 'uebrig', NULL),
(14, 107, 'reward', 'verguetung', NULL),
(14, 107, 'sid', 'aid', NULL),
(14, 108, 'id', 'id', NULL),
(14, 108, 'maximum_stay', 'ma', NULL),
(14, 108, 'password', 'pw', NULL),
(14, 108, 'reload', 'reload', NULL),
(14, 108, 'remain', 'uebrig', NULL),
(14, 108, 'reward', 'verguetung', NULL),
(14, 108, 'sid', 'aid', NULL)");

		// Request parameters per type handler - Gold-Sponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(25, 222, 'extra', 'typ', 'forcedbanner'),
(25, 222, 'id', 'id', NULL),
(25, 222, 'minimum_stay', 'ma', NULL),
(25, 222, 'password', 'pw', NULL),
(25, 222, 'reload', 'reload', NULL),
(25, 222, 'remain', 'uebrig', NULL),
(25, 222, 'reward', 'verguetung', NULL),
(25, 223, 'extra', 'typ', 'forcedtextlink'),
(25, 223, 'id', 'id', NULL),
(25, 223, 'minimum_stay', 'ma', NULL),
(25, 223, 'password', 'pw', NULL),
(25, 223, 'reload', 'reload', NULL),
(25, 223, 'remain', 'uebrig', NULL),
(25, 223, 'reward', 'verguetung', NULL),
(25, 224, 'extra', 'typ', 'bannerview'),
(25, 224, 'id', 'id', NULL),
(25, 224, 'minimum_stay', 'ma', NULL),
(25, 224, 'password', 'pw', NULL),
(25, 224, 'reload', 'reload', NULL),
(25, 224, 'remain', 'uebrig', NULL),
(25, 224, 'reward', 'verguetung', NULL),
(25, 225, 'extra', 'typ', 'bannerklick'),
(25, 225, 'id', 'id', NULL),
(25, 225, 'minimum_stay', 'ma', NULL),
(25, 225, 'password', 'pw', NULL),
(25, 225, 'reload', 'reload', NULL),
(25, 225, 'remain', 'uebrig', NULL),
(25, 225, 'reward', 'verguetung', NULL),
(25, 226, 'extra', 'typ', 'skybannerview'),
(25, 226, 'id', 'id', NULL),
(25, 226, 'minimum_stay', 'ma', NULL),
(25, 226, 'password', 'pw', NULL),
(25, 226, 'reload', 'reload', NULL),
(25, 226, 'remain', 'uebrig', NULL),
(25, 226, 'reward', 'verguetung', NULL),
(25, 227, 'extra', 'typ', 'buttonview'),
(25, 227, 'id', 'id', NULL),
(25, 227, 'minimum_stay', 'ma', NULL),
(25, 227, 'password', 'pw', NULL),
(25, 227, 'reload', 'reload', NULL),
(25, 227, 'remain', 'uebrig', NULL),
(25, 227, 'reward', 'verguetung', NULL),
(25, 228, 'extra', 'typ', 'textview'),
(25, 228, 'id', 'id', NULL),
(25, 228, 'minimum_stay', 'ma', NULL),
(25, 228, 'password', 'pw', NULL),
(25, 228, 'reload', 'reload', NULL),
(25, 228, 'remain', 'uebrig', NULL),
(25, 228, 'reward', 'verguetung', NULL),
(25, 229, 'extra', 'typ', 'traffic'),
(25, 229, 'id', 'id', NULL),
(25, 229, 'minimum_stay', 'ma', NULL),
(25, 229, 'password', 'pw', NULL),
(25, 229, 'reload', 'reload', NULL),
(25, 229, 'remain', 'uebrig', NULL),
(25, 229, 'reward', 'verguetung', NULL),
(25, 230, 'extra', 'typ', 'popup'),
(25, 230, 'id', 'id', NULL),
(25, 230, 'minimum_stay', 'ma', NULL),
(25, 230, 'password', 'pw', NULL),
(25, 230, 'reload', 'reload', NULL),
(25, 230, 'remain', 'uebrig', NULL),
(25, 230, 'reward', 'verguetung', NULL),
(25, 231, 'extra', 'typ', 'paidmail'),
(25, 231, 'id', 'id', NULL),
(25, 231, 'minimum_stay', 'ma', NULL),
(25, 231, 'password', 'pw', NULL),
(25, 231, 'reload', 'reload', NULL),
(25, 231, 'remain', 'uebrig', NULL),
(25, 231, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - homeADS
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(28, 260, 'id', 'id', NULL),
(28, 260, 'password', 'pw', NULL),
(28, 260, 'reload', 'reload', NULL),
(28, 260, 'remain', 'uebrig', NULL),
(28, 260, 'reward', 'verguetung', NULL),
(28, 260, 'sid', 'sid', NULL),
(28, 260, 'size', 'size', NULL),
(28, 260, 'type', 'typ', 'klick'),
(28, 261, 'id', 'id', NULL),
(28, 261, 'password', 'pw', NULL),
(28, 261, 'reload', 'reload', NULL),
(28, 261, 'remain', 'uebrig', NULL),
(28, 261, 'reward', 'verguetung', NULL),
(28, 261, 'sid', 'sid', NULL),
(28, 261, 'size', 'size', NULL),
(28, 261, 'type', 'typ', 'view'),
(28, 262, 'id', 'id', NULL),
(28, 262, 'password', 'pw', NULL),
(28, 262, 'reload', 'reload', NULL),
(28, 262, 'remain', 'uebrig', NULL),
(28, 262, 'reward', 'verguetung', NULL),
(28, 262, 'sid', 'sid', NULL),
(28, 262, 'type', 'typ', 'klick'),
(28, 263, 'id', 'id', NULL),
(28, 263, 'password', 'pw', NULL),
(28, 263, 'reload', 'reload', NULL),
(28, 263, 'remain', 'uebrig', NULL),
(28, 263, 'reward', 'verguetung', NULL),
(28, 263, 'sid', 'sid', NULL),
(28, 263, 'type', 'typ', 'view'),
(28, 264, 'id', 'id', NULL),
(28, 264, 'minimum_stay', 'ma', NULL),
(28, 264, 'password', 'pw', NULL),
(28, 264, 'reload', 'reload', NULL),
(28, 264, 'remain', 'uebrig', NULL),
(28, 264, 'reward', 'verguetung', NULL),
(28, 264, 'sid', 'sid', NULL),
(28, 264, 'size', 'size', NULL),
(28, 265, 'id', 'id', NULL),
(28, 265, 'minimum_stay', 'ma', NULL),
(28, 265, 'password', 'pw', NULL),
(28, 265, 'reload', 'reload', NULL),
(28, 265, 'remain', 'uebrig', NULL),
(28, 265, 'reward', 'verguetung', NULL),
(28, 265, 'sid', 'sid', NULL),
(28, 265, 'type', 'typ', 'text'),
(28, 266, 'id', 'id', NULL),
(28, 266, 'minimum_stay', 'ma', NULL),
(28, 266, 'password', 'pw', NULL),
(28, 266, 'reload', 'reload', NULL),
(28, 266, 'remain', 'uebrig', NULL),
(28, 266, 'reward', 'verguetung', NULL),
(28, 266, 'sid', 'sid', NULL),
(28, 266, 'type', 'typ', 'html'),
(28, 267, 'id', 'id', NULL),
(28, 267, 'password', 'pw', NULL),
(28, 267, 'reload', 'reload', NULL),
(28, 267, 'remain', 'uebrig', NULL),
(28, 267, 'reward', 'verguetung', NULL),
(28, 267, 'sid', 'sid', NULL),
(28, 267, 'type', 'typ', 'klick'),
(28, 268, 'id', 'id', NULL),
(28, 268, 'password', 'pw', NULL),
(28, 268, 'reload', 'reload', NULL),
(28, 268, 'remain', 'uebrig', NULL),
(28, 268, 'reward', 'verguetung', NULL),
(28, 268, 'sid', 'sid', NULL),
(28, 268, 'type', 'typ', 'view'),
(28, 269, 'id', 'id', NULL),
(28, 269, 'minimum_stay', 'ma', NULL),
(28, 269, 'password', 'pw', NULL),
(28, 269, 'reload', 'reload', NULL),
(28, 269, 'remain', 'uebrig', NULL),
(28, 269, 'reward', 'verguetung', NULL),
(28, 269, 'sid', 'sid', NULL),
(28, 270, 'id', 'id', NULL),
(28, 270, 'minimum_stay', 'ma', NULL),
(28, 270, 'password', 'pw', NULL),
(28, 270, 'reload', 'reload', NULL),
(28, 270, 'remain', 'uebrig', NULL),
(28, 270, 'reward', 'verguetung', NULL),
(28, 270, 'sid', 'sid', NULL),
(28, 271, 'id', 'id', NULL),
(28, 271, 'password', 'pw', NULL),
(28, 271, 'remain', 'uebrig', NULL),
(28, 271, 'reward', 'verguetung', NULL),
(28, 271, 'sid', 'sid', NULL),
(28, 272, 'id', 'id', NULL),
(28, 272, 'password', 'pw', NULL),
(28, 272, 'remain', 'uebrig', NULL),
(28, 272, 'reward', 'verguetung', NULL),
(28, 272, 'sid', 'sid', NULL)");

		// Request parameters per type handler - HPSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(15, 135, 'extra', 'typ', 'forcedbanner'),
(15, 135, 'id', 'id', NULL),
(15, 135, 'password', 'pw', NULL),
(15, 135, 'reload', 'reload', NULL),
(15, 135, 'remain', 'uebrig', NULL),
(15, 135, 'reward', 'verguetung', NULL),
(15, 136, 'extra', 'typ', 'forcedtextlink'),
(15, 136, 'id', 'id', NULL),
(15, 136, 'password', 'pw', NULL),
(15, 136, 'reload', 'reload', NULL),
(15, 136, 'remain', 'uebrig', NULL),
(15, 136, 'reward', 'verguetung', NULL),
(15, 137, 'extra', 'typ', 'bannerview'),
(15, 137, 'id', 'id', NULL),
(15, 137, 'password', 'pw', NULL),
(15, 137, 'reload', 'reload', NULL),
(15, 137, 'remain', 'uebrig', NULL),
(15, 137, 'reward', 'verguetung', NULL),
(15, 138, 'extra', 'typ', 'bannerklick'),
(15, 138, 'id', 'id', NULL),
(15, 138, 'password', 'pw', NULL),
(15, 138, 'reload', 'reload', NULL),
(15, 138, 'remain', 'uebrig', NULL),
(15, 138, 'reward', 'verguetung', NULL),
(15, 139, 'extra', 'typ', 'skybannerview'),
(15, 139, 'id', 'id', NULL),
(15, 139, 'password', 'pw', NULL),
(15, 139, 'reload', 'reload', NULL),
(15, 139, 'remain', 'uebrig', NULL),
(15, 139, 'reward', 'verguetung', NULL),
(15, 140, 'extra', 'typ', 'buttonview'),
(15, 140, 'id', 'id', NULL),
(15, 140, 'password', 'pw', NULL),
(15, 140, 'reload', 'reload', NULL),
(15, 140, 'remain', 'uebrig', NULL),
(15, 140, 'reward', 'verguetung', NULL),
(15, 141, 'extra', 'typ', 'textview'),
(15, 141, 'id', 'id', NULL),
(15, 141, 'password', 'pw', NULL),
(15, 141, 'reload', 'reload', NULL),
(15, 141, 'remain', 'uebrig', NULL),
(15, 141, 'reward', 'verguetung', NULL),
(15, 142, 'extra', 'typ', 'traffic'),
(15, 142, 'id', 'id', NULL),
(15, 142, 'password', 'pw', NULL),
(15, 142, 'reload', 'reload', NULL),
(15, 142, 'remain', 'uebrig', NULL),
(15, 142, 'reward', 'verguetung', NULL),
(15, 143, 'extra', 'typ', 'popup'),
(15, 143, 'id', 'id', NULL),
(15, 143, 'minimum_stay', 'ma', NULL),
(15, 143, 'password', 'pw', NULL),
(15, 143, 'reload', 'reload', NULL),
(15, 143, 'remain', 'uebrig', NULL),
(15, 143, 'reward', 'verguetung', NULL),
(15, 144, 'extra', 'typ', 'paidmail'),
(15, 144, 'id', 'id', NULL),
(15, 144, 'minimum_stay', 'ma', NULL),
(15, 144, 'password', 'pw', NULL),
(15, 144, 'reload', 'reload', NULL),
(15, 144, 'remain', 'uebrig', NULL),
(15, 144, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Make-Euros
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(16, 63, 'id', 'id', NULL),
(16, 63, 'password', 'pw', NULL),
(16, 63, 'reload', 'reload', NULL),
(16, 63, 'remain', 'uebrig', NULL),
(16, 63, 'reward', 'verguetung', NULL),
(16, 63, 'sid', 'sid', NULL),
(16, 63, 'size', 'size', NULL),
(16, 63, 'type', 'typ', 'klick'),
(16, 64, 'id', 'id', NULL),
(16, 64, 'password', 'pw', NULL),
(16, 64, 'reload', 'reload', NULL),
(16, 64, 'remain', 'uebrig', NULL),
(16, 64, 'reward', 'verguetung', NULL),
(16, 64, 'sid', 'sid', NULL),
(16, 64, 'size', 'size', NULL),
(16, 64, 'type', 'typ', 'view'),
(16, 65, 'id', 'id', NULL),
(16, 65, 'password', 'pw', NULL),
(16, 65, 'reload', 'reload', NULL),
(16, 65, 'remain', 'uebrig', NULL),
(16, 65, 'reward', 'verguetung', NULL),
(16, 65, 'sid', 'sid', NULL),
(16, 65, 'type', 'typ', 'klick'),
(16, 66, 'id', 'id', NULL),
(16, 66, 'password', 'pw', NULL),
(16, 66, 'reload', 'reload', NULL),
(16, 66, 'remain', 'uebrig', NULL),
(16, 66, 'reward', 'verguetung', NULL),
(16, 66, 'sid', 'sid', NULL),
(16, 66, 'type', 'typ', 'view'),
(16, 67, 'id', 'id', NULL),
(16, 67, 'password', 'pw', NULL),
(16, 67, 'reload', 'reload', NULL),
(16, 67, 'remain', 'uebrig', NULL),
(16, 67, 'reward', 'verguetung', NULL),
(16, 67, 'sid', 'sid', NULL),
(16, 67, 'size', 'size', NULL),
(16, 67, 'type', 'typ', 'klick'),
(16, 68, 'id', 'id', NULL),
(16, 68, 'minimum_stay', 'ma', NULL),
(16, 68, 'password', 'pw', NULL),
(16, 68, 'reload', 'reload', NULL),
(16, 68, 'remain', 'uebrig', NULL),
(16, 68, 'reward', 'verguetung', NULL),
(16, 68, 'sid', 'sid', NULL),
(16, 68, 'size', 'size', NULL),
(16, 69, 'id', 'id', NULL),
(16, 69, 'password', 'pw', NULL),
(16, 69, 'reload', 'reload', NULL),
(16, 69, 'remain', 'uebrig', NULL),
(16, 69, 'reward', 'verguetung', NULL),
(16, 69, 'sid', 'sid', NULL),
(16, 69, 'size', 'size', NULL),
(16, 69, 'type', 'typ', 'view'),
(16, 70, 'id', 'id', NULL),
(16, 70, 'minimum_stay', 'ma', NULL),
(16, 70, 'password', 'pw', NULL),
(16, 70, 'reload', 'reload', NULL),
(16, 70, 'remain', 'uebrig', NULL),
(16, 70, 'reward', 'verguetung', NULL),
(16, 70, 'sid', 'sid', NULL),
(16, 70, 'type', 'typ', 'text'),
(16, 71, 'id', 'id', NULL),
(16, 71, 'minimum_stay', 'ma', NULL),
(16, 71, 'password', 'pw', NULL),
(16, 71, 'reload', 'reload', NULL),
(16, 71, 'remain', 'uebrig', NULL),
(16, 71, 'reward', 'verguetung', NULL),
(16, 71, 'sid', 'sid', NULL),
(16, 71, 'type', 'typ', 'html'),
(16, 72, 'id', 'id', NULL),
(16, 72, 'password', 'pw', NULL),
(16, 72, 'reload', 'reload', NULL),
(16, 72, 'remain', 'uebrig', NULL),
(16, 72, 'reward', 'verguetung', NULL),
(16, 72, 'sid', 'sid', NULL),
(16, 72, 'type', 'typ', 'klick'),
(16, 73, 'id', 'id', NULL),
(16, 73, 'password', 'pw', NULL),
(16, 73, 'reload', 'reload', NULL),
(16, 73, 'remain', 'uebrig', NULL),
(16, 73, 'reward', 'verguetung', NULL),
(16, 73, 'sid', 'sid', NULL),
(16, 73, 'type', 'typ', 'view'),
(16, 74, 'id', 'id', NULL),
(16, 74, 'minimum_stay', 'ma', NULL),
(16, 74, 'password', 'pw', NULL),
(16, 74, 'reload', 'reload', NULL),
(16, 74, 'remain', 'uebrig', NULL),
(16, 74, 'reward', 'verguetung', NULL),
(16, 74, 'sid', 'sid', NULL),
(16, 75, 'id', 'id', NULL),
(16, 75, 'minimum_stay', 'ma', NULL),
(16, 75, 'password', 'pw', NULL),
(16, 75, 'reload', 'reload', NULL),
(16, 75, 'remain', 'uebrig', NULL),
(16, 75, 'reward', 'verguetung', NULL),
(16, 75, 'sid', 'sid', NULL),
(16, 76, 'id', 'id', NULL),
(16, 76, 'password', 'pw', NULL),
(16, 76, 'remain', 'uebrig', NULL),
(16, 76, 'reward', 'verguetung', NULL),
(16, 76, 'sid', 'sid', NULL),
(16, 77, 'id', 'id', NULL),
(16, 77, 'password', 'pw', NULL),
(16, 77, 'remain', 'uebrig', NULL),
(16, 77, 'reward', 'verguetung', NULL),
(16, 77, 'sid', 'sid', NULL)");

		// Request parameters per type handler - Mega-Ad
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(17, 109, 'extra', 'typ', 'forcedbanner'),
(17, 109, 'id', 'id', NULL),
(17, 109, 'password', 'pw', NULL),
(17, 109, 'reload', 'reload', NULL),
(17, 109, 'remain', 'uebrig', NULL),
(17, 109, 'reward', 'verguetung', NULL),
(17, 110, 'extra', 'typ', 'forcedtextlink'),
(17, 110, 'id', 'id', NULL),
(17, 110, 'password', 'pw', NULL),
(17, 110, 'reload', 'reload', NULL),
(17, 110, 'remain', 'uebrig', NULL),
(17, 110, 'reward', 'verguetung', NULL),
(17, 111, 'extra', 'typ', 'bannerview'),
(17, 111, 'id', 'id', NULL),
(17, 111, 'password', 'pw', NULL),
(17, 111, 'reload', 'reload', NULL),
(17, 111, 'remain', 'uebrig', NULL),
(17, 111, 'reward', 'verguetung', NULL),
(17, 112, 'extra', 'typ', 'bannerklick'),
(17, 112, 'id', 'id', NULL),
(17, 112, 'password', 'pw', NULL),
(17, 112, 'reload', 'reload', NULL),
(17, 112, 'remain', 'uebrig', NULL),
(17, 112, 'reward', 'verguetung', NULL),
(17, 113, 'extra', 'typ', 'skybannerview'),
(17, 113, 'id', 'id', NULL),
(17, 113, 'password', 'pw', NULL),
(17, 113, 'reload', 'reload', NULL),
(17, 113, 'remain', 'uebrig', NULL),
(17, 113, 'reward', 'verguetung', NULL),
(17, 114, 'extra', 'typ', 'buttonview'),
(17, 114, 'id', 'id', NULL),
(17, 114, 'password', 'pw', NULL),
(17, 114, 'reload', 'reload', NULL),
(17, 114, 'remain', 'uebrig', NULL),
(17, 114, 'reward', 'verguetung', NULL),
(17, 115, 'extra', 'typ', 'textview'),
(17, 115, 'id', 'id', NULL),
(17, 115, 'password', 'pw', NULL),
(17, 115, 'reload', 'reload', NULL),
(17, 115, 'remain', 'uebrig', NULL),
(17, 115, 'reward', 'verguetung', NULL),
(17, 116, 'extra', 'typ', 'popup'),
(17, 116, 'id', 'id', NULL),
(17, 116, 'password', 'pw', NULL),
(17, 116, 'reload', 'reload', NULL),
(17, 116, 'remain', 'uebrig', NULL),
(17, 116, 'reward', 'verguetung', NULL),
(17, 117, 'extra', 'typ', 'paidmail'),
(17, 117, 'id', 'id', NULL),
(17, 117, 'password', 'pw', NULL),
(17, 117, 'reload', 'reload', NULL),
(17, 117, 'remain', 'uebrig', NULL),
(17, 117, 'reward', 'verguetung', NULL),
(17, 123, 'extra', 'typ', 'traffic'),
(17, 123, 'id', 'id', NULL),
(17, 123, 'password', 'pw', NULL),
(17, 123, 'reload', 'reload', NULL),
(17, 123, 'remain', 'uebrig', NULL),
(17, 123, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Power-Promo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(18, 78, 'id', 'id', NULL),
(18, 78, 'password', 'pw', NULL),
(18, 78, 'reload', 'reload', NULL),
(18, 78, 'remain', 'uebrig', NULL),
(18, 78, 'reward', 'verguetung', NULL),
(18, 78, 'sid', 'sid', NULL),
(18, 78, 'size', 'size', NULL),
(18, 78, 'type', 'typ', 'klick'),
(18, 79, 'id', 'id', NULL),
(18, 79, 'password', 'pw', NULL),
(18, 79, 'reload', 'reload', NULL),
(18, 79, 'remain', 'uebrig', NULL),
(18, 79, 'reward', 'verguetung', NULL),
(18, 79, 'sid', 'sid', NULL),
(18, 79, 'size', 'size', NULL),
(18, 79, 'type', 'typ', 'view'),
(18, 80, 'id', 'id', NULL),
(18, 80, 'password', 'pw', NULL),
(18, 80, 'reload', 'reload', NULL),
(18, 80, 'remain', 'uebrig', NULL),
(18, 80, 'reward', 'verguetung', NULL),
(18, 80, 'sid', 'sid', NULL),
(18, 80, 'type', 'typ', 'klick'),
(18, 81, 'id', 'id', NULL),
(18, 81, 'password', 'pw', NULL),
(18, 81, 'reload', 'reload', NULL),
(18, 81, 'remain', 'uebrig', NULL),
(18, 81, 'reward', 'verguetung', NULL),
(18, 81, 'sid', 'sid', NULL),
(18, 81, 'type', 'typ', 'view'),
(18, 82, 'id', 'id', NULL),
(18, 82, 'password', 'pw', NULL),
(18, 82, 'reload', 'reload', NULL),
(18, 82, 'remain', 'uebrig', NULL),
(18, 82, 'reward', 'verguetung', NULL),
(18, 82, 'sid', 'sid', NULL),
(18, 82, 'size', 'size', NULL),
(18, 82, 'type', 'typ', 'klick'),
(18, 83, 'id', 'id', NULL),
(18, 83, 'password', 'pw', NULL),
(18, 83, 'reload', 'reload', NULL),
(18, 83, 'remain', 'uebrig', NULL),
(18, 83, 'reward', 'verguetung', NULL),
(18, 83, 'sid', 'sid', NULL),
(18, 83, 'size', 'size', NULL),
(18, 83, 'type', 'typ', 'view'),
(18, 84, 'id', 'id', NULL),
(18, 84, 'minimum_stay', 'ma', NULL),
(18, 84, 'password', 'pw', NULL),
(18, 84, 'reload', 'reload', NULL),
(18, 84, 'remain', 'uebrig', NULL),
(18, 84, 'reward', 'verguetung', NULL),
(18, 84, 'sid', 'sid', NULL),
(18, 84, 'size', 'size', NULL),
(18, 85, 'id', 'id', NULL),
(18, 85, 'minimum_stay', 'ma', NULL),
(18, 85, 'password', 'pw', NULL),
(18, 85, 'reload', 'reload', NULL),
(18, 85, 'remain', 'uebrig', NULL),
(18, 85, 'reward', 'verguetung', NULL),
(18, 85, 'sid', 'sid', NULL),
(18, 85, 'type', 'typ', 'text'),
(18, 86, 'id', 'id', NULL),
(18, 86, 'minimum_stay', 'ma', NULL),
(18, 86, 'password', 'pw', NULL),
(18, 86, 'reload', 'reload', NULL),
(18, 86, 'remain', 'uebrig', NULL),
(18, 86, 'reward', 'verguetung', NULL),
(18, 86, 'sid', 'sid', NULL),
(18, 86, 'type', 'typ', 'html'),
(18, 87, 'id', 'id', NULL),
(18, 87, 'password', 'pw', NULL),
(18, 87, 'reload', 'reload', NULL),
(18, 87, 'remain', 'uebrig', NULL),
(18, 87, 'reward', 'verguetung', NULL),
(18, 87, 'sid', 'sid', NULL),
(18, 87, 'type', 'typ', 'klick'),
(18, 88, 'id', 'id', NULL),
(18, 88, 'password', 'pw', NULL),
(18, 88, 'reload', 'reload', NULL),
(18, 88, 'remain', 'uebrig', NULL),
(18, 88, 'reward', 'verguetung', NULL),
(18, 88, 'sid', 'sid', NULL),
(18, 88, 'type', 'typ', 'view'),
(18, 89, 'id', 'id', NULL),
(18, 89, 'minimum_stay', 'ma', NULL),
(18, 89, 'password', 'pw', NULL),
(18, 89, 'reload', 'reload', NULL),
(18, 89, 'remain', 'uebrig', NULL),
(18, 89, 'reward', 'verguetung', NULL),
(18, 89, 'sid', 'sid', NULL),
(18, 90, 'id', 'id', NULL),
(18, 90, 'minimum_stay', 'ma', NULL),
(18, 90, 'password', 'pw', NULL),
(18, 90, 'reload', 'reload', NULL),
(18, 90, 'remain', 'uebrig', NULL),
(18, 90, 'reward', 'verguetung', NULL),
(18, 90, 'sid', 'sid', NULL),
(18, 91, 'id', 'id', NULL),
(18, 91, 'password', 'pw', NULL),
(18, 91, 'remain', 'uebrig', NULL),
(18, 91, 'reward', 'verguetung', NULL),
(18, 91, 'sid', 'sid', NULL),
(18, 92, 'id', 'id', NULL),
(18, 92, 'password', 'pw', NULL),
(18, 92, 'remain', 'uebrig', NULL),
(18, 92, 'reward', 'verguetung', NULL),
(18, 92, 'sid', 'sid', NULL)");

		// Request parameters per type handler - SeCash
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(19, 93, 'extra', 'typ', 'forcedbanner'),
(19, 93, 'id', 'id', NULL),
(19, 93, 'password', 'pw', NULL),
(19, 93, 'reload', 'reload', NULL),
(19, 93, 'remain', 'uebrig', NULL),
(19, 93, 'reward', 'verguetung', NULL),
(19, 94, 'extra', 'typ', 'forcedtextlink'),
(19, 94, 'id', 'id', NULL),
(19, 94, 'password', 'pw', NULL),
(19, 94, 'reload', 'reload', NULL),
(19, 94, 'remain', 'uebrig', NULL),
(19, 94, 'reward', 'verguetung', NULL),
(19, 95, 'extra', 'typ', 'bannerview'),
(19, 95, 'id', 'id', NULL),
(19, 95, 'password', 'pw', NULL),
(19, 95, 'reload', 'reload', NULL),
(19, 95, 'remain', 'uebrig', NULL),
(19, 95, 'reward', 'verguetung', NULL),
(19, 96, 'extra', 'typ', 'bannerklick'),
(19, 96, 'id', 'id', NULL),
(19, 96, 'password', 'pw', NULL),
(19, 96, 'reload', 'reload', NULL),
(19, 96, 'remain', 'uebrig', NULL),
(19, 96, 'reward', 'verguetung', NULL),
(19, 97, 'extra', 'typ', 'skybannerview'),
(19, 97, 'id', 'id', NULL),
(19, 97, 'password', 'pw', NULL),
(19, 97, 'reload', 'reload', NULL),
(19, 97, 'remain', 'uebrig', NULL),
(19, 97, 'reward', 'verguetung', NULL),
(19, 98, 'extra', 'typ', 'buttonview'),
(19, 98, 'id', 'id', NULL),
(19, 98, 'password', 'pw', NULL),
(19, 98, 'reload', 'reload', NULL),
(19, 98, 'remain', 'uebrig', NULL),
(19, 98, 'reward', 'verguetung', NULL),
(19, 99, 'extra', 'typ', 'textview'),
(19, 99, 'id', 'id', NULL),
(19, 99, 'password', 'pw', NULL),
(19, 99, 'reload', 'reload', NULL),
(19, 99, 'remain', 'uebrig', NULL),
(19, 99, 'reward', 'verguetung', NULL),
(19, 100, 'extra', 'typ', 'popup'),
(19, 100, 'id', 'id', NULL),
(19, 100, 'minimum_stay', 'ma', NULL),
(19, 100, 'password', 'pw', NULL),
(19, 100, 'reload', 'reload', NULL),
(19, 100, 'remain', 'uebrig', NULL),
(19, 100, 'reward', 'verguetung', NULL),
(19, 101, 'extra', 'typ', 'paidmail'),
(19, 101, 'id', 'id', NULL),
(19, 101, 'minimum_stay', 'ma', NULL),
(19, 101, 'password', 'pw', NULL),
(19, 101, 'reload', 'reload', NULL),
(19, 101, 'remain', 'uebrig', NULL),
(19, 101, 'reward', 'verguetung', NULL),
(19, 124, 'extra', 'typ', 'traffic'),
(19, 124, 'id', 'id', NULL),
(19, 124, 'password', 'pw', NULL),
(19, 124, 'reload', 'reload', NULL),
(19, 124, 'remain', 'uebrig', NULL),
(19, 124, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - WeltPromotion
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(20, 202, 'extra', 'typ', 'forcedbanner'),
(20, 202, 'id', 'id', NULL),
(20, 202, 'password', 'pw', NULL),
(20, 202, 'reload', 'reload', NULL),
(20, 202, 'remain', 'uebrig', NULL),
(20, 202, 'reward', 'verguetung', NULL),
(20, 203, 'extra', 'typ', 'forcedtextlink'),
(20, 203, 'id', 'id', NULL),
(20, 203, 'password', 'pw', NULL),
(20, 203, 'reload', 'reload', NULL),
(20, 203, 'remain', 'uebrig', NULL),
(20, 203, 'reward', 'verguetung', NULL),
(20, 204, 'extra', 'typ', 'bannerview'),
(20, 204, 'id', 'id', NULL),
(20, 204, 'password', 'pw', NULL),
(20, 204, 'reload', 'reload', NULL),
(20, 204, 'remain', 'uebrig', NULL),
(20, 204, 'reward', 'verguetung', NULL),
(20, 205, 'extra', 'typ', 'bannerklick'),
(20, 205, 'id', 'id', NULL),
(20, 205, 'password', 'pw', NULL),
(20, 205, 'reload', 'reload', NULL),
(20, 205, 'remain', 'uebrig', NULL),
(20, 205, 'reward', 'verguetung', NULL),
(20, 206, 'extra', 'typ', 'skybannerview'),
(20, 206, 'id', 'id', NULL),
(20, 206, 'password', 'pw', NULL),
(20, 206, 'reload', 'reload', NULL),
(20, 206, 'remain', 'uebrig', NULL),
(20, 206, 'reward', 'verguetung', NULL),
(20, 207, 'extra', 'typ', 'buttonview'),
(20, 207, 'id', 'id', NULL),
(20, 207, 'password', 'pw', NULL),
(20, 207, 'reload', 'reload', NULL),
(20, 207, 'remain', 'uebrig', NULL),
(20, 207, 'reward', 'verguetung', NULL),
(20, 208, 'extra', 'typ', 'textview'),
(20, 208, 'id', 'id', NULL),
(20, 208, 'password', 'pw', NULL),
(20, 208, 'reload', 'reload', NULL),
(20, 208, 'remain', 'uebrig', NULL),
(20, 208, 'reward', 'verguetung', NULL),
(20, 209, 'extra', 'typ', 'traffic'),
(20, 209, 'id', 'id', NULL),
(20, 209, 'password', 'pw', NULL),
(20, 209, 'reload', 'reload', NULL),
(20, 209, 'remain', 'uebrig', NULL),
(20, 209, 'reward', 'verguetung', NULL),
(20, 210, 'extra', 'typ', 'popup'),
(20, 210, 'id', 'id', NULL),
(20, 210, 'minimum_stay', 'ma', NULL),
(20, 210, 'password', 'pw', NULL),
(20, 210, 'reload', 'reload', NULL),
(20, 210, 'remain', 'uebrig', NULL),
(20, 210, 'reward', 'verguetung', NULL),
(20, 211, 'extra', 'typ', 'paidmail'),
(20, 211, 'id', 'id', NULL),
(20, 211, 'minimum_stay', 'ma', NULL),
(20, 211, 'password', 'pw', NULL),
(20, 211, 'reload', 'reload', NULL),
(20, 211, 'remain', 'uebrig', NULL),
(20, 211, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - UltraPROMO
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(21, 125, 'extra', 'typ', 'bannerklick'),
(21, 125, 'id', 'id', NULL),
(21, 125, 'password', 'pw', NULL),
(21, 125, 'reload', 'reload', NULL),
(21, 125, 'remain', 'uebrig', NULL),
(21, 125, 'reward', 'verguetung', NULL),
(21, 126, 'extra', 'typ', 'bannerview'),
(21, 126, 'id', 'id', NULL),
(21, 126, 'password', 'pw', NULL),
(21, 126, 'reload', 'reload', NULL),
(21, 126, 'remain', 'uebrig', NULL),
(21, 126, 'reward', 'verguetung', NULL),
(21, 127, 'extra', 'typ', 'buttonview'),
(21, 127, 'id', 'id', NULL),
(21, 127, 'password', 'pw', NULL),
(21, 127, 'reload', 'reload', NULL),
(21, 127, 'remain', 'uebrig', NULL),
(21, 127, 'reward', 'verguetung', NULL),
(21, 128, 'extra', 'typ', 'forcedbanner'),
(21, 128, 'id', 'id', NULL),
(21, 128, 'password', 'pw', NULL),
(21, 128, 'reload', 'reload', NULL),
(21, 128, 'remain', 'uebrig', NULL),
(21, 128, 'reward', 'verguetung', NULL),
(21, 129, 'extra', 'typ', 'forcedtextlink'),
(21, 129, 'id', 'id', NULL),
(21, 129, 'password', 'pw', NULL),
(21, 129, 'reload', 'reload', NULL),
(21, 129, 'remain', 'uebrig', NULL),
(21, 129, 'reward', 'verguetung', NULL),
(21, 130, 'extra', 'typ', 'popup'),
(21, 130, 'id', 'id', NULL),
(21, 130, 'minimum_stay', 'ma', NULL),
(21, 130, 'password', 'pw', NULL),
(21, 130, 'reload', 'reload', NULL),
(21, 130, 'remain', 'uebrig', NULL),
(21, 130, 'reward', 'verguetung', NULL),
(21, 131, 'extra', 'typ', 'skybannerview'),
(21, 131, 'id', 'id', NULL),
(21, 131, 'password', 'pw', NULL),
(21, 131, 'reload', 'reload', NULL),
(21, 131, 'remain', 'uebrig', NULL),
(21, 131, 'reward', 'verguetung', NULL),
(21, 132, 'extra', 'typ', 'textview'),
(21, 132, 'id', 'id', NULL),
(21, 132, 'password', 'pw', NULL),
(21, 132, 'reload', 'reload', NULL),
(21, 132, 'remain', 'uebrig', NULL),
(21, 132, 'reward', 'verguetung', NULL),
(21, 133, 'extra', 'typ', 'paidmail'),
(21, 133, 'id', 'id', NULL),
(21, 133, 'minimum_stay', 'ma', NULL),
(21, 133, 'password', 'pw', NULL),
(21, 133, 'reload', 'reload', NULL),
(21, 133, 'remain', 'uebrig', NULL),
(21, 133, 'reward', 'verguetung', NULL),
(21, 134, 'extra', 'typ', 'traffic'),
(21, 134, 'id', 'id', NULL),
(21, 134, 'password', 'pw', NULL),
(21, 134, 'reload', 'reload', NULL),
(21, 134, 'remain', 'uebrig', NULL),
(21, 134, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - VIPads.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(27, 247, 'extra', 'art', 'bannerklick'),
(27, 247, 'id', 'uid', NULL),
(27, 247, 'password', 'pw', NULL),
(27, 247, 'reload', 'reload', NULL),
(27, 247, 'remain', 'uebrig', NULL),
(27, 247, 'reward', 'verguetung', NULL),
(27, 247, 'sid', 'sid', NULL),
(27, 248, 'extra', 'art', 'bannerview'),
(27, 248, 'id', 'uid', NULL),
(27, 248, 'password', 'pw', NULL),
(27, 248, 'reload', 'reload', NULL),
(27, 248, 'remain', 'uebrig', NULL),
(27, 248, 'reward', 'verguetung', NULL),
(27, 248, 'sid', 'sid', NULL),
(27, 249, 'extra', 'art', 'buttonklick'),
(27, 249, 'id', 'uid', NULL),
(27, 249, 'password', 'pw', NULL),
(27, 249, 'reload', 'reload', NULL),
(27, 249, 'remain', 'uebrig', NULL),
(27, 249, 'reward', 'verguetung', NULL),
(27, 249, 'sid', 'sid', NULL),
(27, 250, 'extra', 'art', 'buttonview'),
(27, 250, 'id', 'uid', NULL),
(27, 250, 'password', 'pw', NULL),
(27, 250, 'reload', 'reload', NULL),
(27, 250, 'remain', 'uebrig', NULL),
(27, 250, 'reward', 'verguetung', NULL),
(27, 250, 'sid', 'sid', NULL),
(27, 251, 'extra', 'art', 'forcedbanner'),
(27, 251, 'id', 'uid', NULL),
(27, 251, 'minimum_stay', 'ma', NULL),
(27, 251, 'password', 'pw', NULL),
(27, 251, 'reload', 'reload', NULL),
(27, 251, 'remain', 'uebrig', NULL),
(27, 251, 'reward', 'verguetung', NULL),
(27, 251, 'sid', 'sid', NULL),
(27, 252, 'extra', 'art', 'htmlmail'),
(27, 252, 'id', 'id', NULL),
(27, 252, 'minimum_stay', 'ma', NULL),
(27, 252, 'password', 'pw', NULL),
(27, 252, 'reload', 'reload', NULL),
(27, 252, 'remain', 'uebrig', NULL),
(27, 252, 'reward', 'verguetung', NULL),
(27, 252, 'sid', 'sid', NULL),
(27, 253, 'extra', 'art', 'layer'),
(27, 253, 'id', 'uid', NULL),
(27, 253, 'password', 'pw', NULL),
(27, 253, 'reload', 'reload', NULL),
(27, 253, 'remain', 'uebrig', NULL),
(27, 253, 'reward', 'verguetung', NULL),
(27, 253, 'sid', 'sid', NULL),
(27, 254, 'extra', 'art', 'paidmail'),
(27, 254, 'id', 'uid', NULL),
(27, 254, 'minimum_stay', 'ma', NULL),
(27, 254, 'password', 'pw', NULL),
(27, 254, 'reload', 'reload', NULL),
(27, 254, 'remain', 'uebrig', NULL),
(27, 254, 'reward', 'verguetung', NULL),
(27, 254, 'sid', 'sid', NULL),
(27, 255, 'extra', 'art', 'popup'),
(27, 255, 'id', 'uid', NULL),
(27, 255, 'minimum_stay', 'ma', NULL),
(27, 255, 'password', 'pw', NULL),
(27, 255, 'reload', 'reload', NULL),
(27, 255, 'remain', 'uebrig', NULL),
(27, 255, 'reward', 'verguetung', NULL),
(27, 255, 'sid', 'sid', NULL),
(27, 256, 'extra', 'art', 'skybannerklick'),
(27, 256, 'id', 'uid', NULL),
(27, 256, 'password', 'pw', NULL),
(27, 256, 'reload', 'reload', NULL),
(27, 256, 'remain', 'uebrig', NULL),
(27, 256, 'reward', 'verguetung', NULL),
(27, 256, 'sid', 'sid', NULL),
(27, 257, 'extra', 'art', 'skybannerview'),
(27, 257, 'id', 'uid', NULL),
(27, 257, 'password', 'pw', NULL),
(27, 257, 'reload', 'reload', NULL),
(27, 257, 'remain', 'uebrig', NULL),
(27, 257, 'reward', 'verguetung', NULL),
(27, 257, 'sid', 'sid', NULL),
(27, 258, 'extra', 'art', 'textlinkklick'),
(27, 258, 'id', 'uid', NULL),
(27, 258, 'password', 'pw', NULL),
(27, 258, 'reload', 'reload', NULL),
(27, 258, 'remain', 'uebrig', NULL),
(27, 258, 'reward', 'verguetung', NULL),
(27, 258, 'sid', 'sid', NULL),
(27, 259, 'extra', 'art', 'traffic'),
(27, 259, 'id', 'uid', NULL),
(27, 259, 'minimum_stay', 'ma', NULL),
(27, 259, 'password', 'pw', NULL),
(27, 259, 'reload', 'reload', NULL),
(27, 259, 'remain', 'uebrig', NULL),
(27, 259, 'reward', 'verguetung', NULL),
(27, 259, 'sid', 'sid', NULL)");

		// Request parameters per type handler - Der Werbepartner.cc
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(22, 145, 'extra', 'art', 'Textlinkklick'),
(22, 145, 'id', 'uid', NULL),
(22, 145, 'password', 'pw', NULL),
(22, 145, 'reload', 'reload', NULL),
(22, 145, 'remain', 'offen', NULL),
(22, 145, 'reward', 'verg', NULL),
(22, 145, 'sid', 'sid', NULL),
(22, 146, 'extra', 'art', 'Forcedbanner'),
(22, 146, 'id', 'uid', NULL),
(22, 146, 'password', 'pw', NULL),
(22, 146, 'reload', 'reload', NULL),
(22, 146, 'remain', 'offen', NULL),
(22, 146, 'reward', 'verg', NULL),
(22, 146, 'sid', 'sid', NULL),
(22, 147, 'extra', 'art', 'Paidmail'),
(22, 147, 'id', 'uid', NULL),
(22, 147, 'password', 'pw', NULL),
(22, 147, 'reload', 'reload', NULL),
(22, 147, 'remain', 'offen', NULL),
(22, 147, 'reward', 'verg', NULL),
(22, 147, 'sid', 'sid', NULL),
(22, 148, 'extra', 'art', 'Layer'),
(22, 148, 'id', 'uid', NULL),
(22, 148, 'password', 'pw', NULL),
(22, 148, 'reload', 'reload', NULL),
(22, 148, 'remain', 'offen', NULL),
(22, 148, 'reward', 'verg', NULL),
(22, 148, 'sid', 'sid', NULL),
(22, 149, 'extra', 'art', 'Skybannerklick'),
(22, 149, 'id', 'uid', NULL),
(22, 149, 'password', 'pw', NULL),
(22, 149, 'reload', 'reload', NULL),
(22, 149, 'remain', 'offen', NULL),
(22, 149, 'reward', 'verg', NULL),
(22, 149, 'sid', 'sid', NULL),
(22, 150, 'extra', 'art', 'Surfbarklick'),
(22, 150, 'id', 'uid', NULL),
(22, 150, 'password', 'pw', NULL),
(22, 150, 'reload', 'reload', NULL),
(22, 150, 'remain', 'offen', NULL),
(22, 150, 'reward', 'verg', NULL),
(22, 150, 'sid', 'sid', NULL),
(22, 151, 'extra', 'art', 'Bannerview'),
(22, 151, 'id', 'uid', NULL),
(22, 151, 'password', 'pw', NULL),
(22, 151, 'reload', 'reload', NULL),
(22, 151, 'remain', 'offen', NULL),
(22, 151, 'reward', 'verg', NULL),
(22, 151, 'sid', 'sid', NULL),
(22, 152, 'extra', 'art', 'PopUp'),
(22, 152, 'id', 'uid', NULL),
(22, 152, 'password', 'pw', NULL),
(22, 152, 'reload', 'reload', NULL),
(22, 152, 'remain', 'offen', NULL),
(22, 152, 'reward', 'verg', NULL),
(22, 152, 'sid', 'sid', NULL),
(22, 153, 'extra', 'art', 'Bannerklick'),
(22, 153, 'id', 'uid', NULL),
(22, 153, 'password', 'pw', NULL),
(22, 153, 'reload', 'reload', NULL),
(22, 153, 'reward', 'verg', NULL),
(22, 153, 'sid', 'sid', NULL),
(22, 153, 'type', 'offen', NULL),
(22, 154, 'extra', 'art', 'Forcedtextlink'),
(22, 154, 'id', 'uid', NULL),
(22, 154, 'password', 'pw', NULL),
(22, 154, 'reload', 'reload', NULL),
(22, 154, 'remain', 'offen', NULL),
(22, 154, 'reward', 'verg', NULL),
(22, 154, 'sid', 'sid', NULL),
(22, 155, 'extra', 'art', 'Traffic'),
(22, 155, 'id', 'id', NULL),
(22, 155, 'password', 'pw', NULL),
(22, 155, 'reload', 'reload', NULL),
(22, 155, 'remain', 'offen', NULL),
(22, 155, 'reward', 'verg', NULL),
(22, 155, 'sid', 'sid', NULL)");

		// Request parameters per type handler - Yoo!Media
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`,`network_type_id`,`network_request_param_key`,`network_request_param_value`,`network_request_param_default`) VALUES
(23, 156, 'erotic', 'erotik', NULL),
(23, 156, 'id', 'id', NULL),
(23, 156, 'password', 'pw', NULL),
(23, 156, 'reload', 'reload', NULL),
(23, 156, 'remain', 'uebrig', NULL),
(23, 156, 'reward', 'verguetung', NULL),
(23, 156, 'sid', 'sid', NULL),
(23, 156, 'size', 'size', '468x60'),
(23, 157, 'erotic', 'erotik', NULL),
(23, 157, 'id', 'id', NULL),
(23, 157, 'password', 'pw', NULL),
(23, 157, 'reload', 'reload', NULL),
(23, 157, 'remain', 'uebrig', NULL),
(23, 157, 'reward', 'verguetung', NULL),
(23, 157, 'sid', 'sid', NULL),
(23, 158, 'erotic', 'erotik', NULL),
(23, 158, 'id', 'id', NULL),
(23, 158, 'password', 'pw', NULL),
(23, 158, 'reload', 'reload', NULL),
(23, 158, 'remain', 'uebrig', NULL),
(23, 158, 'reward', 'verguetung', NULL),
(23, 158, 'sid', 'sid', NULL),
(23, 158, 'size', 'size', '468x60'),
(23, 159, 'erotic', 'erotik', NULL),
(23, 159, 'id', 'id', NULL),
(23, 159, 'minimum_stay', 'ma', NULL),
(23, 159, 'password', 'pw', NULL),
(23, 159, 'reload', 'reload', NULL),
(23, 159, 'remain', 'uebrig', NULL),
(23, 159, 'reward', 'verguetung', NULL),
(23, 159, 'sid', 'sid', NULL),
(23, 159, 'size', 'size', '468x60'),
(23, 160, 'erotic', 'erotik', NULL),
(23, 160, 'id', 'id', NULL),
(23, 160, 'password', 'pw', NULL),
(23, 160, 'reload', 'reload', NULL),
(23, 160, 'remain', 'uebrig', NULL),
(23, 160, 'reward', 'verguetung', NULL),
(23, 160, 'sid', 'sid', NULL),
(23, 161, 'erotic', 'erotik', NULL),
(23, 161, 'id', 'id', NULL),
(23, 161, 'minimum_stay', 'ma', NULL),
(23, 161, 'password', 'pw', NULL),
(23, 161, 'reload', 'reload', NULL),
(23, 161, 'remain', 'uebrig', NULL),
(23, 161, 'reward', 'verguetung', NULL),
(23, 161, 'sid', 'sid', NULL),
(23, 162, 'erotic', 'erotik', NULL),
(23, 162, 'id', 'id', NULL),
(23, 162, 'minimum_stay', 'ma', NULL),
(23, 162, 'password', 'pw', NULL),
(23, 162, 'reload', 'reload', NULL),
(23, 162, 'remain', 'uebrig', NULL),
(23, 162, 'reward', 'verguetung', NULL),
(23, 162, 'sid', 'sid', NULL),
(23, 163, 'erotic', 'erotik', NULL),
(23, 163, 'id', 'id', NULL),
(23, 163, 'password', 'pw', NULL),
(23, 163, 'reload', 'reload', NULL),
(23, 163, 'remain', 'uebrig', NULL),
(23, 163, 'reward', 'verguetung', NULL),
(23, 163, 'sid', 'sid', NULL),
(23, 164, 'erotic', 'erotik', NULL),
(23, 164, 'id', 'id', NULL),
(23, 164, 'minimum_stay', 'ma', NULL),
(23, 164, 'password', 'pw', NULL),
(23, 164, 'reload', 'reload', NULL),
(23, 164, 'remain', 'uebrig', NULL),
(23, 164, 'reward', 'verguetung', NULL),
(23, 164, 'sid', 'sid', NULL),
(23, 165, 'erotic', 'erotik', NULL),
(23, 165, 'id', 'id', NULL),
(23, 165, 'minimum_stay', 'ma', NULL),
(23, 165, 'password', 'pw', NULL),
(23, 165, 'reload', 'reload', NULL),
(23, 165, 'remain', 'uebrig', NULL),
(23, 165, 'reward', 'verguetung', NULL),
(23, 165, 'sid', 'sid', NULL),
(23, 166, 'erotic', 'erotik', NULL),
(23, 166, 'id', 'id', NULL),
(23, 166, 'password', 'pw', NULL),
(23, 166, 'remain', 'uebrig', NULL),
(23, 166, 'reward', 'verguetung', NULL),
(23, 166, 'sid', 'sid', NULL)");

		// API array elements - A3H
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(1, 1, 7, 1),
(1, 1, 2, 2),
(1, 1, 3, 3),
(1, 1, 4, 4),
(1, 1, 5, 5),
(1, 1, 6, 6),
(1, 1, 8, 7),
(1, 1, 10, 8),
(1, 2, 11, 1),
(1, 2, 2, 2),
(1, 2, 9, 3),
(1, 2, 4, 4),
(1, 2, 5, 5),
(1, 2, 6, 6),
(1, 3, 12, 1),
(1, 3, 2, 2),
(1, 3, 3, 3),
(1, 3, 4, 4),
(1, 3, 5, 5),
(1, 3, 6, 6),
(1, 3, 8, 7),
(1, 4, 7, 1),
(1, 4, 2, 2),
(1, 4, 3, 3),
(1, 4, 4, 4),
(1, 4, 5, 5),
(1, 4, 6, 6),
(1, 4, 10, 7),
(1, 4, 8, 8),
(1, 5, 13, 1),
(1, 5, 2, 2),
(1, 5, 4, 3),
(1, 5, 5, 4),
(1, 5, 6, 5),
(1, 5, 10, 6),
(1, 5, 9, 7),
(1, 6, 14, 1),
(1, 6, 2, 2),
(1, 6, 4, 3),
(1, 6, 5, 4),
(1, 6, 6, 5),
(1, 7, 15, 1),
(1, 7, 2, 2),
(1, 7, 4, 3),
(1, 7, 5, 4),
(1, 7, 6, 5),
(1, 7, 10, 6),
(1, 8, 16, 1),
(1, 8, 2, 2),
(1, 8, 4, 3),
(1, 8, 5, 4),
(1, 8, 6, 5),
(1, 8, 10, 6),
(1, 9, 17, 1),
(1, 9, 2, 2),
(1, 9, 6, 3),
(1, 9, 19, 4),
(1, 9, 20, 5),
(1, 9, 21, 6),
(1, 9, 22, 7),
(1, 9, 23, 8),
(1, 9, 9, 9),
(1, 9, 25, 10),
(1, 9, 5, 11),
(1, 10, 18, 1),
(1, 10, 2, 2),
(1, 10, 6, 3),
(1, 10, 19, 4),
(1, 10, 20, 5),
(1, 10, 21, 6),
(1, 10, 22, 7),
(1, 10, 23, 8),
(1, 10, 9, 9),
(1, 10, 25, 10),
(1, 387, 7, 1),
(1, 387, 2, 2),
(1, 387, 3, 3),
(1, 387, 4, 4),
(1, 387, 5, 5),
(1, 387, 6, 6),
(1, 387, 8, 7),
(1, 387, 10, 8),
(1, 388, 14, 1),
(1, 388, 2, 2),
(1, 388, 4, 3),
(1, 388, 5, 4),
(1, 388, 6, 5),
(1, 389, 12, 1),
(1, 389, 2, 2),
(1, 389, 3, 3),
(1, 389, 4, 4),
(1, 389, 5, 5),
(1, 389, 6, 6),
(1, 389, 8, 7),
(1, 390, 11, 1),
(1, 390, 2, 2),
(1, 390, 9, 3),
(1, 390, 4, 4),
(1, 390, 5, 5),
(1, 390, 6, 6)");

		// API array elements - AbisZED-Netz
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(2, 187, 7, 1),
(2, 187, 2, 2),
(2, 187, 3, 3),
(2, 187, 4, 4),
(2, 187, 5, 5),
(2, 187, 6, 6),
(2, 187, 8, 7),
(2, 187, 10, 8),
(2, 188, 7, 1),
(2, 188, 2, 2),
(2, 188, 3, 3),
(2, 188, 4, 4),
(2, 188, 5, 5),
(2, 188, 6, 6),
(2, 188, 8, 7),
(2, 188, 10, 8),
(2, 189, 11, 1),
(2, 189, 2, 2),
(2, 189, 9, 3),
(2, 189, 4, 4),
(2, 189, 5, 5),
(2, 189, 6, 6),
(2, 190, 11, 1),
(2, 190, 2, 2),
(2, 190, 9, 3),
(2, 190, 4, 4),
(2, 190, 5, 5),
(2, 190, 6, 6),
(2, 191, 12, 1),
(2, 191, 2, 2),
(2, 191, 3, 3),
(2, 191, 4, 4),
(2, 191, 5, 5),
(2, 191, 6, 6),
(2, 191, 8, 7),
(2, 192, 12, 1),
(2, 192, 10, 2),
(2, 192, 3, 3),
(2, 192, 4, 4),
(2, 192, 5, 5),
(2, 192, 6, 6),
(2, 192, 8, 7),
(2, 193, 7, 1),
(2, 193, 2, 2),
(2, 193, 3, 3),
(2, 193, 4, 4),
(2, 193, 5, 5),
(2, 193, 6, 6),
(2, 193, 10, 7),
(2, 193, 8, 8),
(2, 194, 13, 1),
(2, 194, 2, 2),
(2, 194, 4, 3),
(2, 194, 5, 4),
(2, 194, 6, 5),
(2, 194, 10, 6),
(2, 194, 9, 7),
(2, 195, 13, 1),
(2, 195, 2, 2),
(2, 195, 4, 3),
(2, 195, 5, 4),
(2, 195, 6, 5),
(2, 195, 10, 6),
(2, 195, 9, 7),
(2, 196, 14, 1),
(2, 196, 2, 2),
(2, 196, 4, 3),
(2, 196, 5, 4),
(2, 196, 6, 5),
(2, 197, 14, 1),
(2, 197, 2, 2),
(2, 197, 4, 3),
(2, 197, 5, 4),
(2, 197, 6, 5),
(2, 198, 15, 1),
(2, 198, 2, 2),
(2, 198, 4, 3),
(2, 198, 5, 4),
(2, 198, 6, 5),
(2, 198, 10, 6),
(2, 199, 16, 1),
(2, 199, 2, 2),
(2, 199, 4, 3),
(2, 199, 5, 4),
(2, 199, 6, 5),
(2, 199, 10, 6),
(2, 200, 17, 1),
(2, 200, 2, 2),
(2, 200, 6, 3),
(2, 200, 19, 4),
(2, 200, 20, 5),
(2, 200, 21, 6),
(2, 200, 22, 7),
(2, 200, 23, 8),
(2, 200, 9, 9),
(2, 200, 25, 10),
(2, 200, 5, 11),
(2, 201, 18, 1),
(2, 201, 2, 2),
(2, 201, 6, 3),
(2, 201, 19, 4),
(2, 201, 20, 5),
(2, 201, 21, 6),
(2, 201, 22, 7),
(2, 201, 23, 8),
(2, 201, 9, 9),
(2, 201, 25, 10)");

		// API array elements - Ad-Hit.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(31, 302, 1, 1),
(31, 302, 2, 2),
(31, 302, 4, 3),
(31, 302, 5, 4),
(31, 302, 6, 5),
(31, 302, 10, 6),
(31, 302, 9, 7),
(31, 302, 40, 8),
(31, 303, 1, 1),
(31, 303, 2, 2),
(31, 303, 4, 3),
(31, 303, 5, 4),
(31, 303, 6, 5),
(31, 303, 10, 6),
(31, 303, 9, 7),
(31, 303, 40, 8),
(31, 304, 1, 1),
(31, 304, 2, 2),
(31, 304, 4, 3),
(31, 304, 5, 4),
(31, 304, 6, 5),
(31, 304, 10, 6),
(31, 304, 9, 7),
(31, 304, 40, 8),
(31, 305, 1, 1),
(31, 305, 2, 2),
(31, 305, 4, 3),
(31, 305, 5, 4),
(31, 305, 6, 5),
(31, 305, 10, 6),
(31, 305, 9, 7),
(31, 305, 40, 8),
(31, 306, 1, 1),
(31, 306, 2, 2),
(31, 306, 4, 3),
(31, 306, 5, 4),
(31, 306, 6, 5),
(31, 306, 10, 6),
(31, 306, 9, 7),
(31, 306, 40, 8),
(31, 307, 1, 1),
(31, 307, 2, 2),
(31, 307, 4, 3),
(31, 307, 5, 4),
(31, 307, 6, 5),
(31, 307, 10, 6),
(31, 307, 9, 7),
(31, 307, 40, 8),
(31, 308, 1, 1),
(31, 308, 2, 2),
(31, 308, 4, 3),
(31, 308, 5, 4),
(31, 308, 6, 5),
(31, 308, 10, 6),
(31, 308, 9, 7),
(31, 308, 40, 8),
(31, 309, 1, 1),
(31, 309, 2, 2),
(31, 309, 4, 3),
(31, 309, 5, 4),
(31, 309, 6, 5),
(31, 309, 10, 6),
(31, 309, 9, 7),
(31, 309, 40, 8),
(31, 310, 1, 1),
(31, 310, 2, 2),
(31, 310, 4, 3),
(31, 310, 5, 4),
(31, 310, 6, 5),
(31, 310, 10, 6),
(31, 310, 9, 7),
(31, 310, 40, 8),
(31, 311, 1, 1),
(31, 311, 2, 2),
(31, 311, 4, 3),
(31, 311, 5, 4),
(31, 311, 6, 5),
(31, 311, 10, 6),
(31, 311, 9, 7),
(31, 311, 40, 8)");

		// API array elements - AD-Magnet

		// API array elements - AD-Promotion
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(37, 367, 1, 1),
(37, 367, 2, 2),
(37, 367, 4, 3),
(37, 367, 5, 4),
(37, 367, 6, 5),
(37, 367, 10, 6),
(37, 367, 9, 7),
(37, 367, 40, 8),
(37, 368, 1, 1),
(37, 368, 2, 2),
(37, 368, 4, 3),
(37, 368, 5, 4),
(37, 368, 6, 5),
(37, 368, 10, 6),
(37, 368, 9, 7),
(37, 368, 40, 8),
(37, 369, 1, 1),
(37, 369, 2, 2),
(37, 369, 4, 3),
(37, 369, 5, 4),
(37, 369, 6, 5),
(37, 369, 10, 6),
(37, 369, 9, 7),
(37, 369, 40, 8),
(37, 370, 1, 1),
(37, 370, 2, 2),
(37, 370, 4, 3),
(37, 370, 5, 4),
(37, 370, 6, 5),
(37, 370, 10, 6),
(37, 370, 9, 7),
(37, 370, 40, 8),
(37, 371, 1, 1),
(37, 371, 2, 2),
(37, 371, 4, 3),
(37, 371, 5, 4),
(37, 371, 6, 5),
(37, 371, 10, 6),
(37, 371, 9, 7),
(37, 371, 40, 8),
(37, 372, 1, 1),
(37, 372, 2, 2),
(37, 372, 4, 3),
(37, 372, 5, 4),
(37, 372, 6, 5),
(37, 372, 10, 6),
(37, 372, 9, 7),
(37, 372, 40, 8),
(37, 373, 1, 1),
(37, 373, 2, 2),
(37, 373, 4, 3),
(37, 373, 5, 4),
(37, 373, 6, 5),
(37, 373, 10, 6),
(37, 373, 9, 7),
(37, 373, 40, 8),
(37, 374, 1, 1),
(37, 374, 2, 2),
(37, 374, 4, 3),
(37, 374, 5, 4),
(37, 374, 6, 5),
(37, 374, 10, 6),
(37, 374, 9, 7),
(37, 374, 40, 8),
(37, 375, 1, 1),
(37, 375, 2, 2),
(37, 375, 4, 3),
(37, 375, 5, 4),
(37, 375, 6, 5),
(37, 375, 10, 6),
(37, 375, 9, 7),
(37, 375, 40, 8),
(37, 376, 1, 1),
(37, 376, 2, 2),
(37, 376, 4, 3),
(37, 376, 5, 4),
(37, 376, 6, 5),
(37, 376, 10, 6),
(37, 376, 9, 7),
(37, 376, 40, 8)");

		// API array elements - AdCity.eu
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(32, 312, 1, 1),
(32, 312, 2, 2),
(32, 312, 4, 3),
(32, 312, 5, 4),
(32, 312, 6, 5),
(32, 313, 1, 1),
(32, 313, 2, 2),
(32, 313, 4, 3),
(32, 313, 5, 4),
(32, 313, 6, 5),
(32, 314, 1, 1),
(32, 314, 2, 2),
(32, 314, 4, 3),
(32, 314, 5, 4),
(32, 314, 6, 5),
(32, 315, 1, 1),
(32, 315, 2, 2),
(32, 315, 4, 3),
(32, 315, 5, 4),
(32, 315, 6, 5),
(32, 316, 1, 1),
(32, 316, 2, 2),
(32, 316, 4, 3),
(32, 316, 5, 4),
(32, 316, 6, 5),
(32, 317, 1, 1),
(32, 317, 2, 2),
(32, 317, 4, 3),
(32, 317, 5, 4),
(32, 317, 6, 5),
(32, 318, 1, 1),
(32, 318, 2, 2),
(32, 318, 4, 3),
(32, 318, 5, 4),
(32, 318, 6, 5),
(32, 319, 1, 1),
(32, 319, 2, 2),
(32, 319, 4, 3),
(32, 319, 5, 4),
(32, 319, 6, 5),
(32, 320, 1, 1),
(32, 320, 2, 2),
(32, 320, 4, 3),
(32, 320, 5, 4),
(32, 320, 6, 5),
(32, 320, 10, 6),
(32, 321, 1, 1),
(32, 321, 2, 2),
(32, 321, 4, 3),
(32, 321, 5, 4),
(32, 321, 6, 5),
(32, 321, 10, 6),
(32, 321, 9, 7)");

		// API array elements - ADCocktail

		// API array elements - AdConvention
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(30, 292, 1, 1),
(30, 292, 2, 2),
(30, 292, 4, 3),
(30, 292, 5, 4),
(30, 292, 6, 5),
(30, 292, 10, 6),
(30, 293, 1, 1),
(30, 293, 2, 2),
(30, 293, 4, 3),
(30, 293, 5, 4),
(30, 293, 6, 5),
(30, 293, 10, 6),
(30, 294, 1, 1),
(30, 294, 2, 2),
(30, 294, 4, 3),
(30, 294, 5, 4),
(30, 294, 6, 5),
(30, 295, 1, 1),
(30, 295, 2, 2),
(30, 295, 4, 3),
(30, 295, 5, 4),
(30, 295, 6, 5),
(30, 296, 1, 1),
(30, 296, 2, 2),
(30, 296, 4, 3),
(30, 296, 5, 4),
(30, 296, 6, 5),
(30, 297, 1, 1),
(30, 297, 2, 2),
(30, 297, 4, 3),
(30, 297, 5, 4),
(30, 297, 6, 5),
(30, 298, 1, 1),
(30, 298, 2, 2),
(30, 298, 4, 3),
(30, 298, 5, 4),
(30, 298, 6, 5),
(30, 299, 1, 1),
(30, 299, 2, 2),
(30, 299, 4, 3),
(30, 299, 5, 4),
(30, 299, 6, 5),
(30, 299, 10, 6),
(30, 300, 1, 1),
(30, 300, 2, 2),
(30, 300, 4, 3),
(30, 300, 5, 4),
(30, 300, 6, 5),
(30, 300, 10, 6),
(30, 301, 1, 1),
(30, 301, 2, 2),
(30, 301, 4, 3),
(30, 301, 5, 4),
(30, 301, 6, 5),
(30, 301, 10, 6),
(30, 301, 9, 7)");

		// API array elements - adgain.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(33, 322, 1, 1),
(33, 322, 2, 2),
(33, 322, 5, 3),
(33, 322, 4, 4),
(33, 322, 6, 5),
(33, 323, 1, 1),
(33, 323, 2, 2),
(33, 323, 5, 3),
(33, 323, 4, 4),
(33, 323, 6, 5),
(33, 324, 1, 1),
(33, 324, 2, 2),
(33, 324, 5, 3),
(33, 324, 4, 4),
(33, 324, 6, 5),
(33, 324, 10, 6),
(33, 325, 1, 1),
(33, 325, 2, 2),
(33, 325, 5, 3),
(33, 325, 4, 4),
(33, 325, 6, 5),
(33, 325, 10, 6),
(33, 325, 9, 7),
(33, 326, 1, 1),
(33, 326, 2, 2),
(33, 326, 5, 3),
(33, 326, 4, 4),
(33, 326, 6, 5),
(33, 326, 10, 6),
(33, 326, 37, 7),
(33, 326, 9, 8),
(33, 327, 1, 1),
(33, 327, 2, 2),
(33, 327, 5, 3),
(33, 327, 4, 4),
(33, 327, 6, 5),
(33, 328, 1, 1),
(33, 328, 2, 2),
(33, 328, 5, 3),
(33, 328, 4, 4),
(33, 328, 6, 5),
(33, 328, 10, 6),
(33, 328, 37, 7),
(33, 328, 9, 8),
(33, 329, 1, 1),
(33, 329, 2, 2),
(33, 329, 5, 3),
(33, 329, 4, 4),
(33, 329, 6, 5),
(33, 329, 10, 6),
(33, 330, 1, 1),
(33, 330, 2, 2),
(33, 330, 5, 3),
(33, 330, 4, 4),
(33, 330, 6, 5),
(33, 331, 1, 1),
(33, 331, 2, 2),
(33, 331, 5, 3),
(33, 331, 4, 4),
(33, 331, 6, 5),
(33, 332, 1, 1),
(33, 332, 2, 2),
(33, 332, 5, 3),
(33, 332, 4, 4),
(33, 332, 6, 5),
(33, 333, 1, 1),
(33, 333, 2, 2),
(33, 333, 5, 3),
(33, 333, 4, 4),
(33, 333, 6, 5),
(33, 334, 1, 1),
(33, 334, 2, 2),
(33, 334, 5, 3),
(33, 334, 4, 4),
(33, 334, 6, 5),
(33, 334, 9, 6),
(33, 335, 1, 1),
(33, 335, 2, 2),
(33, 335, 5, 3),
(33, 335, 4, 4),
(33, 335, 6, 5),
(33, 335, 9, 6)");

		// API array elements - ADkracher
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(34, 336, 1, 1),
(34, 336, 2, 2),
(34, 336, 5, 3),
(34, 336, 4, 4),
(34, 336, 6, 5),
(34, 337, 1, 1),
(34, 337, 2, 2),
(34, 337, 5, 3),
(34, 337, 4, 4),
(34, 337, 6, 5),
(34, 338, 1, 1),
(34, 338, 2, 2),
(34, 338, 5, 3),
(34, 338, 4, 4),
(34, 338, 6, 5),
(34, 338, 10, 6),
(34, 339, 1, 1),
(34, 339, 2, 2),
(34, 339, 5, 3),
(34, 339, 4, 4),
(34, 339, 6, 5),
(34, 339, 10, 6),
(34, 339, 9, 7),
(34, 340, 1, 1),
(34, 340, 2, 2),
(34, 340, 5, 3),
(34, 340, 4, 4),
(34, 340, 6, 5),
(34, 340, 10, 6),
(34, 340, 37, 7),
(34, 340, 9, 8),
(34, 341, 1, 1),
(34, 341, 2, 2),
(34, 341, 5, 3),
(34, 341, 4, 4),
(34, 341, 6, 5),
(34, 342, 1, 1),
(34, 342, 2, 2),
(34, 342, 5, 3),
(34, 342, 4, 4),
(34, 342, 6, 5),
(34, 342, 10, 6),
(34, 342, 37, 7),
(34, 342, 9, 8),
(34, 343, 1, 1),
(34, 343, 2, 2),
(34, 343, 5, 3),
(34, 343, 4, 4),
(34, 343, 6, 5),
(34, 343, 10, 6),
(34, 344, 1, 1),
(34, 344, 2, 2),
(34, 344, 5, 3),
(34, 344, 4, 4),
(34, 344, 6, 5),
(34, 345, 1, 1),
(34, 345, 2, 2),
(34, 345, 5, 3),
(34, 345, 4, 4),
(34, 345, 6, 5),
(34, 346, 1, 1),
(34, 346, 2, 2),
(34, 346, 5, 3),
(34, 346, 4, 4),
(34, 346, 6, 5),
(34, 346, 9, 6),
(34, 347, 1, 1),
(34, 347, 2, 2),
(34, 347, 5, 3),
(34, 347, 4, 4),
(34, 347, 6, 5),
(34, 348, 1, 1),
(34, 348, 2, 2),
(34, 348, 5, 3),
(34, 348, 4, 4),
(34, 348, 6, 5),
(34, 348, 10, 6)");

		// API array elements - Adminlose.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(35, 349, 1, 1),
(35, 349, 2, 2),
(35, 349, 4, 3),
(35, 349, 5, 4),
(35, 349, 6, 5),
(35, 349, 10, 6),
(35, 350, 1, 1),
(35, 350, 2, 2),
(35, 350, 4, 3),
(35, 350, 5, 4),
(35, 350, 6, 5),
(35, 350, 9, 6),
(35, 351, 1, 1),
(35, 351, 2, 2),
(35, 351, 4, 3),
(35, 351, 5, 4),
(35, 351, 6, 5),
(35, 352, 1, 1),
(35, 352, 2, 2),
(35, 352, 4, 3),
(35, 352, 5, 4),
(35, 352, 6, 5),
(35, 352, 9, 6),
(35, 353, 1, 1),
(35, 353, 2, 2),
(35, 353, 5, 3),
(35, 353, 6, 4),
(35, 353, 10, 5),
(35, 353, 37, 6),
(35, 353, 9, 7),
(35, 354, 1, 1),
(35, 354, 2, 2),
(35, 354, 4, 3),
(35, 354, 5, 4),
(35, 354, 6, 5),
(35, 355, 1, 1),
(35, 355, 2, 2),
(35, 355, 4, 3),
(35, 355, 5, 4),
(35, 355, 6, 5),
(35, 355, 10, 6),
(35, 356, 1, 1),
(35, 356, 2, 2),
(35, 356, 4, 3),
(35, 356, 5, 4),
(35, 356, 6, 5),
(35, 356, 10, 6)");

		// API array elements - Admono.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(36, 357, 1, 1),
(36, 357, 2, 2),
(36, 357, 4, 3),
(36, 357, 5, 4),
(36, 357, 6, 5),
(36, 358, 1, 1),
(36, 358, 2, 2),
(36, 358, 4, 3),
(36, 358, 5, 4),
(36, 358, 6, 5),
(36, 359, 1, 1),
(36, 359, 2, 2),
(36, 359, 4, 3),
(36, 359, 5, 4),
(36, 359, 6, 5),
(36, 360, 1, 1),
(36, 360, 2, 2),
(36, 360, 4, 3),
(36, 360, 5, 4),
(36, 360, 6, 5),
(36, 361, 1, 1),
(36, 361, 2, 2),
(36, 361, 4, 3),
(36, 361, 5, 4),
(36, 361, 6, 5),
(36, 362, 1, 1),
(36, 362, 2, 2),
(36, 362, 4, 3),
(36, 362, 5, 4),
(36, 362, 6, 5),
(36, 363, 1, 1),
(36, 363, 2, 2),
(36, 363, 4, 3),
(36, 363, 5, 4),
(36, 363, 6, 5),
(36, 364, 1, 1),
(36, 364, 2, 2),
(36, 364, 4, 3),
(36, 364, 5, 4),
(36, 364, 6, 5),
(36, 365, 1, 1),
(36, 365, 2, 2),
(36, 365, 4, 3),
(36, 365, 5, 4),
(36, 365, 6, 5),
(36, 365, 10, 6),
(36, 366, 1, 1),
(36, 366, 2, 2),
(36, 366, 4, 3),
(36, 366, 5, 4),
(36, 366, 6, 5),
(36, 366, 10, 6),
(36, 366, 9, 7)");

		// API array elements - AdPaid
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(5, 177, 7, 1),
(5, 177, 2, 2),
(5, 177, 3, 3),
(5, 177, 4, 4),
(5, 177, 5, 5),
(5, 177, 6, 6),
(5, 177, 8, 7),
(5, 177, 10, 8),
(5, 178, 11, 1),
(5, 178, 2, 2),
(5, 178, 9, 3),
(5, 178, 4, 4),
(5, 178, 5, 5),
(5, 178, 6, 6),
(5, 179, 12, 1),
(5, 179, 2, 2),
(5, 179, 3, 3),
(5, 179, 4, 4),
(5, 179, 5, 5),
(5, 179, 6, 6),
(5, 179, 8, 7),
(5, 180, 7, 1),
(5, 180, 2, 2),
(5, 180, 3, 3),
(5, 180, 4, 4),
(5, 180, 5, 5),
(5, 180, 6, 6),
(5, 180, 10, 7),
(5, 180, 8, 8),
(5, 181, 13, 1),
(5, 181, 2, 2),
(5, 181, 4, 3),
(5, 181, 5, 4),
(5, 181, 6, 5),
(5, 181, 10, 6),
(5, 181, 9, 7),
(5, 182, 14, 1),
(5, 182, 2, 2),
(5, 182, 4, 3),
(5, 182, 5, 4),
(5, 182, 6, 5),
(5, 183, 15, 1),
(5, 183, 2, 2),
(5, 183, 4, 3),
(5, 183, 5, 4),
(5, 183, 6, 5),
(5, 183, 10, 6),
(5, 185, 17, 1),
(5, 185, 2, 2),
(5, 185, 6, 3),
(5, 185, 19, 4),
(5, 185, 20, 5),
(5, 185, 21, 6),
(5, 185, 22, 7),
(5, 185, 23, 8),
(5, 185, 9, 9)");

		// API array elements - AdProvi
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(38, 377, 1, 1),
(38, 377, 2, 2),
(38, 377, 4, 3),
(38, 377, 5, 4),
(38, 377, 6, 5),
(38, 377, 10, 6),
(38, 377, 9, 7),
(38, 377, 40, 8),
(38, 378, 1, 1),
(38, 378, 2, 2),
(38, 378, 4, 3),
(38, 378, 5, 4),
(38, 378, 6, 5),
(38, 378, 10, 6),
(38, 378, 9, 7),
(38, 378, 40, 8),
(38, 379, 1, 1),
(38, 379, 2, 2),
(38, 379, 4, 3),
(38, 379, 5, 4),
(38, 379, 6, 5),
(38, 379, 10, 6),
(38, 379, 9, 7),
(38, 379, 40, 8),
(38, 380, 1, 1),
(38, 380, 2, 2),
(38, 380, 4, 3),
(38, 380, 5, 4),
(38, 380, 6, 5),
(38, 380, 10, 6),
(38, 380, 9, 7),
(38, 380, 40, 8),
(38, 381, 1, 1),
(38, 381, 2, 2),
(38, 381, 4, 3),
(38, 381, 5, 4),
(38, 381, 6, 5),
(38, 381, 10, 6),
(38, 381, 9, 7),
(38, 381, 40, 8),
(38, 382, 1, 1),
(38, 382, 2, 2),
(38, 382, 4, 3),
(38, 382, 5, 4),
(38, 382, 6, 5),
(38, 382, 10, 6),
(38, 382, 9, 7),
(38, 382, 40, 8),
(38, 383, 1, 1),
(38, 383, 2, 2),
(38, 383, 4, 3),
(38, 383, 5, 4),
(38, 383, 6, 5),
(38, 383, 10, 6),
(38, 383, 9, 7),
(38, 383, 40, 8),
(38, 384, 1, 1),
(38, 384, 2, 2),
(38, 384, 4, 3),
(38, 384, 5, 4),
(38, 384, 6, 5),
(38, 384, 10, 6),
(38, 384, 9, 7),
(38, 384, 40, 8),
(38, 385, 1, 1),
(38, 385, 2, 2),
(38, 385, 4, 3),
(38, 385, 5, 4),
(38, 385, 6, 5),
(38, 385, 10, 6),
(38, 385, 9, 7),
(38, 385, 40, 8),
(38, 386, 1, 1),
(38, 386, 2, 2),
(38, 386, 4, 3),
(38, 386, 5, 4),
(38, 386, 6, 5),
(38, 386, 10, 6),
(38, 386, 9, 7),
(38, 386, 40, 8)");

		// API array elements - Ads2Earn
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(39, 395, 1, 1),
(39, 395, 2, 2),
(39, 395, 3, 3),
(39, 395, 4, 4),
(39, 395, 5, 5),
(39, 395, 6, 6),
(39, 395, 8, 7),
(39, 395, 10, 8),
(39, 396, 1, 1),
(39, 396, 2, 2),
(39, 396, 3, 3),
(39, 396, 4, 4),
(39, 396, 5, 5),
(39, 396, 6, 6),
(39, 396, 8, 7),
(39, 396, 10, 8),
(39, 397, 1, 1),
(39, 397, 2, 2),
(39, 397, 9, 3),
(39, 397, 4, 4),
(39, 397, 5, 5),
(39, 397, 6, 6),
(39, 398, 1, 1),
(39, 398, 2, 2),
(39, 398, 9, 3),
(39, 398, 4, 4),
(39, 398, 5, 5),
(39, 398, 6, 6),
(39, 399, 1, 1),
(39, 399, 2, 2),
(39, 399, 3, 3),
(39, 399, 4, 4),
(39, 399, 5, 5),
(39, 399, 6, 6),
(39, 399, 10, 7),
(39, 399, 8, 8),
(39, 400, 1, 1),
(39, 400, 2, 2),
(39, 400, 4, 3),
(39, 400, 5, 4),
(39, 400, 6, 5),
(39, 400, 10, 6),
(39, 400, 9, 7),
(39, 401, 1, 1),
(39, 401, 2, 2),
(39, 401, 4, 3),
(39, 401, 5, 4),
(39, 401, 6, 5),
(39, 401, 10, 6),
(39, 401, 9, 7),
(39, 402, 1, 1),
(39, 402, 2, 2),
(39, 402, 3, 3),
(39, 402, 4, 4),
(39, 402, 5, 5),
(39, 402, 6, 6),
(39, 402, 8, 7),
(39, 402, 10, 8),
(39, 403, 1, 1),
(39, 403, 2, 2),
(39, 403, 3, 3),
(39, 403, 4, 4),
(39, 403, 5, 5),
(39, 403, 6, 6),
(39, 403, 8, 7),
(39, 403, 10, 8),
(39, 404, 1, 1),
(39, 404, 2, 2),
(39, 404, 3, 3),
(39, 404, 4, 4),
(39, 404, 5, 5),
(39, 404, 6, 6),
(39, 404, 8, 7),
(39, 404, 10, 8),
(39, 405, 1, 1),
(39, 405, 2, 2),
(39, 405, 3, 3),
(39, 405, 4, 4),
(39, 405, 5, 5),
(39, 405, 6, 6),
(39, 405, 8, 7),
(39, 405, 10, 8)");

		// API array elements - Ads2Webbi
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(40, 406, 1, 1),
(40, 406, 2, 2),
(40, 406, 4, 3),
(40, 406, 5, 4),
(40, 406, 6, 5),
(40, 407, 1, 1),
(40, 407, 2, 2),
(40, 407, 4, 3),
(40, 407, 5, 4),
(40, 407, 6, 5),
(40, 408, 1, 1),
(40, 408, 2, 2),
(40, 408, 4, 3),
(40, 408, 5, 4),
(40, 408, 6, 5),
(40, 409, 1, 1),
(40, 409, 2, 2),
(40, 409, 4, 3),
(40, 409, 5, 4),
(40, 409, 6, 5),
(40, 410, 1, 1),
(40, 410, 2, 2),
(40, 410, 4, 3),
(40, 410, 5, 4),
(40, 410, 6, 5),
(40, 411, 1, 1),
(40, 411, 2, 2),
(40, 411, 4, 3),
(40, 411, 5, 4),
(40, 411, 6, 5),
(40, 412, 1, 1),
(40, 412, 2, 2),
(40, 412, 4, 3),
(40, 412, 5, 4),
(40, 412, 6, 5),
(40, 413, 1, 1),
(40, 413, 2, 2),
(40, 413, 4, 3),
(40, 413, 5, 4),
(40, 413, 6, 5),
(40, 414, 1, 1),
(40, 414, 2, 2),
(40, 414, 4, 3),
(40, 414, 5, 4),
(40, 414, 6, 5),
(40, 414, 10, 6),
(40, 415, 1, 1),
(40, 415, 2, 2),
(40, 415, 4, 3),
(40, 415, 5, 4),
(40, 415, 6, 5),
(40, 415, 10, 6),
(40, 415, 9, 7)");

		// API array elements - Ads4.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(6, 14, 7, 1),
(6, 14, 2, 2),
(6, 14, 6, 3),
(6, 14, 4, 4),
(6, 14, 5, 5),
(6, 14, 10, 6),
(6, 15, 13, 1),
(6, 15, 2, 2),
(6, 15, 6, 3),
(6, 15, 4, 4),
(6, 15, 5, 5),
(6, 15, 10, 6),
(6, 16, 13, 1),
(6, 16, 2, 2),
(6, 16, 6, 3),
(6, 16, 4, 4),
(6, 16, 5, 5),
(6, 16, 10, 6),
(6, 119, 26, 1),
(6, 119, 2, 2),
(6, 119, 6, 3),
(6, 119, 4, 4),
(6, 119, 5, 5),
(6, 119, 10, 6)");

		// API array elements - Ads4Webbis
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(7, 17, 1, 1),
(7, 17, 2, 2),
(7, 17, 4, 3),
(7, 17, 5, 4),
(7, 17, 6, 5),
(7, 17, 10, 6),
(7, 17, 9, 7),
(7, 17, 27, 8),
(7, 18, 1, 1),
(7, 18, 2, 2),
(7, 18, 4, 3),
(7, 18, 5, 4),
(7, 18, 6, 5),
(7, 18, 10, 6),
(7, 18, 9, 7),
(7, 18, 27, 8),
(7, 19, 1, 1),
(7, 19, 2, 2),
(7, 19, 4, 3),
(7, 19, 5, 4),
(7, 19, 6, 5),
(7, 19, 10, 6),
(7, 19, 9, 7),
(7, 19, 27, 8),
(7, 20, 1, 1),
(7, 20, 2, 2),
(7, 20, 4, 3),
(7, 20, 5, 4),
(7, 20, 6, 5),
(7, 20, 10, 6),
(7, 20, 9, 7),
(7, 20, 27, 8),
(7, 21, 1, 1),
(7, 21, 2, 2),
(7, 21, 4, 3),
(7, 21, 5, 4),
(7, 21, 6, 5),
(7, 21, 10, 6),
(7, 21, 9, 7),
(7, 21, 27, 8),
(7, 22, 1, 1),
(7, 22, 2, 2),
(7, 22, 4, 3),
(7, 22, 5, 4),
(7, 22, 6, 5),
(7, 22, 10, 6),
(7, 22, 9, 7),
(7, 22, 27, 8),
(7, 23, 1, 1),
(7, 23, 2, 2),
(7, 23, 4, 3),
(7, 23, 5, 4),
(7, 23, 6, 5),
(7, 23, 10, 6),
(7, 23, 9, 7),
(7, 23, 27, 8),
(7, 24, 1, 1),
(7, 24, 2, 2),
(7, 24, 4, 3),
(7, 24, 5, 4),
(7, 24, 6, 5),
(7, 24, 10, 6),
(7, 24, 9, 7),
(7, 24, 27, 8),
(7, 25, 1, 1),
(7, 25, 2, 2),
(7, 25, 4, 3),
(7, 25, 5, 4),
(7, 25, 6, 5),
(7, 25, 10, 6),
(7, 25, 9, 7),
(7, 25, 27, 8),
(7, 120, 1, 1),
(7, 120, 2, 2),
(7, 120, 4, 3),
(7, 120, 5, 4),
(7, 120, 6, 5),
(7, 120, 10, 6),
(7, 120, 9, 7),
(7, 120, 27, 8)");

		// API array elements - Ads4World
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(8, 26, 1, 1),
(8, 26, 2, 2),
(8, 26, 4, 3),
(8, 26, 5, 4),
(8, 26, 6, 5),
(8, 27, 1, 1),
(8, 27, 2, 2),
(8, 27, 4, 3),
(8, 27, 5, 4),
(8, 27, 6, 5),
(8, 28, 1, 1),
(8, 28, 2, 2),
(8, 28, 4, 3),
(8, 28, 5, 4),
(8, 28, 6, 5),
(8, 29, 1, 1),
(8, 29, 2, 2),
(8, 29, 4, 3),
(8, 29, 5, 4),
(8, 29, 6, 5),
(8, 30, 1, 1),
(8, 30, 2, 2),
(8, 30, 4, 3),
(8, 30, 5, 4),
(8, 30, 6, 5),
(8, 31, 1, 1),
(8, 31, 2, 2),
(8, 31, 4, 3),
(8, 31, 5, 4),
(8, 31, 6, 5),
(8, 32, 1, 1),
(8, 32, 2, 2),
(8, 32, 4, 3),
(8, 32, 5, 4),
(8, 32, 6, 5),
(8, 33, 1, 1),
(8, 33, 2, 2),
(8, 33, 4, 3),
(8, 33, 5, 4),
(8, 33, 6, 5),
(8, 33, 10, 6),
(8, 34, 1, 1),
(8, 34, 2, 2),
(8, 34, 4, 3),
(8, 34, 5, 4),
(8, 34, 6, 5),
(8, 34, 10, 6),
(8, 34, 9, 7),
(8, 121, 1, 1),
(8, 121, 2, 2),
(8, 121, 4, 3),
(8, 121, 5, 4),
(8, 121, 6, 5)");

		// API array elements - Affiliblatt

		// API array elements - AllAds4You
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(10, 167, 1, 1),
(10, 167, 2, 2),
(10, 167, 4, 3),
(10, 167, 5, 4),
(10, 167, 6, 5),
(10, 167, 10, 6),
(10, 167, 40, 7),
(10, 168, 1, 1),
(10, 168, 2, 2),
(10, 168, 4, 3),
(10, 168, 5, 4),
(10, 168, 6, 5),
(10, 168, 10, 6),
(10, 168, 40, 7),
(10, 169, 1, 1),
(10, 169, 2, 2),
(10, 169, 4, 3),
(10, 169, 5, 4),
(10, 169, 6, 5),
(10, 169, 10, 6),
(10, 169, 40, 7),
(10, 170, 1, 1),
(10, 170, 2, 2),
(10, 170, 4, 3),
(10, 170, 5, 4),
(10, 170, 6, 5),
(10, 170, 10, 6),
(10, 170, 40, 7),
(10, 171, 1, 1),
(10, 171, 2, 2),
(10, 171, 4, 3),
(10, 171, 5, 4),
(10, 171, 6, 5),
(10, 171, 10, 6),
(10, 171, 40, 7),
(10, 172, 1, 1),
(10, 172, 2, 2),
(10, 172, 4, 3),
(10, 172, 5, 4),
(10, 172, 6, 5),
(10, 172, 10, 6),
(10, 172, 40, 7),
(10, 173, 1, 1),
(10, 173, 2, 2),
(10, 173, 4, 3),
(10, 173, 5, 4),
(10, 173, 6, 5),
(10, 173, 10, 6),
(10, 173, 40, 7),
(10, 174, 1, 1),
(10, 174, 2, 2),
(10, 174, 4, 3),
(10, 174, 5, 4),
(10, 174, 6, 5),
(10, 174, 10, 6),
(10, 174, 40, 7),
(10, 175, 1, 1),
(10, 175, 2, 2),
(10, 175, 4, 3),
(10, 175, 5, 4),
(10, 175, 6, 5),
(10, 175, 10, 6),
(10, 175, 40, 7),
(10, 176, 1, 1),
(10, 176, 2, 2),
(10, 176, 4, 3),
(10, 176, 5, 4),
(10, 176, 6, 5),
(10, 176, 10, 6),
(10, 176, 9, 7),
(10, 176, 40, 8)");

		// API array elements - Alster-Marketing
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(11, 35, 7, 1),
(11, 35, 2, 2),
(11, 35, 3, 3),
(11, 35, 4, 4),
(11, 35, 5, 5),
(11, 35, 6, 6),
(11, 35, 8, 7),
(11, 35, 10, 8),
(11, 36, 11, 1),
(11, 36, 2, 2),
(11, 36, 9, 3),
(11, 36, 4, 4),
(11, 36, 5, 5),
(11, 36, 6, 6),
(11, 37, 12, 1),
(11, 37, 2, 2),
(11, 37, 3, 3),
(11, 37, 4, 4),
(11, 37, 5, 5),
(11, 37, 6, 6),
(11, 37, 8, 7),
(11, 38, 7, 1),
(11, 38, 2, 2),
(11, 38, 3, 3),
(11, 38, 4, 4),
(11, 38, 5, 5),
(11, 38, 6, 6),
(11, 38, 10, 7),
(11, 38, 8, 8),
(11, 39, 13, 1),
(11, 39, 2, 2),
(11, 39, 4, 3),
(11, 39, 5, 4),
(11, 39, 6, 5),
(11, 39, 10, 6),
(11, 39, 9, 7),
(11, 40, 14, 1),
(11, 40, 2, 2),
(11, 40, 4, 3),
(11, 40, 5, 4),
(11, 40, 6, 5),
(11, 41, 15, 1),
(11, 41, 2, 2),
(11, 41, 4, 3),
(11, 41, 5, 4),
(11, 41, 6, 5),
(11, 41, 10, 6),
(11, 42, 16, 1),
(11, 42, 2, 2),
(11, 42, 4, 3),
(11, 42, 5, 4),
(11, 42, 6, 5),
(11, 42, 10, 6),
(11, 43, 17, 1),
(11, 43, 2, 2),
(11, 43, 6, 3),
(11, 43, 19, 4),
(11, 43, 20, 5),
(11, 43, 21, 6),
(11, 43, 22, 7),
(11, 43, 23, 8),
(11, 43, 9, 9),
(11, 43, 25, 10),
(11, 43, 5, 11),
(11, 44, 18, 1),
(11, 44, 2, 2),
(11, 44, 6, 3),
(11, 44, 19, 4),
(11, 44, 20, 5),
(11, 44, 21, 6),
(11, 44, 22, 7),
(11, 44, 23, 8),
(11, 44, 9, 9),
(11, 44, 25, 10),
(11, 45, 7, 1),
(11, 45, 2, 2),
(11, 45, 3, 3),
(11, 45, 4, 4),
(11, 45, 5, 5),
(11, 45, 6, 6),
(11, 45, 8, 7),
(11, 45, 10, 8),
(11, 46, 11, 1),
(11, 46, 2, 2),
(11, 46, 9, 3),
(11, 46, 4, 4),
(11, 46, 5, 5),
(11, 46, 6, 6),
(11, 47, 12, 1),
(11, 47, 2, 2),
(11, 47, 3, 3),
(11, 47, 4, 4),
(11, 47, 5, 5),
(11, 47, 6, 6),
(11, 47, 8, 7),
(11, 48, 13, 1),
(11, 48, 2, 2),
(11, 48, 4, 3),
(11, 48, 5, 4),
(11, 48, 6, 5),
(11, 48, 10, 6),
(11, 48, 9, 7),
(11, 49, 14, 1),
(11, 49, 2, 2),
(11, 49, 4, 3),
(11, 49, 5, 4),
(11, 49, 6, 5)");

		// API array elements - BonusSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(12, 50, 7, 1),
(12, 50, 2, 2),
(12, 50, 3, 3),
(12, 50, 4, 4),
(12, 50, 5, 5),
(12, 50, 6, 6),
(12, 50, 8, 7),
(12, 50, 10, 8),
(12, 52, 11, 1),
(12, 52, 2, 2),
(12, 52, 9, 3),
(12, 52, 4, 4),
(12, 52, 5, 5),
(12, 52, 6, 6),
(12, 54, 7, 1),
(12, 54, 2, 2),
(12, 54, 3, 3),
(12, 54, 4, 4),
(12, 54, 5, 5),
(12, 54, 6, 6),
(12, 54, 10, 7),
(12, 54, 8, 8),
(12, 55, 13, 1),
(12, 55, 2, 2),
(12, 55, 4, 3),
(12, 55, 5, 4),
(12, 55, 6, 5),
(12, 55, 10, 6),
(12, 55, 9, 7),
(12, 56, 13, 1),
(12, 56, 2, 2),
(12, 56, 4, 3),
(12, 56, 5, 4),
(12, 56, 6, 5),
(12, 56, 10, 6),
(12, 56, 9, 7),
(12, 62, 18, 1),
(12, 62, 2, 2),
(12, 62, 6, 3),
(12, 62, 19, 4),
(12, 62, 20, 5),
(12, 62, 21, 6),
(12, 62, 28, 7),
(12, 62, 29, 8),
(12, 62, 30, 9),
(12, 62, 31, 10),
(12, 62, 32, 11),
(12, 62, 33, 12),
(12, 62, 34, 13),
(12, 62, 22, 14),
(12, 62, 23, 15),
(12, 62, 24, 16),
(12, 62, 35, 17),
(12, 62, 36, 18),
(12, 62, 9, 19)");

		// API array elements - City-Ads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(24, 212, 1, 1),
(24, 212, 2, 2),
(24, 212, 4, 3),
(24, 212, 5, 4),
(24, 212, 6, 5),
(24, 212, 10, 6),
(24, 212, 9, 7),
(24, 212, 27, 8),
(24, 213, 1, 1),
(24, 213, 2, 2),
(24, 213, 4, 3),
(24, 213, 5, 4),
(24, 213, 6, 5),
(24, 213, 10, 6),
(24, 213, 9, 7),
(24, 213, 27, 8),
(24, 214, 1, 1),
(24, 214, 2, 2),
(24, 214, 4, 3),
(24, 214, 5, 4),
(24, 214, 6, 5),
(24, 214, 10, 6),
(24, 214, 9, 7),
(24, 214, 27, 8),
(24, 215, 1, 1),
(24, 215, 2, 2),
(24, 215, 4, 3),
(24, 215, 5, 4),
(24, 215, 6, 5),
(24, 215, 10, 6),
(24, 215, 9, 7),
(24, 215, 27, 8),
(24, 216, 1, 1),
(24, 216, 2, 2),
(24, 216, 4, 3),
(24, 216, 5, 4),
(24, 216, 6, 5),
(24, 216, 10, 6),
(24, 216, 9, 7),
(24, 216, 27, 8),
(24, 217, 1, 1),
(24, 217, 2, 2),
(24, 217, 4, 3),
(24, 217, 5, 4),
(24, 217, 6, 5),
(24, 217, 10, 6),
(24, 217, 9, 7),
(24, 217, 27, 8),
(24, 218, 1, 1),
(24, 218, 2, 2),
(24, 218, 4, 3),
(24, 218, 5, 4),
(24, 218, 6, 5),
(24, 218, 10, 6),
(24, 218, 9, 7),
(24, 218, 27, 8),
(24, 219, 1, 1),
(24, 219, 2, 2),
(24, 219, 4, 3),
(24, 219, 5, 4),
(24, 219, 6, 5),
(24, 219, 10, 6),
(24, 219, 9, 7),
(24, 219, 27, 8),
(24, 220, 1, 1),
(24, 220, 2, 2),
(24, 220, 4, 3),
(24, 220, 5, 4),
(24, 220, 6, 5),
(24, 220, 10, 6),
(24, 220, 9, 7),
(24, 220, 27, 8),
(24, 221, 1, 1),
(24, 221, 2, 2),
(24, 221, 4, 3),
(24, 221, 5, 4),
(24, 221, 6, 5),
(24, 221, 10, 6),
(24, 221, 9, 7),
(24, 221, 27, 8)");

		// API array elements - doubleads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(26, 232, 1, 1),
(26, 232, 2, 2),
(26, 232, 3, 3),
(26, 232, 4, 4),
(26, 232, 5, 5),
(26, 232, 6, 6),
(26, 232, 8, 7),
(26, 232, 10, 8),
(26, 233, 1, 1),
(26, 233, 2, 2),
(26, 233, 3, 3),
(26, 233, 4, 4),
(26, 233, 5, 5),
(26, 233, 6, 6),
(26, 233, 8, 7),
(26, 233, 10, 8),
(26, 234, 1, 1),
(26, 234, 2, 2),
(26, 234, 9, 3),
(26, 234, 4, 4),
(26, 234, 5, 5),
(26, 234, 6, 6),
(26, 235, 1, 1),
(26, 235, 2, 2),
(26, 235, 9, 3),
(26, 235, 4, 4),
(26, 235, 5, 5),
(26, 235, 6, 6),
(26, 236, 1, 1),
(26, 236, 2, 2),
(26, 236, 3, 3),
(26, 236, 4, 4),
(26, 236, 5, 5),
(26, 236, 6, 6),
(26, 236, 8, 7),
(26, 237, 1, 1),
(26, 237, 2, 2),
(26, 237, 3, 3),
(26, 237, 4, 4),
(26, 237, 5, 5),
(26, 237, 6, 6),
(26, 237, 8, 7),
(26, 238, 1, 1),
(26, 238, 2, 2),
(26, 238, 3, 3),
(26, 238, 4, 4),
(26, 238, 5, 5),
(26, 238, 6, 6),
(26, 238, 10, 7),
(26, 238, 8, 8),
(26, 239, 1, 1),
(26, 239, 2, 2),
(26, 239, 4, 3),
(26, 239, 5, 4),
(26, 239, 6, 5),
(26, 239, 10, 6),
(26, 239, 9, 7),
(26, 240, 1, 1),
(26, 240, 2, 2),
(26, 240, 4, 3),
(26, 240, 5, 4),
(26, 240, 6, 5),
(26, 240, 10, 6),
(26, 240, 9, 7),
(26, 241, 1, 1),
(26, 241, 2, 2),
(26, 241, 4, 3),
(26, 241, 5, 4),
(26, 241, 6, 5),
(26, 242, 1, 1),
(26, 242, 2, 2),
(26, 242, 4, 3),
(26, 242, 5, 4),
(26, 242, 6, 5),
(26, 243, 1, 1),
(26, 243, 2, 2),
(26, 243, 4, 3),
(26, 243, 5, 4),
(26, 243, 6, 5),
(26, 243, 10, 6),
(26, 244, 1, 1),
(26, 244, 2, 2),
(26, 244, 4, 3),
(26, 244, 5, 4),
(26, 244, 6, 5),
(26, 244, 10, 6),
(26, 245, 1, 1),
(26, 245, 2, 2),
(26, 245, 6, 3),
(26, 245, 19, 4),
(26, 245, 20, 5),
(26, 245, 21, 6),
(26, 245, 22, 7),
(26, 245, 23, 8),
(26, 245, 9, 9),
(26, 245, 25, 10),
(26, 245, 5, 11),
(26, 246, 1, 1),
(26, 246, 2, 2),
(26, 246, 6, 3),
(26, 246, 19, 4),
(26, 246, 20, 5),
(26, 246, 21, 6),
(26, 246, 22, 7),
(26, 246, 23, 8),
(26, 246, 9, 9),
(26, 246, 25, 10)");

		// API array elements - FuCoExSponsor.net
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(29, 273, 7, 1),
(29, 273, 2, 2),
(29, 273, 5, 3),
(29, 273, 4, 4),
(29, 273, 6, 5),
(29, 274, 7, 1),
(29, 274, 2, 2),
(29, 274, 5, 3),
(29, 274, 4, 4),
(29, 274, 6, 5),
(29, 275, 7, 1),
(29, 275, 2, 2),
(29, 275, 5, 3),
(29, 275, 4, 4),
(29, 275, 6, 5),
(29, 276, 7, 1),
(29, 276, 2, 2),
(29, 276, 5, 3),
(29, 276, 4, 4),
(29, 276, 6, 5),
(29, 277, 7, 1),
(29, 277, 2, 2),
(29, 277, 5, 3),
(29, 277, 4, 4),
(29, 277, 6, 5),
(29, 277, 10, 6),
(29, 278, 11, 1),
(29, 278, 2, 2),
(29, 278, 5, 3),
(29, 278, 4, 4),
(29, 278, 6, 5),
(29, 278, 10, 6),
(29, 278, 9, 7),
(29, 279, 13, 1),
(29, 279, 2, 2),
(29, 279, 5, 3),
(29, 279, 4, 4),
(29, 279, 6, 5),
(29, 279, 10, 6),
(29, 279, 37, 7),
(29, 279, 9, 8),
(29, 280, 14, 1),
(29, 280, 2, 2),
(29, 280, 5, 3),
(29, 280, 4, 4),
(29, 280, 6, 5),
(29, 281, 13, 1),
(29, 281, 2, 2),
(29, 281, 5, 3),
(29, 281, 4, 4),
(29, 281, 6, 5),
(29, 281, 10, 6),
(29, 281, 37, 7),
(29, 281, 9, 8),
(29, 282, 15, 1),
(29, 282, 2, 2),
(29, 282, 5, 3),
(29, 282, 4, 4),
(29, 282, 6, 5),
(29, 282, 10, 6),
(29, 283, 7, 1),
(29, 283, 2, 2),
(29, 283, 5, 3),
(29, 283, 4, 4),
(29, 283, 6, 5),
(29, 284, 7, 1),
(29, 284, 2, 2),
(29, 284, 5, 3),
(29, 284, 4, 4),
(29, 284, 6, 5),
(29, 285, 12, 1),
(29, 285, 2, 2),
(29, 285, 5, 3),
(29, 285, 4, 4),
(29, 285, 6, 5),
(29, 286, 12, 1),
(29, 286, 2, 2),
(29, 286, 5, 3),
(29, 286, 4, 4),
(29, 286, 6, 5),
(29, 287, 11, 1),
(29, 287, 2, 2),
(29, 287, 5, 3),
(29, 287, 4, 4),
(29, 287, 6, 5),
(29, 287, 9, 6),
(29, 288, 11, 1),
(29, 288, 2, 2),
(29, 288, 5, 3),
(29, 288, 4, 4),
(29, 288, 6, 5),
(29, 288, 9, 6),
(29, 289, 26, 1),
(29, 289, 2, 2),
(29, 289, 5, 3),
(29, 289, 4, 4),
(29, 289, 6, 5),
(29, 289, 10, 6)");

		// API array elements - Fusion-Ads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(13, 290, 1, 1),
(13, 290, 2, 2),
(13, 290, 6, 3),
(13, 290, 4, 4),
(13, 290, 5, 5),
(13, 290, 39, 6),
(13, 290, 38, 7),
(13, 290, 10, 8),
(13, 291, 1, 1),
(13, 291, 2, 2),
(13, 291, 6, 3),
(13, 291, 4, 4),
(13, 291, 5, 5),
(13, 291, 38, 6),
(13, 291, 9, 7),
(13, 291, 10, 8)");

		// API array elements - GigaPromo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(14, 102, 7, 1),
(14, 102, 2, 2),
(14, 102, 4, 3),
(14, 102, 5, 4),
(14, 102, 6, 5),
(14, 103, 14, 1),
(14, 103, 2, 2),
(14, 103, 4, 3),
(14, 103, 5, 4),
(14, 103, 6, 5),
(14, 104, 7, 1),
(14, 104, 2, 2),
(14, 104, 4, 3),
(14, 104, 5, 4),
(14, 104, 6, 5),
(14, 104, 10, 6),
(14, 105, 11, 1),
(14, 105, 2, 2),
(14, 105, 4, 3),
(14, 105, 5, 4),
(14, 105, 6, 5),
(14, 105, 10, 6),
(14, 105, 9, 7),
(14, 106, 13, 1),
(14, 106, 2, 2),
(14, 106, 5, 3),
(14, 106, 6, 4),
(14, 106, 10, 5),
(14, 106, 37, 6),
(14, 106, 9, 7),
(14, 107, 15, 1),
(14, 107, 2, 2),
(14, 107, 4, 3),
(14, 107, 5, 4),
(14, 107, 6, 5),
(14, 107, 10, 6),
(14, 108, 16, 1),
(14, 108, 2, 2),
(14, 108, 4, 3),
(14, 108, 5, 4),
(14, 108, 6, 5),
(14, 108, 10, 6),
(14, 122, 26, 1),
(14, 122, 2, 2),
(14, 122, 4, 3),
(14, 122, 5, 4),
(14, 122, 6, 5)");

		// API array elements - Gold-Sponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(25, 222, 1, 1),
(25, 222, 2, 2),
(25, 222, 4, 3),
(25, 222, 5, 4),
(25, 222, 6, 5),
(25, 223, 1, 1),
(25, 223, 2, 2),
(25, 223, 4, 3),
(25, 223, 5, 4),
(25, 223, 6, 5),
(25, 224, 1, 1),
(25, 224, 2, 2),
(25, 224, 4, 3),
(25, 224, 5, 4),
(25, 224, 6, 5),
(25, 225, 1, 1),
(25, 225, 2, 2),
(25, 225, 4, 3),
(25, 225, 5, 4),
(25, 225, 6, 5),
(25, 226, 1, 1),
(25, 226, 2, 2),
(25, 226, 4, 3),
(25, 226, 5, 4),
(25, 226, 6, 5),
(25, 227, 1, 1),
(25, 227, 2, 2),
(25, 227, 4, 3),
(25, 227, 5, 4),
(25, 227, 6, 5),
(25, 228, 1, 1),
(25, 228, 2, 2),
(25, 228, 4, 3),
(25, 228, 5, 4),
(25, 228, 6, 5),
(25, 229, 1, 1),
(25, 229, 2, 2),
(25, 229, 4, 3),
(25, 229, 5, 4),
(25, 229, 6, 5),
(25, 230, 1, 1),
(25, 230, 2, 2),
(25, 230, 4, 3),
(25, 230, 5, 4),
(25, 230, 6, 5),
(25, 230, 10, 6),
(25, 231, 1, 1),
(25, 231, 2, 2),
(25, 231, 4, 3),
(25, 231, 5, 4),
(25, 231, 6, 5),
(25, 231, 10, 6),
(25, 231, 9, 7)");

		// API array elements - homeADS
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(28, 260, 1, 1),
(28, 260, 2, 2),
(28, 260, 3, 3),
(28, 260, 4, 4),
(28, 260, 5, 5),
(28, 260, 6, 6),
(28, 260, 8, 7),
(28, 260, 10, 8),
(28, 261, 1, 1),
(28, 261, 2, 2),
(28, 261, 3, 3),
(28, 261, 4, 4),
(28, 261, 5, 5),
(28, 261, 6, 6),
(28, 261, 8, 7),
(28, 261, 10, 8),
(28, 262, 1, 1),
(28, 262, 2, 2),
(28, 262, 9, 3),
(28, 262, 4, 4),
(28, 262, 5, 5),
(28, 262, 6, 6),
(28, 263, 1, 1),
(28, 263, 2, 2),
(28, 263, 9, 3),
(28, 263, 4, 4),
(28, 263, 5, 5),
(28, 263, 6, 6),
(28, 264, 1, 1),
(28, 264, 2, 2),
(28, 264, 3, 3),
(28, 264, 4, 4),
(28, 264, 5, 5),
(28, 264, 6, 6),
(28, 264, 10, 7),
(28, 264, 8, 8),
(28, 265, 1, 1),
(28, 265, 2, 2),
(28, 265, 4, 3),
(28, 265, 5, 4),
(28, 265, 6, 5),
(28, 265, 10, 6),
(28, 265, 9, 7),
(28, 266, 1, 1),
(28, 266, 2, 2),
(28, 266, 4, 3),
(28, 266, 5, 4),
(28, 266, 6, 5),
(28, 266, 10, 6),
(28, 266, 9, 7),
(28, 267, 1, 1),
(28, 267, 2, 2),
(28, 267, 4, 3),
(28, 267, 5, 4),
(28, 267, 6, 5),
(28, 268, 1, 1),
(28, 268, 2, 2),
(28, 268, 4, 3),
(28, 268, 5, 4),
(28, 268, 6, 5),
(28, 269, 1, 1),
(28, 269, 2, 2),
(28, 269, 4, 3),
(28, 269, 5, 4),
(28, 269, 6, 5),
(28, 269, 10, 6),
(28, 270, 1, 1),
(28, 270, 2, 2),
(28, 270, 4, 3),
(28, 270, 5, 4),
(28, 270, 6, 5),
(28, 270, 10, 6),
(28, 271, 1, 1),
(28, 271, 2, 2),
(28, 271, 6, 3),
(28, 271, 19, 4),
(28, 271, 20, 5),
(28, 271, 21, 6),
(28, 271, 22, 7),
(28, 271, 23, 8),
(28, 271, 9, 9),
(28, 271, 25, 10),
(28, 271, 5, 11),
(28, 272, 1, 1),
(28, 272, 2, 2),
(28, 272, 19, 3),
(28, 272, 20, 4),
(28, 272, 21, 5),
(28, 272, 22, 6),
(28, 272, 23, 7),
(28, 272, 9, 8),
(28, 272, 25, 9),
(28, 272, 5, 10)");

		// API array elements - HPSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(15, 135, 1, 1),
(15, 135, 2, 2),
(15, 135, 4, 3),
(15, 135, 5, 4),
(15, 135, 6, 5),
(15, 135, 10, 6),
(15, 135, 9, 7),
(15, 135, 27, 8),
(15, 136, 1, 1),
(15, 136, 2, 2),
(15, 136, 4, 3),
(15, 136, 5, 4),
(15, 136, 6, 5),
(15, 136, 10, 6),
(15, 136, 9, 7),
(15, 136, 27, 8),
(15, 137, 1, 1),
(15, 137, 2, 2),
(15, 137, 4, 3),
(15, 137, 5, 4),
(15, 137, 6, 5),
(15, 137, 10, 6),
(15, 137, 9, 7),
(15, 137, 27, 8),
(15, 138, 1, 1),
(15, 138, 2, 2),
(15, 138, 4, 3),
(15, 138, 5, 4),
(15, 138, 6, 5),
(15, 138, 10, 6),
(15, 138, 9, 7),
(15, 138, 27, 8),
(15, 139, 1, 1),
(15, 139, 2, 2),
(15, 139, 4, 3),
(15, 139, 5, 4),
(15, 139, 6, 5),
(15, 139, 10, 6),
(15, 139, 9, 7),
(15, 139, 27, 8),
(15, 140, 1, 1),
(15, 140, 2, 2),
(15, 140, 4, 3),
(15, 140, 5, 4),
(15, 140, 6, 5),
(15, 140, 10, 6),
(15, 140, 9, 7),
(15, 140, 27, 8),
(15, 141, 1, 1),
(15, 141, 2, 2),
(15, 141, 4, 3),
(15, 141, 5, 4),
(15, 141, 6, 5),
(15, 141, 10, 6),
(15, 141, 9, 7),
(15, 141, 27, 8),
(15, 142, 1, 1),
(15, 142, 2, 2),
(15, 142, 4, 3),
(15, 142, 5, 4),
(15, 142, 6, 5),
(15, 142, 10, 6),
(15, 142, 9, 7),
(15, 142, 27, 8),
(15, 143, 1, 1),
(15, 143, 2, 2),
(15, 143, 4, 3),
(15, 143, 5, 4),
(15, 143, 6, 5),
(15, 143, 10, 6),
(15, 143, 9, 7),
(15, 143, 27, 8),
(15, 144, 1, 1),
(15, 144, 2, 2),
(15, 144, 4, 3),
(15, 144, 5, 4),
(15, 144, 6, 5),
(15, 144, 10, 6),
(15, 144, 9, 7),
(15, 144, 27, 8)");

		// API array elements - Make-Euros.de
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(16, 63, 7, 1),
(16, 63, 2, 2),
(16, 63, 3, 3),
(16, 63, 4, 4),
(16, 63, 5, 5),
(16, 63, 6, 6),
(16, 63, 8, 7),
(16, 63, 10, 8),
(16, 64, 7, 1),
(16, 64, 2, 2),
(16, 64, 3, 3),
(16, 64, 4, 4),
(16, 64, 5, 5),
(16, 64, 6, 6),
(16, 64, 8, 7),
(16, 64, 10, 8),
(16, 65, 11, 1),
(16, 65, 2, 2),
(16, 65, 9, 3),
(16, 65, 4, 4),
(16, 65, 5, 5),
(16, 65, 6, 6),
(16, 66, 11, 1),
(16, 66, 2, 2),
(16, 66, 9, 3),
(16, 66, 4, 4),
(16, 66, 5, 5),
(16, 66, 6, 6),
(16, 67, 12, 1),
(16, 67, 2, 2),
(16, 67, 3, 3),
(16, 67, 4, 4),
(16, 67, 5, 5),
(16, 67, 6, 6),
(16, 67, 8, 7),
(16, 68, 7, 1),
(16, 68, 2, 2),
(16, 68, 3, 3),
(16, 68, 4, 4),
(16, 68, 5, 5),
(16, 68, 6, 6),
(16, 68, 10, 7),
(16, 68, 8, 8),
(16, 69, 12, 1),
(16, 69, 2, 2),
(16, 69, 3, 3),
(16, 69, 4, 4),
(16, 69, 5, 5),
(16, 69, 6, 6),
(16, 69, 8, 7),
(16, 70, 13, 1),
(16, 70, 2, 2),
(16, 70, 4, 3),
(16, 70, 5, 4),
(16, 70, 6, 5),
(16, 70, 10, 6),
(16, 70, 9, 7),
(16, 71, 13, 1),
(16, 71, 2, 2),
(16, 71, 4, 3),
(16, 71, 5, 4),
(16, 71, 6, 5),
(16, 71, 10, 6),
(16, 71, 9, 7),
(16, 72, 14, 1),
(16, 72, 2, 2),
(16, 72, 4, 3),
(16, 72, 5, 4),
(16, 72, 6, 5),
(16, 73, 14, 1),
(16, 73, 2, 2),
(16, 73, 4, 3),
(16, 73, 5, 4),
(16, 73, 6, 5),
(16, 74, 15, 1),
(16, 74, 2, 2),
(16, 74, 4, 3),
(16, 74, 5, 4),
(16, 74, 6, 5),
(16, 74, 10, 6),
(16, 75, 16, 1),
(16, 75, 2, 2),
(16, 75, 4, 3),
(16, 75, 5, 4),
(16, 75, 6, 5),
(16, 75, 10, 6),
(16, 76, 17, 1),
(16, 76, 2, 2),
(16, 76, 6, 3),
(16, 76, 19, 4),
(16, 76, 20, 5),
(16, 76, 21, 6),
(16, 76, 22, 7),
(16, 76, 23, 8),
(16, 76, 9, 9)");

		// API array elements - Mega-Ad
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(17, 109, 1, 1),
(17, 109, 2, 2),
(17, 109, 4, 3),
(17, 109, 5, 4),
(17, 109, 6, 5),
(17, 110, 1, 1),
(17, 110, 2, 2),
(17, 110, 4, 3),
(17, 110, 5, 4),
(17, 110, 6, 5),
(17, 111, 1, 1),
(17, 111, 2, 2),
(17, 111, 4, 3),
(17, 111, 5, 4),
(17, 111, 6, 5),
(17, 112, 1, 1),
(17, 112, 2, 2),
(17, 112, 4, 3),
(17, 112, 5, 4),
(17, 112, 6, 5),
(17, 113, 1, 1),
(17, 113, 2, 2),
(17, 113, 4, 3),
(17, 113, 5, 4),
(17, 113, 6, 5),
(17, 114, 1, 1),
(17, 114, 2, 2),
(17, 114, 4, 3),
(17, 114, 5, 4),
(17, 114, 6, 5),
(17, 115, 1, 1),
(17, 115, 2, 2),
(17, 115, 4, 3),
(17, 115, 5, 4),
(17, 115, 6, 5),
(17, 116, 1, 1),
(17, 116, 2, 2),
(17, 116, 4, 3),
(17, 116, 5, 4),
(17, 116, 6, 5),
(17, 116, 10, 6),
(17, 117, 1, 1),
(17, 117, 2, 2),
(17, 117, 4, 3),
(17, 117, 5, 4),
(17, 117, 6, 5),
(17, 117, 10, 6),
(17, 117, 9, 7),
(17, 123, 1, 1),
(17, 123, 2, 2),
(17, 123, 4, 3),
(17, 123, 5, 4),
(17, 123, 6, 5)");

		// API array elements - Power-Promo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(18, 78, 7, 1),
(18, 78, 2, 2),
(18, 78, 3, 3),
(18, 78, 4, 4),
(18, 78, 5, 5),
(18, 78, 6, 6),
(18, 78, 8, 7),
(18, 78, 10, 8),
(18, 79, 7, 1),
(18, 79, 2, 2),
(18, 79, 3, 3),
(18, 79, 4, 4),
(18, 79, 5, 5),
(18, 79, 6, 6),
(18, 79, 8, 7),
(18, 79, 10, 8),
(18, 80, 11, 1),
(18, 80, 2, 2),
(18, 80, 9, 3),
(18, 80, 4, 4),
(18, 80, 5, 5),
(18, 80, 6, 6),
(18, 81, 11, 1),
(18, 81, 2, 2),
(18, 81, 9, 3),
(18, 81, 4, 4),
(18, 81, 5, 5),
(18, 81, 6, 6),
(18, 82, 12, 1),
(18, 82, 2, 2),
(18, 82, 3, 3),
(18, 82, 4, 4),
(18, 82, 5, 5),
(18, 82, 6, 6),
(18, 82, 8, 7),
(18, 83, 12, 1),
(18, 83, 2, 2),
(18, 83, 3, 3),
(18, 83, 4, 4),
(18, 83, 5, 5),
(18, 83, 6, 6),
(18, 83, 8, 7),
(18, 84, 7, 1),
(18, 84, 2, 2),
(18, 84, 3, 3),
(18, 84, 4, 4),
(18, 84, 5, 5),
(18, 84, 6, 6),
(18, 84, 10, 7),
(18, 84, 8, 8),
(18, 85, 13, 1),
(18, 85, 2, 2),
(18, 85, 4, 3),
(18, 85, 5, 4),
(18, 85, 6, 5),
(18, 85, 10, 6),
(18, 85, 9, 7),
(18, 86, 13, 1),
(18, 86, 2, 2),
(18, 86, 4, 3),
(18, 86, 5, 4),
(18, 86, 6, 5),
(18, 86, 10, 6),
(18, 86, 9, 7),
(18, 87, 14, 1),
(18, 87, 2, 2),
(18, 87, 4, 3),
(18, 87, 5, 4),
(18, 87, 6, 5),
(18, 88, 14, 1),
(18, 88, 2, 2),
(18, 88, 4, 3),
(18, 88, 5, 4),
(18, 88, 6, 5),
(18, 89, 15, 1),
(18, 89, 2, 2),
(18, 89, 4, 3),
(18, 89, 5, 4),
(18, 89, 6, 5),
(18, 89, 10, 6),
(18, 90, 16, 1),
(18, 90, 2, 2),
(18, 90, 4, 3),
(18, 90, 5, 4),
(18, 90, 6, 5),
(18, 90, 10, 6),
(18, 91, 17, 1),
(18, 91, 2, 2),
(18, 91, 6, 3),
(18, 91, 19, 4),
(18, 91, 20, 5),
(18, 91, 21, 6),
(18, 91, 22, 7),
(18, 91, 23, 8),
(18, 91, 9, 9),
(18, 91, 25, 10),
(18, 91, 5, 11),
(18, 92, 18, 1),
(18, 92, 2, 2),
(18, 92, 6, 3),
(18, 92, 19, 4),
(18, 92, 20, 5),
(18, 92, 21, 6),
(18, 92, 22, 7),
(18, 92, 23, 8),
(18, 92, 9, 9),
(18, 92, 25, 10)");

		// API array elements - SeCash
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(19, 93, 1, 1),
(19, 93, 2, 2),
(19, 93, 4, 3),
(19, 93, 5, 4),
(19, 93, 6, 5),
(19, 94, 1, 1),
(19, 94, 2, 2),
(19, 94, 4, 3),
(19, 94, 5, 4),
(19, 94, 6, 5),
(19, 95, 1, 1),
(19, 95, 2, 2),
(19, 95, 4, 3),
(19, 95, 5, 4),
(19, 95, 6, 5),
(19, 96, 1, 1),
(19, 96, 2, 2),
(19, 96, 4, 3),
(19, 96, 5, 4),
(19, 96, 6, 5),
(19, 97, 1, 1),
(19, 97, 2, 2),
(19, 97, 4, 3),
(19, 97, 5, 4),
(19, 97, 6, 5),
(19, 98, 1, 1),
(19, 98, 2, 2),
(19, 98, 4, 3),
(19, 98, 5, 4),
(19, 98, 6, 5),
(19, 99, 1, 1),
(19, 99, 2, 2),
(19, 99, 4, 3),
(19, 99, 5, 4),
(19, 99, 6, 5),
(19, 100, 1, 1),
(19, 100, 2, 2),
(19, 100, 4, 3),
(19, 100, 5, 4),
(19, 100, 6, 5),
(19, 100, 10, 6),
(19, 101, 1, 1),
(19, 101, 2, 2),
(19, 101, 4, 3),
(19, 101, 5, 4),
(19, 101, 6, 5),
(19, 101, 10, 6),
(19, 101, 9, 7),
(19, 124, 1, 1),
(19, 124, 2, 2),
(19, 124, 4, 3),
(19, 124, 5, 4),
(19, 124, 6, 5)");

		// API array elements - WeltPromotion
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(20, 200, 6, 5),
(20, 202, 1, 1),
(20, 202, 2, 2),
(20, 202, 4, 3),
(20, 202, 5, 4),
(20, 202, 6, 5),
(20, 202, 10, 6),
(20, 202, 9, 7),
(20, 202, 27, 8),
(20, 203, 1, 1),
(20, 203, 2, 2),
(20, 203, 4, 3),
(20, 203, 5, 4),
(20, 203, 6, 5),
(20, 203, 10, 6),
(20, 203, 9, 7),
(20, 203, 27, 8),
(20, 204, 1, 1),
(20, 204, 2, 2),
(20, 204, 4, 3),
(20, 204, 5, 4),
(20, 204, 6, 5),
(20, 204, 10, 6),
(20, 204, 9, 7),
(20, 204, 27, 8),
(20, 205, 1, 1),
(20, 205, 2, 2),
(20, 205, 4, 3),
(20, 205, 5, 4),
(20, 205, 6, 5),
(20, 205, 10, 6),
(20, 205, 9, 7),
(20, 205, 27, 8),
(20, 206, 1, 1),
(20, 206, 2, 2),
(20, 206, 4, 3),
(20, 206, 5, 4),
(20, 206, 10, 6),
(20, 206, 9, 7),
(20, 206, 27, 8),
(20, 207, 1, 1),
(20, 207, 2, 2),
(20, 207, 4, 3),
(20, 207, 5, 4),
(20, 207, 6, 5),
(20, 207, 10, 6),
(20, 207, 9, 7),
(20, 207, 27, 8),
(20, 208, 1, 1),
(20, 208, 2, 2),
(20, 208, 4, 3),
(20, 208, 5, 4),
(20, 208, 6, 5),
(20, 208, 10, 6),
(20, 208, 9, 7),
(20, 208, 27, 8),
(20, 209, 1, 1),
(20, 209, 2, 2),
(20, 209, 4, 3),
(20, 209, 5, 4),
(20, 209, 6, 5),
(20, 209, 10, 6),
(20, 209, 9, 7),
(20, 209, 27, 8),
(20, 210, 1, 1),
(20, 210, 2, 2),
(20, 210, 4, 3),
(20, 210, 5, 4),
(20, 210, 6, 5),
(20, 210, 10, 6),
(20, 210, 9, 7),
(20, 210, 27, 8),
(20, 211, 1, 1),
(20, 211, 2, 2),
(20, 211, 4, 3),
(20, 211, 5, 4),
(20, 211, 6, 5),
(20, 211, 10, 6),
(20, 211, 9, 7),
(20, 211, 27, 8)");

		// API array elements - UltraPOMO
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(21, 125, 1, 1),
(21, 125, 2, 2),
(21, 125, 4, 3),
(21, 125, 5, 4),
(21, 125, 6, 5),
(21, 126, 1, 1),
(21, 126, 2, 2),
(21, 126, 4, 3),
(21, 126, 5, 4),
(21, 126, 6, 5),
(21, 127, 1, 1),
(21, 127, 2, 2),
(21, 127, 4, 3),
(21, 127, 5, 4),
(21, 127, 6, 5),
(21, 128, 1, 1),
(21, 128, 2, 2),
(21, 128, 4, 3),
(21, 128, 5, 4),
(21, 128, 6, 5),
(21, 129, 1, 1),
(21, 129, 2, 2),
(21, 129, 4, 3),
(21, 129, 5, 4),
(21, 129, 6, 5),
(21, 130, 1, 1),
(21, 130, 2, 2),
(21, 130, 4, 3),
(21, 130, 5, 4),
(21, 130, 6, 5),
(21, 130, 10, 6),
(21, 131, 1, 1),
(21, 131, 2, 2),
(21, 131, 4, 3),
(21, 131, 5, 4),
(21, 131, 6, 5),
(21, 132, 1, 1),
(21, 132, 2, 2),
(21, 132, 4, 3),
(21, 132, 5, 4),
(21, 132, 6, 5),
(21, 133, 1, 1),
(21, 133, 2, 2),
(21, 133, 4, 3),
(21, 133, 5, 4),
(21, 133, 6, 5),
(21, 133, 10, 6),
(21, 133, 9, 7),
(21, 134, 1, 1),
(21, 134, 2, 2),
(21, 134, 4, 3),
(21, 134, 5, 4),
(21, 134, 6, 5)");

		// API array elements - VIPads
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(27, 247, 7, 1),
(27, 247, 2, 2),
(27, 247, 5, 3),
(27, 247, 4, 4),
(27, 247, 6, 5),
(27, 248, 7, 1),
(27, 248, 2, 2),
(27, 248, 5, 3),
(27, 248, 4, 4),
(27, 248, 6, 5),
(27, 249, 7, 1),
(27, 249, 2, 2),
(27, 249, 5, 3),
(27, 249, 4, 4),
(27, 249, 6, 5),
(27, 250, 7, 1),
(27, 250, 2, 2),
(27, 250, 5, 3),
(27, 250, 4, 4),
(27, 250, 6, 5),
(27, 251, 7, 1),
(27, 251, 2, 2),
(27, 251, 5, 3),
(27, 251, 4, 4),
(27, 251, 6, 5),
(27, 251, 10, 6),
(27, 252, 13, 1),
(27, 252, 2, 2),
(27, 252, 5, 3),
(27, 252, 4, 4),
(27, 252, 6, 5),
(27, 252, 10, 6),
(27, 252, 37, 7),
(27, 252, 9, 8),
(27, 253, 14, 1),
(27, 253, 2, 2),
(27, 253, 5, 3),
(27, 253, 4, 4),
(27, 253, 6, 5),
(27, 254, 13, 1),
(27, 254, 2, 2),
(27, 254, 5, 3),
(27, 254, 4, 4),
(27, 254, 6, 5),
(27, 254, 10, 6),
(27, 254, 37, 7),
(27, 254, 9, 8),
(27, 255, 15, 1),
(27, 255, 2, 2),
(27, 255, 5, 3),
(27, 255, 4, 4),
(27, 255, 6, 5),
(27, 255, 10, 6),
(27, 256, 7, 1),
(27, 256, 2, 2),
(27, 256, 5, 3),
(27, 256, 4, 4),
(27, 256, 6, 5),
(27, 257, 7, 1),
(27, 257, 2, 2),
(27, 257, 5, 3),
(27, 257, 4, 4),
(27, 257, 6, 5),
(27, 258, 11, 1),
(27, 258, 2, 2),
(27, 258, 5, 3),
(27, 258, 4, 4),
(27, 258, 6, 5),
(27, 258, 9, 6),
(27, 259, 26, 1),
(27, 259, 2, 2),
(27, 259, 5, 3),
(27, 259, 4, 4),
(27, 259, 6, 5),
(27, 259, 10, 6)");

		// API array elements - Der Werbepartner.cc
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(22, 145, 1, 1),
(22, 145, 2, 2),
(22, 145, 6, 3),
(22, 145, 4, 4),
(22, 145, 5, 5),
(22, 145, 38, 6),
(22, 145, 9, 7),
(22, 145, 10, 8),
(22, 146, 1, 1),
(22, 146, 2, 2),
(22, 146, 6, 3),
(22, 146, 4, 4),
(22, 146, 5, 5),
(22, 146, 39, 6),
(22, 146, 38, 7),
(22, 146, 10, 8),
(22, 147, 1, 1),
(22, 147, 2, 2),
(22, 147, 6, 3),
(22, 147, 4, 4),
(22, 147, 5, 5),
(22, 147, 38, 6),
(22, 147, 9, 7),
(22, 147, 10, 8),
(22, 148, 1, 1),
(22, 148, 2, 2),
(22, 148, 6, 3),
(22, 148, 4, 4),
(22, 148, 5, 5),
(22, 148, 38, 6),
(22, 148, 10, 7),
(22, 149, 1, 1),
(22, 149, 2, 2),
(22, 149, 6, 3),
(22, 149, 4, 4),
(22, 149, 5, 5),
(22, 149, 38, 6),
(22, 150, 1, 1),
(22, 150, 2, 2),
(22, 150, 6, 3),
(22, 150, 4, 4),
(22, 150, 5, 5),
(22, 150, 38, 6),
(22, 150, 10, 7),
(22, 151, 1, 1),
(22, 151, 2, 2),
(22, 151, 6, 3),
(22, 151, 4, 4),
(22, 151, 5, 5),
(22, 151, 38, 6),
(22, 152, 1, 1),
(22, 152, 2, 2),
(22, 152, 6, 3),
(22, 152, 4, 4),
(22, 152, 5, 5),
(22, 152, 38, 6),
(22, 153, 1, 1),
(22, 153, 2, 2),
(22, 153, 6, 3),
(22, 153, 4, 4),
(22, 153, 5, 5),
(22, 153, 38, 6),
(22, 153, 10, 7),
(22, 154, 1, 1),
(22, 154, 2, 2),
(22, 154, 6, 3),
(22, 154, 4, 4),
(22, 154, 5, 5),
(22, 154, 38, 6),
(22, 154, 10, 7),
(22, 155, 1, 1),
(22, 155, 2, 2),
(22, 155, 6, 3),
(22, 155, 4, 4),
(22, 155, 5, 5),
(22, 155, 38, 6),
(22, 155, 10, 7)");

		// API array elements - Yoo!Media
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`,`network_type_id`,`network_array_index`,`sort`) VALUES
(23, 156, 1, 1),
(23, 156, 2, 2),
(23, 156, 3, 3),
(23, 156, 4, 4),
(23, 156, 5, 5),
(23, 156, 6, 6),
(23, 156, 7, 7),
(23, 156, 8, 8),
(23, 157, 1, 1),
(23, 157, 2, 2),
(23, 157, 4, 3),
(23, 157, 5, 4),
(23, 157, 6, 5),
(23, 157, 9, 6),
(23, 158, 1, 1),
(23, 158, 2, 2),
(23, 158, 3, 3),
(23, 158, 4, 4),
(23, 158, 5, 5),
(23, 158, 6, 6),
(23, 158, 7, 7),
(23, 158, 8, 8),
(23, 159, 1, 1),
(23, 159, 2, 2),
(23, 159, 3, 3),
(23, 159, 4, 4),
(23, 159, 5, 5),
(23, 159, 6, 6),
(23, 159, 10, 7),
(23, 159, 7, 8),
(23, 159, 8, 9),
(23, 160, 1, 1),
(23, 160, 2, 2),
(23, 160, 4, 3),
(23, 160, 5, 4),
(23, 160, 6, 5),
(23, 161, 1, 1),
(23, 161, 2, 2),
(23, 161, 4, 3),
(23, 161, 10, 4),
(23, 161, 5, 5),
(23, 161, 6, 6),
(23, 161, 9, 7),
(23, 162, 1, 1),
(23, 162, 2, 2),
(23, 162, 4, 3),
(23, 162, 10, 4),
(23, 162, 5, 5),
(23, 162, 6, 6),
(23, 162, 9, 7),
(23, 163, 1, 1),
(23, 163, 2, 2),
(23, 163, 4, 3),
(23, 163, 5, 4),
(23, 163, 6, 5),
(23, 164, 1, 1),
(23, 164, 2, 2),
(23, 164, 4, 3),
(23, 164, 10, 4),
(23, 164, 5, 5),
(23, 164, 6, 6),
(23, 165, 1, 1),
(23, 165, 2, 2),
(23, 165, 4, 3),
(23, 165, 10, 4),
(23, 165, 5, 5),
(23, 165, 6, 6),
(23, 166, 1, 1),
(23, 166, 2, 2),
(23, 166, 5, 3),
(23, 166, 6, 4),
(23, 166, 9, 5)");

		// Admin menu entries
		addAdminMenuSql('network', NULL, 'Werbenetzwerke', 'Verwalten Sie hier Werbenetzwerke (API-Anbindung), versenden Sie deren Mails, oder &uuml;bernehmen Sie deren Textlinks und vieles mehr. <strong>VORSICHT:</strong> Das Einrichten von weiteren Werbenetzwerken ist nicht leicht, daf&uuml;r aber sehr flexibel! Sollte ein Netzwerk fehlen, so melden Sie dies bitte <a href="http://forum.mxchange.org/topic-462.html" target="_blank" title="Direktlink zum Forum">im Forum</a>!',4);
		addAdminMenuSql('network', 'config_network_api', 'API-Zugangsdaten', 'Stellen Sie Ihre Affiliate- Webseiten-Id und API-Passwort ein. Diese erhalten Sie aus dem Affiliate-Bereich des jeweiligen Werbenetzwerkes. Sollten Sie bei einem Werbenetzwerk noch nicht angemeldet sein, verwenden Sie bitte meinen Referral-Link dazu.',1);
		addAdminMenuSql('network', 'config_network_types', 'Werbearten', 'Stellen Sie hier Reload-Zeiten, Mindestauffenthalt und so weiter pro Werbeart und Werbenetzwerk ein. Es werden sonst Ausgangswerte (Mimimumwerte: 0, Maximumwerte: sehr gross, Erotik: aus) angenommen, die Sie meistens nicht wollen.',2);
		addAdminMenuSql('network', 'config_network_vcheck', 'V-Check', 'Aktivieren Sie hier den Verg&uuml;tungscheck (V-Check) oder richten Sie einen neuen Zugangsschl&uuml;ssel (&quot;Passwort&quot;) f&uuml;r das Werbenetzwerk ein. Nicht jedes Werbenetzwerk unterst&uuml;tzt dies! Am besten schauen Sie in Ihrem Affiliate-Bereich des jeweiligen Werbenetzwerkes nach, ob dort der V-Check angeboten wird.',3);
		addAdminMenuSql('network', 'query_network_apis', 'APIs abfragen', 'Fragt alle eingestellten APIs ab. Die Ergebnisse werden dann f&uuml;r einen einstellbaren Zeitraum gecacht und nicht erneut angefordert.',4);
		addAdminMenuSql('network', 'config_network', 'Einstellungen', 'Stellen Sie generelle Einstellungen ein, die f&uuml;r alle Werbenetzwerke gelten, wie z.B. Cache-Erneuerungsinterval. Generell sind aber die Einstellungen in Ordnung, da z.B. sonst Ihre freien Abfragen beim Werbenetzwerk sich zu schnell abbauen.',5);
		addAdminMenuSql('network', 'list_network_reloads', 'Reload-Sperren', 'Listen oder l&ouml;schen Sie hier Reload-Sperren. <strong>Vorsicht:</strong> Die hier gespeicherten Reload-Sperren sind vom jeweiligen Werbenetzwerk &uuml;bernommen. Eventuell verdienen Sie nichts, wenn Sie z.B. eine Mail innerhalb der Reload-Sperre erneut versenden.',6);
		addAdminMenuSql('network', 'list_networks', 'Dev-Grunddaten', '<strong>Entwicklereinstellungen!</strong> Hier &auml;ndern Sie die Einstellungen an den Grunddaten (Stammdaten) des jeweiligen Werbenetzwerks ab. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 7);
		addAdminMenuSql('network', 'list_network_types', 'Dev-Werbearten-Handler', '<strong>Entwicklereinstellungen!</strong> Hier &auml;ndern Sie die Einstellungen zu den Werbearten-Handler pro Werbenetzwerken. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 8);
		addAdminMenuSql('network', 'list_network_request_params', 'Dev-Abfrageparameter', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Abfrageparameter (wie sie genannt werden m&uuml;ssen, um das API-Script korrekt aufrufen zu k&ouml;nnen) ein, pro Werbenetzwerk. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 9);
		addAdminMenuSql('network', 'list_network_vcheck_params', 'Dev-VCheck-Parameter', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Abfrageparameter f&uuml;r <strong>network-vcheck.php</strong> pro Werbenetzwerk ein, damit dies vom Werbenetzwerk zur&uuml;ck korrekt aufgerufen wird. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 10);
		addAdminMenuSql('network', 'list_network_array_translation', 'Dev-Antwort-Array', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Zuweisungen der aus der analysierten API-Antwort Array-Elementen zu den Datenspalten ein. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 11);
		addAdminMenuSql('network', 'list_network_error_codes', 'Dev-Fehlercodes', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Fehlercodes ein, die im Falle eines Fehlers pro API-Script kommen k&ouml;nnen. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 12);

		// Configuration entries
		addConfigAddSql('network_cache_refresh', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT ' . (60 * 15));
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addDropTableSql('network_data');
		addDropTableSql('network_types');
		addDropTableSql('network_request_params');
		addDropTableSql('network_vcheck_params');
		addDropTableSql('network_error_codes');
		addDropTableSql('network_array_translation');
		addDropTableSql('network_api_config');
		addDropTableSql('network_types_config');
		addDropTableSql('network_vcheck_config');
		addDropTableSql('network_cache');
		addDropTableSql('network_reloads');

		// Admin menu
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `action`='network'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				addExtensionSql('');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes('');
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
